# Generated by configure.  Do not edit.

commit 639e8bedf98041fa58c0d666de6cc91cad857063
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Apr 5 18:36:39 2011 +0100

    Release Clutter 1.6.14 (stable)

 NEWS         |   18 ++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 06db0bcf2e6b932a62b4e961a5c7f88ae172e59e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Apr 5 17:30:29 2011 +0100

    cogl-pipeline: Be careful not to take ownership of root layer
    
    In _cogl_pipeline_prune_empty_layer_difference if the layer's parent
    has no owner then it just takes ownership of it. However this could
    theoretically end up taking ownership of the root layer because
    according to the comment above in the same function that should never
    have an owner. This patch just adds an extra check to ensure that the
    unowned layer has a parent.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2588

 clutter/cogl/cogl/cogl-pipeline.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 4212e808bd417a8237c5b043d9462823c7fe1402
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Apr 5 17:01:24 2011 +0100

    pipeline: reclaim ownership if reverting to layer ancestor
    
    In _cogl_pipeline_prune_empty_layer_difference if we are reverting to
    the immediate parent of an empty/redundant layer then it is not enough
    to simply add a reference to the pipeline's ->layer_differences list
    without also updating parent_layer->owner to point back to its new
    owner.
    
    This oversight was leading us to break the invariable that all layers
    referenced in layer_differences have an owner and was also causing us to
    break another invariable whereby after calling
    _cogl_pipeline_layer_pre_change_notify the returned layer must always be
    owned by the given 'required_owner'.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2588

 clutter/cogl/cogl/cogl-pipeline.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 21a13ecd32c9510410508aba75a04eb3ed70e368
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 22:34:10 2011 +0100

    build: Generate the release announcement
    
    Update the release-message target to generate the full release
    announcement out of the standard blurb and the NEWS file. We use
    a pretty evil sed incantation, courtesy of Neil Roberts.

 build/autotools/Makefile.am.release |   46 +++++++++++++++++++++++++++++++++-
 1 files changed, 44 insertions(+), 2 deletions(-)

commit c1e4911069b01cfa9630ee4082f08854d4513ca9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 22:33:31 2011 +0100

    build: Look for sed
    
    Use AC_PROG_SED to find sed in a portable way.

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 67761429e6552893edbe4182466de6441081c673
Author: Samuel Degrande <samuel.degrande@lifl.fr>
Date:   Fri Mar 25 12:49:44 2011 +0100

    Removes the addition of the .exe extension to unit-test scripts, on win32.
    
    On win32, test scripts are created with a .exe extension.
    Under mingw, a .exe script is launched in 16 bit compatibility mode (through
    ntvdm), and so it just does not run.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2619
    (cherry picked from commit 4594d1bafe835d1fa68e04564528a497d259d7dc)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 configure.ac                  |    1 +
 tests/conform/Makefile.am     |   20 +++++++++++++-------
 tests/interactive/Makefile.am |   14 ++++++++++----
 3 files changed, 24 insertions(+), 11 deletions(-)

commit 083d1ee73de48abeee3b9dff00d261da1fe9a8e3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 15:09:18 2011 +0100

    build: Fix typo in Makefile.am.release

 build/autotools/Makefile.am.release |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cac2cf1d26f89f9964a855a6ae5e32745c890cc2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 15:08:01 2011 +0100

    Post-release version bump to 1.6.13

 configure.ac       |    4 +-
 po/clutter-1.0.pot |  264 +++++++++++---
 po/de.po           |  273 +++++++++++---
 po/fr.po           |  282 ++++++++++++---
 po/gl.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/id.po           |  281 ++++++++++++---
 po/it.po           |  288 ++++++++++++---
 po/nl.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/pa.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/pl.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/sv.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/te.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/uk.po           | 1037 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po        |  278 ++++++++++++---
 po/zh_TW.po        | 1037 ++++++++++++++++++++++++++--------------------------
 15 files changed, 5461 insertions(+), 4505 deletions(-)

commit d9030f585eb549579e35660a2c48f3c20838369b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 14:51:48 2011 +0100

    Release Clutter 1.6.12 (stable)

 NEWS         |   35 +++++++++++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 37 insertions(+), 2 deletions(-)

commit 234706cb83373fffac48e1a02300af567bf1d5d4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Apr 4 14:42:36 2011 +0100

    offscreen: Plug a leak in an error path
    
    When creating a CoglOffscreen we take a reference on the texture handle,
    but in case of error we never release it.
    
    We should take that reference only on success.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2620
    (cherry picked from commit 02d14ec15cf5a41aca3208e8d5bce7dab8dd1fe4)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/cogl/cogl-framebuffer.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit f9b1fea5110ef2ad2782073e58ccc6eeda1090ac
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Apr 1 18:36:56 2011 +0100

    glx: throttle clipped redraws
    
    When we come to presenting the result of a clipped redraw to the front
    buffer with a blit we need to ensure that all the rendering is done,
    otherwise redraw operations that are slower than the framerate can queue
    up in the pipeline during a heavy animation, causing a larger and larger
    backlog of rendering visible as lag to the user.
    
    Note: Since calling glFinish() and sycnrhonizing the CPU with the GPU is
    far from ideal, we hope that this is only a short term solution.
    
    One idea is to using sync objects to track render completion so we can
    throttle the backlog (ideally with an additional extension that lets us
    get notifications in our mainloop instead of having to busy wait for the
    completion.)
    
    Another option is to support clipped redraws by reusing the contents of
    old back buffers such that we can flip instead of using a blit and then
    we can use GLX_INTEL_swap_events to throttle. For this though we would
    still probably want an additional extension so we can report the limited
    region of the window damage to X/compositors.
    
    Thanks to Owen Taylor and Alexander Larsson for reporting the problem.
    (cherry picked from commit 130c79ac03225ccc5d4e8c63caa1682058582513)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/glx/clutter-stage-glx.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit fb903132251eeb40cc416fb83d55c8404dc6a7c7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Apr 2 22:36:38 2011 +0100

    osx: Do not unrealize on hide
    
    Calling unrealize on ClutterStage::hide will cause an assertion
    failure and other badness when we destroy the stage.
    (cherry picked from commit 28c0a4d6be52519a67b268c3e1de5f1aaca0f2e4)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/osx/clutter-stage-osx.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 232e36b23520f4cc53c47c6eb889198d38d8f776
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 1 16:31:49 2011 +0100

    build: Update the release rules

 build/autotools/Makefile.am.release |   27 +++++++++++++++------------
 1 files changed, 15 insertions(+), 12 deletions(-)

commit 02993dec9ae04521ab11237c96c1078c800d28e9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 1 15:36:22 2011 +0100

    align-constraint: Fix typo in the vertical align
    
    We're clamping the x1 coordinate to the nearest pixel, instead of doing
    so for the y1 coordinate.
    (cherry picked from commit e368538ae04a8ae530955b7e853081093725234f)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-align-constraint.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fc25e79f898f40637a0c97e9ef74d41b36323f39
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 1 11:43:34 2011 +0100

    paint-volume: Zero-sized actors don't have paint volume
    
    If an actor has an allocated dimension equal to 0 then it has no paint
    volume.
    (cherry picked from commit 524eb23eb76456055061c0188451aa90cd26aaaa)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8459edb60da8381c2b73a68ba8496f4d0ae77700
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 1 11:42:41 2011 +0100

    texture: Add some safeguards for paint volumes of empty textures
    
    If the Texture has no material, and the image size is 0x0 then the actor
    doesn't have any paint volume.
    (cherry picked from commit 7e6bf1612b686f42ec82666ddb91b2d6ca7dbb0c)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-texture.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit b917a4c8c0bbed101d87c1ecd29557b9d0738a21
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Apr 1 12:00:56 2011 +0100

    build: Do not use bashisms
    
    This is a cherry pick of these commits:
    
      0eee5788df79c383a4bd1a6071129a490f47b905
      a4d29ca2e1bcb315349ee87a8eb30cae17629a8f

 configure.ac |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 487257276a807250f4a1f286d360d947b71c0c4f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 31 19:09:41 2011 +0200

    po: Track Clutter's POT file in Git

 po/clutter-1.0.pot | 1877 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1877 insertions(+), 0 deletions(-)

commit 2fad0d70630822a3e15336aa2c320f3bcae450c7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 29 17:46:40 2011 +0200

    Imported translations from Transifex.net

 po/gl.po    | 2100 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nl.po    | 2105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/pa.po    | 2042 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sv.po    | 2058 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/te.po    | 2044 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uk.po    | 2111 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_TW.po | 2075 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 14535 insertions(+), 0 deletions(-)

commit c2095c14a570a47cbc13bde2bbe107e1e3172d5c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 29 17:26:33 2011 +0200

    Updated Polish translation

 po/pl.po | 1165 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 663 insertions(+), 502 deletions(-)

commit dbf92dfd45350e84eec0f25e6176711d13b42b59
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 29 15:14:07 2011 +0200

    Updated POTFILES.in and removed clutter-1.0.pot

 po/POTFILES.in     |   14 +-
 po/clutter-1.0.pot | 1877 ----------------------------------------------------
 2 files changed, 12 insertions(+), 1879 deletions(-)

commit 410a58a8562aed74d78aec3372d7fb3bcb488cfc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 22 17:10:49 2011 +0000

    build: Use AC_CANONICAL_HOST
    
    Since we're checking the value of the $host variable, it's a good idea
    to use the canonicalization support in autoconf.
    (cherry picked from commit a5c87c74a6e8f1590130b95720e19e82d48d86e4)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 configure.ac |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit faf1a5fc82cb78d8b012ae73873de10d911ae5e1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 21 14:21:47 2011 +0000

    Post-release version bump to 1.6.11

 configure.ac       |    4 +-
 po/clutter-1.0.pot |   76 ++++++++++++++++++++++++++--------------------------
 po/de.po           |   74 +++++++++++++++++++++++++-------------------------
 po/fr.po           |   74 +++++++++++++++++++++++++-------------------------
 po/id.po           |   74 +++++++++++++++++++++++++-------------------------
 po/it.po           |   74 +++++++++++++++++++++++++-------------------------
 po/pl.po           |   74 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |   74 +++++++++++++++++++++++++-------------------------
 8 files changed, 262 insertions(+), 262 deletions(-)

commit 88b9d81b21f4d23a8ee5d43bd2eefab85e877fc1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 21 12:57:26 2011 +0000

    Release Clutter 1.6.10

 NEWS         |   32 ++++++++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 34 insertions(+), 2 deletions(-)

commit 445474b40705bc5b2ec89d9b5f3ba6572b9c5a69
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Mar 18 14:09:57 2011 +0000

    clutter-clone: Make clutter_clone_get_paint_volume static
    
    clutter_clone_get_paint_volume was being exported from the shared
    library because the function wasn't declared static. This function
    shouldn't be exposed because it should be accessed through
    clutter_actor_get_paint_volume.
    
    (cherry picked from commit fd89dee1b01c01619110cd77968062aaf2a98b79)

 clutter/clutter-clone.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ba61f9b6405a622b9e8c49921dedca60a3087f9a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 8 19:23:34 2011 +0000

    box: Implement the correct paint volume
    
    The allocation of the ClutterBox is not enough to be used as the paint
    volume, because children might decide to paint outside that area.
    
    Instead, we should use the allocation if the Box has a background color
    and then do what Group does, and union all the paint volumes of the
    children.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2600
    (cherry picked from commit 49d38b1e21eb868f64f213d9d5b4c6fbedd63bb2)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-box.c |   37 ++++++++++++++++++++++++++++++++++---
 1 files changed, 34 insertions(+), 3 deletions(-)

commit 8d4d91acb1200438ec5c50643c3542f89d5102e1
Author: Øyvind Kolås <pippin@linux.intel.com>
Date:   Fri Mar 11 17:09:59 2011 +0000

    stage: handle ACCEPT_FOCUS in set_/get_property
    (cherry picked from commit 9753046ca09da25dbcb831745083dc7ff2477022)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-stage.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit b3ba9d4538c1c8fd40f160e856ae0f743f063be7
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 15 16:20:34 2011 +0000

    clutter-offscreen-effect: Paint with 'nearest' texture filter mode
    
    The texture containing the image for the redirected actor will always
    be painted at a 1:1 texel:pixel ratio so there's no need to use linear
    filtering. This should also counteract some of the effects of rounding
    errors when calculating the geometry for the quad.
    
    (cherry picked from commit 1d14e7468bcf999cc3cd3847eb41372bce6483c4)

 clutter/clutter-offscreen-effect.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit fd29be1db3f4ada023e5f9de178d1bf07b3b0c33
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Mar 9 12:05:34 2011 +0000

    docs: Add an ClutterState definition section
    
    ClutterState is missing some documentation on how to define transitions
    using ClutterScript definitions; it is also missing some example code
    for both the C API and the ClutterScript syntax.
    (cherry picked from commit ed27da6abe593c686b8c1fdae540cb44d777ead5)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-state.c |  143 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 143 insertions(+), 0 deletions(-)

commit 9b9c4ea6cfbcf409a3265fccb9bebcea3794acdf
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 8 12:53:41 2011 +0000

    cogl-shader-boilerplate: Specify default precision earlier
    
    In 9ff04e8a99 the builtin uniforms were moved to the common shader
    boilerplate. However the common boilerplate is positioned before the
    default precision specifier on GLES2 so it would fail to compile
    because the uniforms end up with no precision in the fragment
    shader. This patch just moves the precision specifier to above the
    common boilerplate.
    
    (cherry picked from commit d1500c03c054713c17f97171c0e1b2500c48b135)

 clutter/cogl/cogl/cogl-shader-boilerplate.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7c5d695e6592fa6680f15d01d23035da84eae3cc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 8 10:05:57 2011 +0000

    event: Return the CrossingEvent.device field
    
    The CLUTTER_ENTER and CLUTTER_LEAVE event types were mistakenly ignored
    by clutter_event_get_device(), when returning the device from a
    non-allocated ClutterEvent.
    (cherry picked from commit 41b815ebf458237c07cac29a33b13cedc272083f)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-event.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f6403dbed1db39ed1254e44e911c2d8d6b190672
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 8 10:01:06 2011 +0000

    event: Set the CrossingEvent device field
    
    The CLUTTER_ENTER and CLUTTER_LEAVE should also have their device field
    set when calling clutter_event_set_device().
    (cherry picked from commit da6b5eb7e1b9be8039b24359a525a00322f548eb)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-event.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 71011ccedeb6c111788e9eac4488b64ffa2a13b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 8 10:01:53 2011 +0000

    win32/event: Set the core pointer directly
    
    Since we have a ClutterInputDevice pointer already we can just set it
    instead of using event->crossing.device.
    (cherry picked from commit 1bacefd6d8222f6314112c1e7ea322a3ab6e432d)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/win32/clutter-event-win32.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d673ae9ecc22ccb9e83f99dd583e5ae586b58eef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 7 14:54:47 2011 +0000

    Post-release version bump to 1.6.9

 configure.ac       |    4 ++--
 po/clutter-1.0.pot |   26 +++++++++++++-------------
 po/de.po           |   24 ++++++++++++------------
 po/fr.po           |   24 ++++++++++++------------
 po/id.po           |   24 ++++++++++++------------
 po/it.po           |   24 ++++++++++++------------
 po/pl.po           |   24 ++++++++++++------------
 po/zh_CN.po        |   24 ++++++++++++------------
 8 files changed, 87 insertions(+), 87 deletions(-)

commit 8f50966c7242c4cf5bea71b2f72c7a3360b4154e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 7 14:32:43 2011 +0000

    Release Clutter 1.6.8 (stable)

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 56b9951fe837d3313bf9d2a3530254b8796413a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Mar 7 14:32:26 2011 +0000

    Update the NEWS

 NEWS |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 95af5bd973a3b5f39555abc60c4b49d0648b2881
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Mar 3 23:19:30 2011 +0000

    util: tune point_in_poly test for polys in screen coords
    
    This makes a change to the original point_in_poly algorithm from:
    http://www.ecse.rpi.edu/Homepages/wrf/Research/Short_Notes/pnpoly.html
    
    The aim was to tune the test so that tests against screen aligned
    rectangles are more resilient to some in-precision in how we transformed
    that rectangle into screen coordinates. In particular gnome-shell was
    finding that for some stage sizes then row 0 of the stage would become a
    dead zone when going through the software picking fast-path and this was
    because the y position of screen aligned rectangles could end up as
    something like 0.00024 and the way the algorithm works it doesn't have
    any epsilon/fuz factor to consider that in-precision.
    
    We've avoided introducing an epsilon factor to the comparisons since we
    feel there's a risk of changing some semantics in ways that might not be
    desirable. One of those is that if you transform two polygons which
    share an edge and test a point close to that edge then this algorithm
    will currently give a positive result for only one polygon.
    
    Another concern is the way this algorithm resolves the corner case where
    the horizontal ray being cast to count edge crossings may cross directly
    through a vertex. The solution is based on the "idea of Simulation of
    Simplicity" and "pretends to shift the ray infinitesimally down so that
    it either clearly intersects, or clearly doesn't touch". I'm not
    familiar with the idea myself so I expect a misplaced epsilon is likely
    to break that aspect of the algorithm.
    
    The simple solution this patch applies is to pixel align the polygon
    vertices which should eradicate most noise due to in-precision.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641197

 clutter/cogl/cogl/cogl-journal.c               |    4 +-
 clutter/cogl/cogl/cogl-point-in-poly-private.h |   10 +++---
 clutter/cogl/cogl/cogl-point-in-poly.c         |   41 +++++++++++++++++++++---
 3 files changed, 43 insertions(+), 12 deletions(-)

commit 027bddb74ca164046cc3b78de9b6beb9a7b22d03
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 4 23:58:12 2011 +0000

    glx: Use g_set_error_literal() where appropriate
    (cherry picked from commit 0194e9db2f9a5e43b3d91d07909d16fa414819cc)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/glx/clutter-backend-glx.c |   36 ++++++++++++++++++++----------------
 1 files changed, 20 insertions(+), 16 deletions(-)

commit 1e213667f6587ca852f4930a0e17cb2bef441f8c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 4 23:53:45 2011 +0000

    x11: Use g_set_error_literal()
    
    The g_set_error() function takes a format string.
    (cherry picked from commit 4f3a4ab01bc5303e988705faec2f3afba0ef28f7)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/x11/clutter-backend-x11.c |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit 63142b16808fb1e3d79a0123b0c6cd7eadd40416
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 4 23:56:12 2011 +0000

    On error, return FALSE in the post_parse hook
    
    Anything that is not CLUTTER_INIT_SUCCESS is to be considered an error.
    
    This fixes the Clutter initialization sequence to actually error out
    on pre-conditions and backend initialization failures.
    (cherry picked from commit bed392b9a5cc341a822001cddc91aaa4951a904d)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2575299bacd925b29576c89e761beed86ae64070
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Mar 4 23:55:02 2011 +0000

    Clean up argument parsing GError handling
    
    Pass a GError in, so that clutter_init() can effectively print out a
    critical warning on initialization failure, like it used to do in the
    olden days.
    (cherry picked from commit 8bde5febd1998f7354c658e62a9f88443c75e8eb)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-main.c |   77 +++++++++++++++++++++++++++++------------------
 1 files changed, 47 insertions(+), 30 deletions(-)

commit bd5314acbc3e95b7f47ade7be4f12922ade795c3
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Mar 4 17:04:02 2011 +0000

    clutter-offscreen-effect: Use 0,0 as the offset if no actor box
    
    clutter_offscreen_effect_pre_paint was using the unitialized value of
    the ‘box’ variable whenever the actor doesn't have a paint
    volume. This patch makes it just set the offset to 0,0 instead.
    
    (cherry picked from commit 9e11aa38207173aaa6669ea98211174a13139db1)

 clutter/clutter-offscreen-effect.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 4b9b78b5ac859f6a13ab8a0f0aed0b958889dc64
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Mar 3 16:46:26 2011 +0000

    clutter-offscreen-effect: Preserve the old opacity override
    
    When removing the opacity override in the post_paint implementation,
    ClutterOffscreenEffect would always set the override back to -1. This
    ends up cancelling out the effect of any overrides from outer effects
    which means that if any actor has multiple effects attached then it
    would apply the opacity multiple times.
    
    To fix this, the effect now preserves the old value of the opacity
    override and restores that instead of setting -1.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2541
    
    (cherry picked from commit d306b4bb7d7a9c8b0b02c7e940b66f51ec62e18d)

 clutter/clutter-offscreen-effect.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 5e6dbc5e72cfb6639f5032534029bb318f530ac7
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Mar 1 19:52:43 2011 +0000

    clutter-actor: Add an internal _clutter_actor_get_opacity_override
    
    This is needed if an effect wants to temporarily override the paint
    opacity. It needs to be able to restore the old opacity override in
    the post_paint handler otherwise it would replace the effect of the
    opacity override from any outer effects.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2541
    
    (cherry picked from commit 3fab04805ea4b7ae584fcfe425bc8355a64d2c36)

 clutter/clutter-actor-private.h |    1 +
 clutter/clutter-actor.c         |    8 ++++++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit c8e34255d3573d130c0e5cff258dceb91d17f29b
Author: Dioselin <dcourter@vuze.com>
Date:   Tue Mar 1 14:05:11 2011 -0800

    box: set default paint volume to allocation
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2589
    (cherry picked from commit cfa32659e495f6736d65e94c92a9c46360bc1620)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-box.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit dc90f3c602bb6454642ca4c5ddc30dcde1e22f2e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 1 18:36:55 2011 +0000

    effect: Queue a redraw on :enabled changes
    
    ClutterEffect should queue a redraw if the :enabled property of its
    parent class ClutterActorMeta changes.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2587
    (cherry picked from commit 0be73bf4014074377dca13ae44e32ac47adaafec)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-effect.c |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 6216ccc1224b22cb3c3cd61702dc109f19fff90f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Mar 1 18:36:08 2011 +0000

    constraint: Queue a relayout on :enabled changes
    
    ClutterConstraint should queue a relayout if the :enabled property of
    its parent class ClutterActorMeta changes.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2587
    (cherry picked from commit bd8b09edda35a1531262add8b5429e7868949464)
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-constraint.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit 1f7c834ff4094393e780e818316a698d735bd4fd
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 22 12:53:15 2011 +0000

    tests: Check return value of clutter_init_with_args instead of error
    
    Some of the tests were ignoring the return value of
    clutter_init_with_args and instead they would recognise an error by
    seeing whether the GError parameter was set. This patch changes it to
    check the return value so that it won't give a warning now that
    G_GNUC_WARN_UNUSED_RESULT is on that function.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2574
    
    (cherry picked from commit 26ec3efbff6da99bd443cd5b587a980bb7a3a75a)

 tests/interactive/test-actor-clone.c   |   11 +++++------
 tests/interactive/test-actors.c        |   11 +++++------
 tests/interactive/test-drag.c          |   11 +++++------
 tests/interactive/test-flow-layout.c   |   11 +++++------
 tests/interactive/test-paint-wrapper.c |   11 +++++------
 tests/micro-bench/test-cogl-perf.c     |   11 +++++------
 6 files changed, 30 insertions(+), 36 deletions(-)

commit 6548ca37a4a925abe28c514642f84dc0a6ebbb5f
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Feb 22 00:44:55 2011 +0000

    doc: fix clutter_init() usage in examples
    
    Make sure users get the idea that clutter_init()
    has a return value that needs to be checked.
    
    These were fixed via sed magic:
    
    sed -i -s -e "s/clutter_init (.*)/\
    if (& != CLUTTER_INIT_SUCCESS)\n    return 1/"\
     doc/*/*/*.{c,xml} doc/*/*.xml
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2574
    
    (cherry picked from commit aece642adb22ed054d1d4bca99eeeeb0b4b80b83)

 doc/cookbook/examples/actors-composite-main.c      |    3 ++-
 doc/cookbook/examples/animations-complex.c         |    3 ++-
 .../examples/animations-looping-animator.c         |    3 ++-
 .../examples/animations-looping-implicit.c         |    3 ++-
 doc/cookbook/examples/animations-looping-state.c   |    3 ++-
 doc/cookbook/examples/animations-moving-animator.c |    3 ++-
 doc/cookbook/examples/animations-moving-implicit.c |    3 ++-
 doc/cookbook/examples/animations-moving-state.c    |    3 ++-
 doc/cookbook/examples/animations-path-circle.c     |    3 ++-
 doc/cookbook/examples/animations-path-easing.c     |    3 ++-
 doc/cookbook/examples/animations-path.c            |    3 ++-
 doc/cookbook/examples/animations-reuse.c           |    3 ++-
 doc/cookbook/examples/animations-rotating.c        |    3 ++-
 doc/cookbook/examples/animations-scaling-zoom.c    |    3 ++-
 doc/cookbook/examples/animations-scaling.c         |    3 ++-
 doc/cookbook/examples/effects-built-in.c           |    3 ++-
 doc/cookbook/examples/effects-custom-deform.c      |    3 ++-
 doc/cookbook/examples/events-buttons-click.c       |    3 ++-
 doc/cookbook/examples/events-buttons-lasso.c       |    3 ++-
 doc/cookbook/examples/events-buttons.c             |    3 ++-
 doc/cookbook/examples/events-mouse-scroll.c        |    3 ++-
 .../examples/events-pointer-motion-crossing.c      |    3 ++-
 .../examples/events-pointer-motion-scribbler.c     |    3 ++-
 .../examples/events-pointer-motion-stacked.c       |    3 ++-
 doc/cookbook/examples/events-pointer-motion.c      |    3 ++-
 .../examples/layouts-bind-constraint-allocation.c  |    3 ++-
 .../examples/layouts-bind-constraint-overlay.c     |    3 ++-
 .../examples/layouts-bind-constraint-stage.c       |    3 ++-
 doc/cookbook/examples/layouts-box-menu.c           |    3 ++-
 .../examples/layouts-box-property-effects.c        |    3 ++-
 doc/cookbook/examples/layouts-box.c                |    3 ++-
 .../examples/layouts-stacking-diff-sized-actors.c  |    3 ++-
 doc/cookbook/examples/layouts-stacking.c           |    3 ++-
 doc/cookbook/examples/script-signals.c             |    3 ++-
 doc/cookbook/examples/script-ui.c                  |    3 ++-
 doc/cookbook/examples/text-shadow.c                |    3 ++-
 doc/cookbook/examples/textures-crossfade-cogl.c    |    9 +++++----
 .../examples/textures-crossfade-slideshow.c        |    3 ++-
 doc/cookbook/examples/textures-crossfade.c         |   12 +++++++-----
 doc/cookbook/examples/textures-reflection.c        |    3 ++-
 doc/cookbook/examples/textures-split-go.c          |    3 ++-
 doc/cookbook/examples/textures-sub-texture.c       |    3 ++-
 doc/cookbook/textures.xml                          |    6 ++++--
 .../clutter/clutter-animation-tutorial.xml         |    3 ++-
 44 files changed, 98 insertions(+), 52 deletions(-)

commit 090bc96259f9d399b95c913d47f248a2ad752754
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Feb 22 00:19:35 2011 +0000

    tests: abort if clutter_init fails
    
    This fixes segfaults when something goes wrong during
    init, but the test keeps going anyway.
    
    Except for test-easing and test-picking, these were fixed by
    sed magic:
    
    sed -i -s -e "s/clutter_init \?(&argc, &argv)/\
    if (clutter_init (\&argc, \&argv) != CLUTTER_INIT_SUCCESS)\n\
        return 1/" tests/*/*.c
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2574
    
    (cherry picked from commit eb906d85ca0fb06f26fab9ea59dbd979d9b243cb)

 tests/accessibility/cally-atkcomponent-example.c   |    3 ++-
 .../accessibility/cally-atkeditabletext-example.c  |    3 ++-
 tests/accessibility/cally-atkevents-example.c      |    3 ++-
 tests/accessibility/cally-atktext-example.c        |    3 ++-
 tests/accessibility/cally-clone-example.c          |    3 ++-
 tests/interactive/test-animation.c                 |    3 ++-
 tests/interactive/test-animator.c                  |    3 ++-
 tests/interactive/test-behave.c                    |    3 ++-
 tests/interactive/test-bin-layout.c                |    3 ++-
 tests/interactive/test-binding-pool.c              |    3 ++-
 tests/interactive/test-box-layout.c                |    3 ++-
 tests/interactive/test-cairo-flowers.c             |    3 ++-
 tests/interactive/test-clip.c                      |    3 ++-
 tests/interactive/test-cogl-multitexture.c         |    3 ++-
 tests/interactive/test-cogl-offscreen.c            |    3 ++-
 tests/interactive/test-cogl-point-sprites.c        |    3 ++-
 tests/interactive/test-cogl-primitives.c           |    3 ++-
 tests/interactive/test-cogl-shader-arbfp.c         |    3 ++-
 tests/interactive/test-cogl-shader-glsl.c          |    3 ++-
 tests/interactive/test-cogl-tex-convert.c          |    3 ++-
 tests/interactive/test-cogl-tex-foreign.c          |    3 ++-
 tests/interactive/test-cogl-tex-getset.c           |    3 ++-
 tests/interactive/test-cogl-tex-polygon.c          |    3 ++-
 tests/interactive/test-cogl-tex-tile.c             |    3 ++-
 tests/interactive/test-cogl-vertex-buffer.c        |    3 ++-
 tests/interactive/test-constraints.c               |    3 ++-
 tests/interactive/test-depth.c                     |    3 ++-
 tests/interactive/test-devices.c                   |    3 ++-
 tests/interactive/test-easing.c                    |   14 ++++++++------
 tests/interactive/test-events.c                    |    3 ++-
 tests/interactive/test-fbo.c                       |    3 ++-
 tests/interactive/test-fullscreen.c                |    3 ++-
 tests/interactive/test-grab.c                      |    3 ++-
 tests/interactive/test-layout.c                    |    3 ++-
 tests/interactive/test-model.c                     |    3 ++-
 tests/interactive/test-multistage.c                |    3 ++-
 tests/interactive/test-path-constraint.c           |    3 ++-
 tests/interactive/test-pixmap.c                    |    3 ++-
 tests/interactive/test-scale.c                     |    3 ++-
 tests/interactive/test-script.c                    |    3 ++-
 tests/interactive/test-scrolling.c                 |    3 ++-
 tests/interactive/test-shader-effects.c            |    3 ++-
 tests/interactive/test-shader.c                    |    3 ++-
 tests/interactive/test-snap-constraint.c           |    3 ++-
 tests/interactive/test-stage-read-pixels.c         |    3 ++-
 tests/interactive/test-stage-sizing.c              |    3 ++-
 tests/interactive/test-state-animator.c            |    3 ++-
 tests/interactive/test-state.c                     |    3 ++-
 tests/interactive/test-table-layout.c              |    3 ++-
 tests/interactive/test-text-field.c                |    3 ++-
 tests/interactive/test-text.c                      |    3 ++-
 tests/interactive/test-texture-async.c             |    3 ++-
 tests/interactive/test-texture-material.c          |    3 ++-
 tests/interactive/test-texture-quality.c           |    3 ++-
 tests/interactive/test-textures.c                  |    3 ++-
 tests/interactive/test-threads.c                   |    3 ++-
 tests/interactive/test-unproject.c                 |    3 ++-
 tests/micro-bench/test-picking.c                   |   12 +++++++-----
 tests/micro-bench/test-random-text.c               |    3 ++-
 tests/micro-bench/test-text-perf.c                 |    3 ++-
 tests/micro-bench/test-text.c                      |    3 ++-
 61 files changed, 133 insertions(+), 70 deletions(-)

commit daa6d67cc048fec90a54846d8adf403ee2a60257
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 24 20:30:30 2011 +0000

    Add a conformance test for atlas migration
    
    This adds a conformance test which creates a lot of textures with
    increasing size and destroys them again a number of times in order to
    cause a few atlas migrations. The last time the textures are created
    they are all read back and the data is verified to confirm that the
    atlas migration successfully preserved the data.

 tests/conform/Makefile.am                 |    1 +
 tests/conform/test-cogl-atlas-migration.c |  133 +++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c         |    1 +
 3 files changed, 135 insertions(+), 0 deletions(-)

commit 4dd20f2678195524dd147db3fe902d0a93de3df0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 24 18:42:47 2011 +0000

    cogl-blit: Disable blending when using texture render
    
    When using a pipeline and the journal to blit images between
    framebuffers, it should disable blending. Otherwise it will end up
    blending the source texture with uninitialised garbage in the
    destination texture.

 clutter/cogl/cogl/cogl-blit.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit f4ca82fc6d571c3b37e270ed05a373885498a0dc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 23 00:07:12 2011 +0000

    build: Remove MAINTAINERCLEANFILES from ChangeLog rules

 build/autotools/Makefile.am.changelog |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8bb81f008dd5848f0f1105306372c4e263a1407a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 22 18:32:01 2011 +0000

    build: Remove maintainer-clean rule
    
    The maintainer-clean files list is horribly out of date, nobody is
    maintaining it, and it's honestly easier to use `git clean -xdf`
    instead to clean untracked files.

 Makefile.am |   11 +----------
 1 files changed, 1 insertions(+), 10 deletions(-)

commit b3e4db4c738756f05ef7a02306f0d25f158797ab
Merge: 4442ddd 74de3cf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 18:09:06 2011 +0000

    Merge remote-tracking branch 'elliot/cookbook-effects-custom-deform'
    
    * elliot/cookbook-effects-custom-deform:
      docs: Add effects chapter, with introduction and first recipe

commit 4442ddde8290a7ec447a070b624437579f678d56
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 17:13:37 2011 +0000

    text: Round up the size
    
    Converting from Pango units to pixels by using the C conventions might
    cause us to lose a pixel; since we're doing the same for the height, we
    should use ceilf() to round up the width and the line height.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2573

 clutter/clutter-text.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 74de3cfdf3af819c94c1eb52a68491f1e32b120b
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Feb 21 16:43:34 2011 +0000

    docs: Add effects chapter, with introduction and first recipe
    
    Add an effects chapter which gives a broad overview of
    the abstract classes in the effects API, plus a short
    example of how to apply one of the stock Clutter
    effects (ClutterColorizeEffect).
    
    The recipe explains how to create a custom ClutterDeformEffect
    to produce a page fold (code based on ClutterPageTurnEffect).
    
    The example code includes the effect class plus a small
    application to apply it to a texture.

 doc/cookbook/Makefile.am                           |    5 +
 doc/cookbook/clutter-cookbook.xml.in               |    1 +
 doc/cookbook/effects.xml                           |  769 ++++++++++++++++++++
 doc/cookbook/examples/Makefile.am                  |    4 +
 doc/cookbook/examples/cb-page-fold-effect.c        |  250 +++++++
 doc/cookbook/examples/cb-page-fold-effect.h        |   49 ++
 doc/cookbook/examples/effects-built-in.c           |   58 ++
 doc/cookbook/examples/effects-custom-deform.c      |  119 +++
 doc/cookbook/images/effects-built-in.png           |  Bin 0 -> 92584 bytes
 .../images/effects-custom-deform-back-material.png |  Bin 0 -> 49860 bytes
 doc/cookbook/images/effects-custom-deform.png      |  Bin 0 -> 91751 bytes
 doc/cookbook/videos/effects-custom-deform.ogv      |  Bin 0 -> 91983 bytes
 12 files changed, 1255 insertions(+), 0 deletions(-)

commit 91740fd4df02d5ce313f1cdd3e3b5dd869628516
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 16:41:28 2011 +0000

    docs: Mention the cookbook in the README
    
    In the "Resources" section, along with the API references.

 README.in |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 23c81f8817c7b3b4c3d47fcc1bac99cf9bb3b4ac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 16:40:50 2011 +0000

    docs: Remove last mention of SDL from the README
    
    We don't support SDL since forever, now. Just get rid of it, before it
    confuses somebody.

 README.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b31cf80807035c00434fe3d7d66b93929c34d529
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 14:19:47 2011 +0000

    Post-release version bump to 1.6.7

 configure.ac       |    4 +-
 po/clutter-1.0.pot |  268 ++++++++++++++++++++++++++--------------------------
 po/de.po           |  266 ++++++++++++++++++++++++++--------------------------
 po/fr.po           |  266 ++++++++++++++++++++++++++--------------------------
 po/id.po           |  266 ++++++++++++++++++++++++++--------------------------
 po/it.po           |  266 ++++++++++++++++++++++++++--------------------------
 po/pl.po           |  266 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po        |  266 ++++++++++++++++++++++++++--------------------------
 8 files changed, 934 insertions(+), 934 deletions(-)

commit d5e6594ddd0d4ad3b9cf684526216900794f9ff5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 12:47:09 2011 +0000

    Release Clutter 1.6.6 (stable)

 NEWS         |   20 ++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 22 insertions(+), 2 deletions(-)

commit f5c240a50b1fc83e138f85f5f4a87ffbea9c83c0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 21 12:46:34 2011 +0000

    build: Use all-am, not all as the gitignore target

 build/autotools/Makefile.am.gitignore |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d17b1463b55676cdceb5d24724c6a2461c2bdae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:48:59 2011 +0000

    device-manager/xi2: Silence a compiler warning

 clutter/x11/clutter-device-manager-xi2.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3c25fcfe49865bda639447b9dee8369171f77606
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:46:44 2011 +0000

    tests: Remove unused variables

 tests/interactive/test-pixmap.c        |    2 --
 tests/interactive/test-texture-async.c |    3 ---
 2 files changed, 0 insertions(+), 5 deletions(-)

commit b505c022c42eda63d940d648a7641e64355baa37
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:45:51 2011 +0000

    test-timeline: Ignore the default stage
    
    We need to create the default stage to have the master clock spin, but
    we can tell the compiler that the returned value is meaningless.

 tests/conform/test-timeline.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd3462170f3d36a8ddc128611074116d5cc62ba6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:45:35 2011 +0000

    cally: Remove unused variables

 clutter/cally/cally-actor.c |   12 ++--------
 clutter/cally/cally-text.c  |   45 +++++++++++++++++++++++++++++++-----------
 clutter/cally/cally-util.c  |    3 +-
 3 files changed, 37 insertions(+), 23 deletions(-)

commit dfdcc20670f108cbcb62aead3d2a502084d1b3d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:45:06 2011 +0000

    clutter: Remove unused variables

 clutter/clutter-desaturate-effect.c |    3 ---
 clutter/clutter-main.c              |    5 -----
 clutter/clutter-shader-effect.c     |    4 ----
 clutter/clutter-state.c             |    3 ---
 clutter/clutter-table-layout.c      |    9 ++-------
 5 files changed, 2 insertions(+), 22 deletions(-)

commit f99d2336f0ae99bb3faf25031b3df082680755bd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:44:38 2011 +0000

    x11: Remove unused variables

 clutter/x11/clutter-device-manager-core-x11.c |    9 +++++----
 clutter/x11/clutter-device-manager-xi2.c      |    6 ++----
 clutter/x11/clutter-keymap-x11.c              |    2 ++
 clutter/x11/clutter-stage-x11.c               |    5 ++---
 clutter/x11/clutter-x11-texture-pixmap.c      |   17 +++--------------
 5 files changed, 14 insertions(+), 25 deletions(-)

commit 23598ea74b7b158b31d53ae4c08cbeabceee6bb0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 16:43:46 2011 +0000

    cogl: Remove unused variables

 clutter/cogl/cogl/cogl-texture-2d-sliced.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit ec02a8808e60f0ce57f0bd45cb6cfe09b21c59f2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 09:17:25 2011 +0000

    deform-effect: Use the FBO target size
    
    The ClutterDeformEffect sub-classes are effectively deforming the
    texture target of an FBO, not the actor itself. Thus, we need to
    use the FBO's size, and not the actor's allocated size, given that
    the actor might be transformed prior to applying an effect.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2571

 clutter/clutter-deform-effect.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 20f19fe06ca5821949b5e47464241d31c2e6dffc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 09:15:34 2011 +0000

    offscreen-effect: Add private API for getting the target size
    
    Since the FBO target might have a different size than the mere paint box
    of the actor, we need API to get it out of the ClutterOffscreenEffect
    private data structure and on to sub-classes.
    
    Since we cannot add new API in a stable cycle, we need a private
    function; we'll leave it there even when opening 1.7, since it's useful
    for internal purposes.

 clutter/Makefile.am                        |    1 +
 clutter/clutter-offscreen-effect-private.h |   14 ++++++++++++++
 clutter/clutter-offscreen-effect.c         |   19 +++++++++++++++++++
 3 files changed, 34 insertions(+), 0 deletions(-)

commit 82c68c588741e78824afd19e5eecfd546b9ab115
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 09:04:46 2011 +0000

    Update NEWS

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit e2bd848924d0a9152c0bfbd3defd6a8ea04012ce
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Feb 19 09:02:51 2011 +0000

    build: Centralize X11 extensions versioning
    
    Similar to what we did for the base dependencies.

 README.in    |    4 ++--
 configure.ac |   16 ++++++++++------
 2 files changed, 12 insertions(+), 8 deletions(-)

commit a923375f0a9136a1f99985359e60a077f3fd0055
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 19:28:48 2011 +0000

    drag-action: Use per-stage motion event toggle
    
    Similar to what we did for the ClutterDeviceManager, use per-stage
    granularity when toggling the motion event delivery while dragging.

 clutter/clutter-drag-action.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit cca2e5bc9c1610881f69238b2c23c34233ea8451
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 19:27:58 2011 +0000

    device-manager: Use per-stage motion event toggle
    
    Now that we have internal support for per-stage granularity of motion
    event delivery, let's use it when updating the state of the input
    devices.

 clutter/clutter-device-manager.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit bc548dc86271d38918d310c26c9c59de76218d16
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 17:19:04 2011 +0000

    Store the motion event deliver flag in ClutterStage
    
    Once upon a time, the land of Clutter had a stage singleton. It was
    created automatically at initialization time and stayed around even
    after the main loop was terminated. The singleton was content in
    being all there was. There also was a global API to handle the
    configuration of the stage singleton that would affect the behaviour
    on other classes, signals and properties.
    
    Then, an evil wizard came along and locked the stage singleton in his
    black tower, and twisted it until it was possible to create new stages.
    These new stages were pesky, and didn't have the same semantics of the
    singleton: they didn't stay around when closed, or terminate the main
    loop on delete events.
    
    The evil wizard also started moving all the stage-related API from the
    global context into class-specific methods.
    
    Finally, the evil wizard cast a spell, and the stage singleton was
    demoted to creation on demand - and until somebody called the
    clutter_stage_get_default() function, the singleton remained in a limbo
    of NULL pointers and undefined memory areas.
    
    There was a last bit - literally - of information still held by the
    global API; a tiny, little flag that disabled per-actor motion events.
    The evil wizard added private accessors for it, and stored it inside the
    stage private structure, in preparation for a deprecation that would
    come in a future development cycle.
    
    The evil wizard looked down upon the land of Clutter from the height of
    his black tower; the lay of the land had been reshaped into a crucible
    of potential, and the last dregs of the original force of creation were
    either molted into new, useful shapes, or blasted away by the sheer fury
    of his will.
    
    All was good.

 clutter/clutter-main.c          |   34 +++++++++++++++++++++++++++-------
 clutter/clutter-stage-private.h |    4 ++++
 clutter/clutter-stage.c         |   22 ++++++++++++++++++++++
 3 files changed, 53 insertions(+), 7 deletions(-)

commit 7500b77b2bf8e23e885af6884adc006a4abf5c17
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 17:18:05 2011 +0000

    Assert if we call backend API without a valid backend
    
    This is a backend programming error, and we should not tolerate
    failures in these cases.

 clutter/clutter-backend.c |   44 +++++++++++---------------------------------
 1 files changed, 11 insertions(+), 33 deletions(-)

commit 7e42da123f28dd695a43fea6444e30a73fb35119
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 16:53:58 2011 +0000

    Clean up clutter-private.h
    
    Move macros at the top, and clean up whitespace.

 clutter/clutter-private.h |   40 ++++++++++++++++++++--------------------
 1 files changed, 20 insertions(+), 20 deletions(-)

commit cdd9fd1af1908282430a22be13b10005ec41375b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 16:53:31 2011 +0000

    Move ActorMeta private function in the private header
    
    No reason to leave it in the installed header.

 clutter/clutter-actor-meta-private.h |    4 ++++
 clutter/clutter-actor-meta.h         |    4 ----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 3e5aa9ed6348008bcbf21355e9e06bb50c90baf7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 16:27:49 2011 +0000

    Add private header for event-related API

 clutter/Makefile.am                            |    1 +
 clutter/clutter-backend.c                      |    2 +-
 clutter/clutter-event-private.h                |   28 ++++++++++++++++++++++++
 clutter/clutter-event.c                        |    2 +-
 clutter/clutter-input-device.c                 |    1 +
 clutter/clutter-private.h                      |   18 ---------------
 clutter/clutter-stage.c                        |    2 +-
 clutter/egl/clutter-event-tslib.c              |   17 ++++++--------
 clutter/evdev/clutter-device-manager-evdev.c   |    2 +-
 clutter/osx/clutter-event-osx.c                |   12 ++++++----
 clutter/wayland/clutter-input-device-wayland.c |    1 +
 clutter/win32/clutter-event-win32.c            |    2 +-
 clutter/x11/clutter-backend-x11.c              |    2 +-
 clutter/x11/clutter-device-manager-core-x11.c  |    1 +
 clutter/x11/clutter-device-manager-xi2.c       |    1 +
 clutter/x11/clutter-event-x11.c                |    3 +-
 clutter/x11/clutter-stage-x11.c                |    2 +-
 17 files changed, 55 insertions(+), 42 deletions(-)

commit d27b335b61bba50ba6b156d32cf3bdf094181104
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 16:00:39 2011 +0000

    Move ClutterEffect private symbols to a private header
    
    No point in cluttering up clutter-private.h even more than necessary.

 clutter/Makefile.am              |    1 +
 clutter/clutter-actor.c          |    2 +-
 clutter/clutter-effect-private.h |   15 +++++++++++++++
 clutter/clutter-effect.c         |    1 +
 clutter/clutter-private.h        |    5 -----
 5 files changed, 18 insertions(+), 6 deletions(-)

commit 3addeb91ccfe38676a52582aac594cf98269faf3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 15:53:27 2011 +0000

    Privatize all ClutterIdPool functions
    
    The clutter-id-pool.h header is private and not installed; yet, all the
    clutter_id_pool_* symbols are public. Let's correct this oversight we've
    been stringing along since forever.

 clutter/clutter-id-pool.c |   16 ++++++++--------
 clutter/clutter-id-pool.h |   18 +++++++++---------
 clutter/clutter-main.c    |    8 ++++----
 3 files changed, 21 insertions(+), 21 deletions(-)

commit 37fe8c509a127463dcd434e4be1dbaefd73febe2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 15:47:35 2011 +0000

    Clean up usage of CLUTTER_CONTEXT and remove the macro
    
    Only allow access to the ClutterMainContext through the private
    _clutter_context_get_default() function, so we can easily grep
    it and remove the unwanted usage of the global context.

 clutter/clutter-main.c    |   49 ++++++++++++++++++++++-----------------------
 clutter/clutter-private.h |    1 -
 2 files changed, 24 insertions(+), 26 deletions(-)

commit 689aac56c9d43b8e09d8799861eef590356899f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 15:46:13 2011 +0000

    Wrap id-pool access
    
    The ClutterIdPool is held by the ClutterMainContext; we should hide its
    direct usage into sensible private API.

 clutter/clutter-actor.c   |    7 ++++---
 clutter/clutter-main.c    |   16 ++++++++++++++++
 clutter/clutter-private.h |    2 ++
 3 files changed, 22 insertions(+), 3 deletions(-)

commit 2593bbaadce7ff690f0d70deaee239d0a336c716
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 15:44:17 2011 +0000

    Wrap shader stack into private functions
    
    The shader stack held by ClutterMainContext should only be accessed
    using functions, and not directly.
    
    Since it's a stack, we can use stack-like operations: push, pop and
    peek.

 clutter/clutter-actor.c   |   28 ++++++++++++----------------
 clutter/clutter-main.c    |   29 +++++++++++++++++++++++++++++
 clutter/clutter-private.h |    7 +++++--
 clutter/clutter-texture.c |   19 +++++++++----------
 4 files changed, 55 insertions(+), 28 deletions(-)

commit 28b0f8b93837bde38da01ce9397c133447df5813
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 14:38:54 2011 +0000

    stage: Make the redraw_count a stage counter
    
    We don't care about redraws issued on stages that are not currently
    being repainted.

 clutter/clutter-private.h |    2 --
 clutter/clutter-stage.c   |   26 +++++++++++++++++++-------
 2 files changed, 19 insertions(+), 9 deletions(-)

commit 4635c8f9fd8ca38445fe617f1986b93bbfe8bfaa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 14:38:24 2011 +0000

    Make _clutter_pixel_to_id() private
    
    It's only used in the same file that declares it.

 clutter/clutter-main.c    |    2 +-
 clutter/clutter-private.h |    2 --
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 92ddaa9c1304e422331ca2f1a8d5dfb9edb95a8f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 12:56:17 2011 +0000

    stage: Move stage redraw logic into clutter-stage.c
    
    The _clutter_do_redraw() function should really be moved inside
    ClutterStage, since all it does is calling private stage and
    backend functions. This also allows us to change a long-standing
    issue with a global fps counter for all stages, instead of a\
    per-stage one.

 clutter/clutter-main.c              |   48 ------------------------------
 clutter/clutter-private.h           |    3 --
 clutter/clutter-stage.c             |   55 +++++++++++++++++++++++++++++++++-
 tests/interactive/test-multistage.c |   27 +++++++++-------
 4 files changed, 68 insertions(+), 65 deletions(-)

commit 89a0d514b4762ea2e0e604b02381c8951cb26d4f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 12:07:07 2011 +0000

    Continue hiding the ClutterMainContext
    
    We should strive to make the main context as transparent as possible,
    and hide accessing its data through private functions.

 clutter/clutter-actor.c   |   29 ++++++++---------------------
 clutter/clutter-main.c    |   17 ++++++++++++++---
 clutter/clutter-private.h |    5 +++--
 3 files changed, 25 insertions(+), 26 deletions(-)

commit fc89513295d467abf8c5d3ed8c799e761a072786
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 18 11:43:27 2011 +0000

    actor: Move the ShaderData out of the private data
    
    Let's try and start reducing the size of ClutterActorPrivate by moving
    some optional, out-of-band data from it to GObject data.
    
    The ShaderData structure is a prime candidate for this migration: it
    does not need to be inspected by the actor, and its relationship with an
    actor is transient and optional.
    
    By attaching it to the actor's instance through g_object_set_data() we
    neatly tie its lifetime to the instance, and we don't have to care
    cleaning it up in the finalize()/dispose() implementation of
    ClutterActor itself.

 clutter/clutter-actor.c         |  130 +++++++++++++++++++--------------------
 tests/interactive/test-shader.c |    4 +-
 2 files changed, 67 insertions(+), 67 deletions(-)

commit 9ea2567a2fbf44a05d000d07c031b593109c739b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 17 13:11:34 2011 +0000

    cogl-atlas-texture: Don't let textures be destroyed during migration
    
    If an atlas texture's last reference is held by the journal or by the
    last flushed pipeline then if an atlas migration is started it can
    cause a crash. This is because the atlas migration will cause a
    journal flush and can sometimes change the current pipeline which
    means that the texture would be destroyed during migration.
    
    This patch adds an extra 'post_reorganize' callback to the existing
    'reorganize' callback (which is now renamed to 'pre_reorganize'). The
    pre_reorganize callback is now called before the atlas grabs a list of
    the current textures instead of after so that it doesn't matter if the
    journal flush destroys some of those textures. The pre_reorganize
    callback for CoglAtlasTexture grabs a reference to all of the textures
    so that they can not be destroyed when the migration changes the
    pipeline. In the post_reorganize callback the reference is removed
    again.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2538

 clutter/cogl/cogl/cogl-atlas-texture.c      |   80 ++++++++++++++++++++++++---
 clutter/cogl/cogl/cogl-atlas.c              |   54 +++++++++++++-----
 clutter/cogl/cogl/cogl-atlas.h              |   11 ++-
 clutter/cogl/pango/cogl-pango-glyph-cache.c |    2 +-
 4 files changed, 120 insertions(+), 27 deletions(-)

commit 71f57eef1b30817ad46a94272526dcc4ddc5e516
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 16 18:42:33 2011 +0000

    clutter-actor: Free the paint volume when queue a clip redraw
    
    In _clutter_actor_queue_redraw_with_clip it has a local variable to
    mark when a new paint volume for the clip is created so that it can be
    freed when the function returns. However the actual code to free the
    paint volume went missing in 3b789490d2c so the variable did
    nothing. This patch just adds the free back in.

 clutter/clutter-actor.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 8231c345dca871eddf2f61b54c1600d2075e277a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 16 15:38:05 2011 +0000

    build: Compress the CLUTTER_PC_FILES list
    
    A bit of black magic, courtesy of gtk+'s configure.ac, to strip the
    leading space from BACKEND_PC_FILES.

 configure.ac |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0e32da66508efb38b104265995f6c8e7e1ffca6a
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 16 14:11:25 2011 +0000

    clutter-color-size-effect: Fix a minor typo in the docs
    
    'Since:' was spelt 'SinceL' which I assume was a typo.

 clutter/clutter-colorize-effect.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 354f7b0e259173a007ec055bed6aab535a3b6d13
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 14:46:20 2011 +0000

    backend: Remove usage of CLUTTER_STAGE_TYPE
    
    It's only used for debugging purposes, and it's of limited usage since
    the stage creation is deferred to the backend implementation itself.

 clutter/clutter-backend.c                 |    1 +
 clutter/egl/clutter-backend-egl.c         |    4 ----
 clutter/glx/clutter-backend-glx.c         |    4 ----
 clutter/wayland/clutter-backend-wayland.c |    4 ----
 clutter/win32/clutter-backend-win32.c     |    4 ----
 5 files changed, 1 insertions(+), 16 deletions(-)

commit ca94d0cc374703d1bba7b45ba31573849943c9b5
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 15 12:50:15 2011 +0000

    cogl-atlas: Fix a compiler warning when Cogl debug is disabled
    
    When Cogl debugging is disabled then the 'waste' variable is not used
    so it throws a compiler warning. This patch removes the variable and
    the value is calculated directly as the parameter to COGL_NOTE.

 clutter/cogl/cogl/cogl-atlas.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit c5f057822e9e309deabce19cebeed09b5db4daf2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 15 12:44:40 2011 +0000

    cogl-debug: Don't define _cogl_debug_flags when debugging disabled
    
    _cogl_debug_flags isn't used when COGL_DEBUG is not defined so there's
    no need to declare it.
    
    Based on a patch by Fan, Chun-wei
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2561

 clutter/cogl/cogl/cogl-debug.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit fb3321d4feb8e451eb81a7087778ed31b103caf2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 15 12:43:26 2011 +0000

    cogl: Avoid pointer arithmetic on void* pointers
    
    Some code was doing pointer arithmetic on the return value from
    cogl_buffer_map which is void* pointer. This is a GCC extension so we
    should try to avoid it. This patch adds casts to guint8* where
    appropriate.
    
    Based on a patch by Fan, Chun-wei.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2561

 clutter/cogl/cogl/cogl-attribute.c |    4 ++--
 clutter/cogl/cogl/cogl-journal.c   |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e52cc75f072fa604c840e1ef9ae2a2418d6d222f
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 15 12:36:58 2011 +0000

    configure.ac: Add -Wpointer-arith to the maintainer CFLAGS
    
    GCC by default allows pointer arithmetic on void* pointers and treats
    them as having a size of 1 byte. This is non-standard behaviour and
    causes errors on some compilers so we should try to avoid
    it. -Wpointer-arith warns about these cases.

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6dc4af1c5da3e99324272fff3014da5d2c0e343a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 14:15:59 2011 +0000

    docs: Update the README
    
    Fix some typos; add URLs for API references and Bugzilla.

 README.in |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit 92d13a1966ac261e8e71314040b95233a7f27c8a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 12:13:14 2011 +0000

    build: Re-enable --warn-all for g-ir-scanner
    
    Now that I don't have to see a bunch of false positives any more, we can
    finally use warnings to catch issues.

 clutter/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6309fd6cd77ed685f36a0d4f4dd4633baa99677e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 12:11:28 2011 +0000

    introspection: Override the GParamSpec type
    
    About other assorted boneheadedness, the GType for GParamSpec is
    called 'GParam'. Why? Who knows. I assume alcohol was involved,
    but I honestly don't want to know.
    
    This removes the last g-ir-scanner warning in Clutter.

 clutter/clutter-container.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6655bedba735d2066877c938767b0d675b265923
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 12:31:12 2011 +0000

    Fix ISO C90 compiler warnings in Cogl
    
    Mixing declarations and statements and unused variables.

 clutter/cogl/cogl/cogl-attribute.c     |   14 +++++--
 clutter/cogl/cogl/cogl-bitmap-pixbuf.c |   67 +++++++++++++++++++++----------
 clutter/cogl/cogl/cogl-blend-string.c  |    4 +-
 3 files changed, 57 insertions(+), 28 deletions(-)

commit 5c398c18ad68363e13c4be04c68f0d6e87d72393
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 11:50:26 2011 +0000

    More ISO C90 warning fixes in Clutter
    
    This time, in Clutter core.
    
    The ObjC standard library provides a type called 'id', which obviously
    requires any library to either drop the useful shadowed variable warning
    or stop using 'id' as a variable name.
    
    Yes, it's almost unbearably stupid. Well, at least it's not 'index' in
    string.h, or 'y2' in math.h.

 clutter/clutter-actor.c         |   12 ++--
 clutter/clutter-actor.h         |    2 +-
 clutter/clutter-animator.c      |   10 ++--
 clutter/clutter-id-pool.c       |   30 ++++++------
 clutter/clutter-id-pool.h       |    6 +-
 clutter/clutter-main.c          |   99 ++++++++++++++++++++-------------------
 clutter/clutter-main.h          |    6 +-
 clutter/clutter-score.c         |   22 ++++----
 clutter/clutter-score.h         |    4 +-
 clutter/clutter-script-parser.c |   40 ++++++++--------
 clutter/clutter-script.c        |    8 ++--
 clutter/clutter-scriptable.c    |   12 ++--
 clutter/clutter-scriptable.h    |    4 +-
 clutter/clutter-state.c         |   18 ++++----
 clutter/clutter-timeout-pool.c  |   10 ++--
 clutter/clutter-timeout-pool.h  |    2 +-
 16 files changed, 144 insertions(+), 141 deletions(-)

commit 54a4511247bbec5330332971ea06e17af33839be
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 15 11:34:21 2011 +0000

    Fix some ISO C90 warnings on OSX

 clutter/osx/clutter-backend-osx.c        |   41 ++++++++++-------
 clutter/osx/clutter-device-manager-osx.c |    4 +-
 clutter/osx/clutter-event-loop-osx.c     |    3 +-
 clutter/osx/clutter-event-osx.c          |   13 +++--
 clutter/osx/clutter-stage-osx.c          |   72 +++++++++++++++++-------------
 5 files changed, 78 insertions(+), 55 deletions(-)

commit e90ded6c2352aeead516ec97c56332f1b7394afa
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 20 17:45:47 2011 +0000

    cogl-atlas: Try 4 different approaches for migrating textures
    
    Instead of directly banging GL to migrate textures the atlas now uses
    the CoglFramebuffer API. It will use one of four approaches; it can
    set up two FBOs and use _cogl_blit_framebuffer to copy between them;
    it can use a single target fbo and then render the source texture to
    the FBO using a Cogl draw call; it can use a single FBO and call
    glCopyTexSubImage2D; or it can fallback to reading all of the texture
    data back to system memory and uploading it again with a sub texture
    update.
    
    Previously GL calls were used directly because Cogl wasn't able to
    create a framebuffer without a stencil and depth buffer. However there
    is now an internal version of cogl_offscreen_new_to_texture which
    takes a set of flags to disable the two buffers.
    
    The code for blitting has now been moved into a separate file called
    cogl-blit.c because it has become quite long and it may be useful
    outside of the atlas at some point.
    
    The 4 different methods have a fixed order of preference which is:
    
    * Texture render between two FBOs
    * glBlitFramebuffer
    * glCopyTexSubImage2D
    * glGetTexImage + glTexSubImage2D
    
    Once a method is succesfully used it is tried first for all subsequent
    blits. The default default can be overridden by setting the
    environment variable COGL_ATLAS_DEFAULT_BLIT_MODE to one of the
    following values:
    
    * texture-render
    * framebuffer
    * copy-tex-sub-image
    * get-tex-data

 clutter/cogl/cogl/Makefile.am    |    2 +
 clutter/cogl/cogl/cogl-atlas.c   |  185 ++-----------------
 clutter/cogl/cogl/cogl-blit.c    |  389 ++++++++++++++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-blit.h    |   89 +++++++++
 clutter/cogl/cogl/cogl-context.c |    4 +
 clutter/cogl/cogl/cogl-context.h |    1 +
 6 files changed, 501 insertions(+), 169 deletions(-)

commit 7b369445b3beb776f27b0f93c7d4dc41dc6b22a4
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 10 18:24:14 2011 +0000

    cogl-texture-2d: Add _cogl_is_texture_2d to the private header
    
    This adds a declaration for _cogl_is_texture_2d to the private header
    so that it can be used in cogl-blit.c to determine if the target
    texture is a simple 2D texture.

 clutter/cogl/cogl/cogl-texture-2d-private.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit f947fe958fa99a3c2a2b3a9076023ba638665ce0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 10 18:22:27 2011 +0000

    cogl-texture-2d: Add an internal wrapper around glCopyTexSubImage2D
    
    This adds a function called _cogl_texture_2d_copy_from_framebuffer
    which is a simple wrapper around glCopyTexSubImage2D. It is currently
    specific to the texture 2D backend.

 clutter/cogl/cogl/cogl-texture-2d-private.h |   22 +++++++++++++++++
 clutter/cogl/cogl/cogl-texture-2d.c         |   35 +++++++++++++++++++++++++++
 2 files changed, 57 insertions(+), 0 deletions(-)

commit 5cc062c16c98ca398c20342031c2cffd41609711
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sat Feb 5 11:19:52 2011 +0000

    cogl-framebuffer: Add _cogl_blit_framebuffer
    
    This adds the _cogl_blit_framebuffer internal function which is a
    wrapper around glBlitFramebuffer. The API is changed from the GL
    version of the function to reflect the limitations provided by the
    GL_ANGLE_framebuffer_blit extension (eg, no scaling or mirroring).

 clutter/cogl/cogl/cogl-framebuffer-private.h |   53 ++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-framebuffer.c         |   46 ++++++++++++++++++++++
 2 files changed, 99 insertions(+), 0 deletions(-)

commit 5a159fcef4ba1c1734ff479932762e7164d9642d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sat Feb 5 12:42:39 2011 +0000

    cogl-gles: Check for the GL_ANGLE_framebuffer_blit extension
    
    This extension is the GLES equivalent of the GL_EXT_framebuffer_blit
    extension except that it has some extra restrictions. We need to check
    for some extension that provides glBlitFramebuffer so that we can
    unconditionally use ctx->drv.pf_glBlitFramebuffer in both GL and GLES
    code. Even with the restrictions, the extension provides enough
    features for what Cogl needs.

 .../cogl/driver/gles/cogl-feature-functions-gles.h |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 80bae51c01fc9eed35f3e0d64480b94e9146c7f4
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jan 21 17:37:10 2011 +0000

    cogl-atlas-texture: Make copying a texture out more robust
    
    Previously when _cogl_atlas_texture_migrate_out_of_atlas is called it
    would unreference the atlas texture's sub-texture before calling
    _cogl_atlas_copy_rectangle. This would leave the atlas texture in an
    inconsistent state during the copy. This doesn't normally matter but
    if the copy ends up doing a render then the atlas texture may end up
    being referenced. In particular it would cause problems if the texture
    is left in a texture unit because then Cogl may try to call
    get_gl_texture even though the texture isn't actually being used for
    rendering. To fix this the sub texture is now unrefed after the copy
    call instead.

 clutter/cogl/cogl/cogl-atlas-texture.c |   23 +++++++++++++++--------
 1 files changed, 15 insertions(+), 8 deletions(-)

commit e57aa3ca3ee88f117e72e668ab3e762b6ea731ba
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 2 14:23:53 2011 +0000

    cogl-framebuffer: Separate the draw and read buffer
    
    The current framebuffer is now internally separated so that there can
    be a different draw and read buffer. This is required to use the
    GL_EXT_framebuffer_blit extension. The current draw and read buffers
    are stored as a pair in a single stack so that pushing the draw and
    read buffer is done simultaneously with the new
    _cogl_push_framebuffers internal function. Calling
    cogl_pop_framebuffer will restore both the draw and read buffer to the
    previous state. The public cogl_push_framebuffer function is layered
    on top of the new function so that it just pushes the same buffer for
    both drawing and reading.
    
    When flushing the framebuffer state, the cogl_framebuffer_flush_state
    function now tackes a pointer to both the draw and the read
    buffer. Anywhere that was just flushing the state for the current
    framebuffer with _cogl_get_framebuffer now needs to call both
    _cogl_get_draw_buffer and _cogl_get_read_buffer.

 clutter/cogl/cogl/cogl-attribute.c           |    8 +-
 clutter/cogl/cogl/cogl-clip-stack.c          |   10 +-
 clutter/cogl/cogl/cogl-clip-state.c          |   14 +-
 clutter/cogl/cogl/cogl-framebuffer-private.h |   23 +++-
 clutter/cogl/cogl/cogl-framebuffer.c         |  235 +++++++++++++++++++-------
 clutter/cogl/cogl/cogl-journal.c             |   11 +-
 clutter/cogl/cogl/cogl-matrix-stack.c        |    2 +-
 clutter/cogl/cogl/cogl-primitives.c          |    4 +-
 clutter/cogl/cogl/cogl-texture.c             |    2 +-
 clutter/cogl/cogl/cogl.c                     |   50 +++---
 clutter/cogl/cogl/cogl2-path.c               |    8 +-
 11 files changed, 255 insertions(+), 112 deletions(-)

commit bdb309cbd676ea2b710b57154b68c190e9e5fa9a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 18:36:51 2011 +0000

    annotations: Use caller-allocates for color getters
    
    This should avoid a separate initialization of a ClutterColor in
    language bindings.

 clutter/clutter-box.c             |    2 +-
 clutter/clutter-colorize-effect.c |    2 +-
 clutter/clutter-rectangle.c       |    4 ++--
 clutter/clutter-stage.c           |    2 +-
 clutter/clutter-text.c            |    4 ++--
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 9e17d06bc71918743d6499e140352fe8682202b9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 17:34:15 2011 +0000

    build: Add README template to EXTRA_DIST

 Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fbaac155c5afc9d0f172334e7c8d7d4fd4c87f35
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 16:49:01 2011 +0000

    build: Generate README
    
    Use the configure script to generate the README from a template file, so
    that we can keep the versions of the dependencies in one place.

 .gitignore   |    1 +
 README       | 1058 ----------------------------------------------------------
 README.in    | 1058 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |   53 +++-
 4 files changed, 1099 insertions(+), 1071 deletions(-)

commit b91befaacada5a499b863c3731b0581cea420660
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 16:15:55 2011 +0000

    Post-release version bump to 1.6.5

 configure.ac       |    4 +-
 po/clutter-1.0.pot |   96 ++++++++++++++++++++++++++--------------------------
 po/de.po           |   94 +++++++++++++++++++++++++-------------------------
 po/fr.po           |   94 +++++++++++++++++++++++++-------------------------
 po/id.po           |   94 +++++++++++++++++++++++++-------------------------
 po/it.po           |   94 +++++++++++++++++++++++++-------------------------
 po/pl.po           |   94 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |   94 +++++++++++++++++++++++++-------------------------
 8 files changed, 332 insertions(+), 332 deletions(-)

commit c9b87435d563b9497d1570be5d007e710bf83881
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 15:53:02 2011 +0000

    Release Clutter 1.6.4 (stable)

 NEWS         |   59 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    4 +-
 2 files changed, 61 insertions(+), 2 deletions(-)

commit 3d8445807a556bcf9b4f5346420eba2b0ed4a5b8
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 13 00:04:52 2011 +0100

    backend-glx: Remove redundant glFlush()
    
    As noted in commit ce3f55292a an explict glFlush is needed for
    both glBlitFramebuffer and glXCopySubBuffer.
    
    _clutter_backend_glx_blit_sub_buffer was already doing an explicit
    flush when using glBlitFramebuffer, so just do it unconditonally
    and remove the call from clutter_stage_glx_redraw.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2558

 clutter/glx/clutter-backend-glx.c |    8 +++++++-
 clutter/glx/clutter-stage-glx.c   |    7 -------
 2 files changed, 7 insertions(+), 8 deletions(-)

commit 3a378b849b3b4e93c708130845c79dff42b34c2f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 12:00:31 2011 +0000

    stage/glx: Code clean ups

 clutter/glx/clutter-stage-glx.c |   32 ++++++++++++++++----------------
 clutter/glx/clutter-stage-glx.h |   10 ++++++----
 2 files changed, 22 insertions(+), 20 deletions(-)

commit 48f2cb1f0903084531402c93935d9ca56d8454dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 14 11:59:49 2011 +0000

    stage/x11: Clean up ClutterStageX11 struct
    
    Use the right parent instance and class structure; the X11 stage
    implementation hasn't been a ClutterGroup in a long, long time.

 clutter/x11/clutter-stage-x11.h |   27 ++++++++++++++-------------
 1 files changed, 14 insertions(+), 13 deletions(-)

commit 24c311466ca9481044091f4bb89a60aa3d0eb8e0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 13 19:27:51 2011 +0000

    tests/multi-stage: Clean up child stages
    
    Do not leave them around: force a destroy() on any child stage left when
    the main loop quits.

 tests/interactive/test-multistage.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 169df02a565a20810825180d217e6aa52c4c1965
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 13 19:26:29 2011 +0000

    stage: Call ClutterStageWindow::unrealize() on dispose
    
    Since we realize on creation we need to unrealize on destruction. This
    makes sure that the ClutterStageWindow implementation can tear down any
    resource set up during the realization phase.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2559

 clutter/clutter-stage.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7c356fd05bb05b939406b2664963fc45c8a21778
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Feb 13 19:25:21 2011 +0000

    stage/x11: Add a debug note for unrealization
    
    We remove the ClutterStageWindow ↔ Window mapping in the ::unrealize
    implementation; let's just check that we get there using a simple
    debug note.

 clutter/x11/clutter-stage-x11.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit c2c51b2950634ecb166effef2337742c45e8ed2a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 11 16:53:28 2011 +0000

    build: Fix clutter-config.h defines
    
    The checks for non-x11/glx platforms were using the wrong configure.ac
    variables and values.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 2abf56fe929f1495b230ca33222c3f00a46ef3a8
Merge: b152a97 734a236
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 11 16:45:45 2011 +0000

    Merge remote-tracking branch 'nobled/wayland-fixes2'
    
    * nobled/wayland-fixes2:
      wayland: fix shm buffers
      wayland: set renderable type on dummy surface
      wayland: check for egl extensions explicitly
      wayland: fall back to shm buffers if drm fails
      wayland: add shm buffer code
      wayland: make buffer handling generic
      wayland: really fix buffer format selection
      wayland: fix pixel format
      wayland: clean up buffer creation code
      wayland: don't require the surfaceless extensions
      wayland: check for API-specific surfaceless extension
      wayland: fix GLES context creation
      wayland: use EGL_NO_SURFACE
      wayland: update to new api
      wayland: fix connecting to default socket
      fix ClutterContainer docs

commit b152a97ea57b3fdf6eeb88955ddf6afe95420618
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Feb 11 16:27:46 2011 +0000

    actor: Rename in_clone_paint parameter to avoid variable shadowing
    
    The 'in_clone_paint' parameter of the private function
    _clutter_actor_set_in_clone_paint() shadowed the private function
    in_clone_paint(). Rename this parameter to 'is_in_clone_paint' to remove
    a compiler warning.

 clutter/clutter-actor-private.h |    2 +-
 clutter/clutter-actor.c         |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit a297fb039409733afa7df6eaeb2d28f1af1a93a3
Author: Chris Lord <chris@linux.intel.com>
Date:   Fri Feb 11 15:18:08 2011 +0000

    offscreen: Fix partially off-stage actors being clipped in the fbo
    
    If an actor was partially off of the stage, it would be clipped because
    of the stage viewport. This produces problems if you use an offscreen
    effect that relies on the entire actor being rendered (e.g. shadows).
    
    Expand the viewport in this scenario so that the offscreen-rendering isn't
    clipped.
    
    This fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2550

 clutter/clutter-offscreen-effect.c |   43 +++++++++++++++++++++++++++++++++++-
 1 files changed, 42 insertions(+), 1 deletions(-)

commit 442d8c3f2e2246187468bcebcb4de287181785d4
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 3 14:36:55 2011 +0000

    offscreen-effect: Use actor's opacity_override when redirecting painting
    
    Override the actor's paint opacity so that it will appear fully opaque in
    the offscreen surface. This avoids multiple multiplications of an actor's
    opacity.
    
    Fixes http://bugzilla.clutter-project.org/show_bug.cgi?id=2541

 clutter/clutter-offscreen-effect.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit b2ea7d1352cee7df3704c69b71ed43821363e1aa
Author: Chris Lord <chris@linux.intel.com>
Date:   Thu Feb 3 13:58:20 2011 +0000

    actor: Replace private opacity_parent with opacity_override
    
    Replace the opacity_parent with an opacity_override variable, to allow
    direct overriding of the paint opacity and simplify this mechanism
    somewhat.
    
    This also required a new private flag, in_clone_paint, to maintain the
    functionality of the public function clutter_actor_is_in_clone_paint()

 clutter/clutter-actor-private.h |    6 +++-
 clutter/clutter-actor.c         |   48 ++++++++++++++++++--------------------
 clutter/clutter-clone.c         |   14 +++++++----
 3 files changed, 36 insertions(+), 32 deletions(-)

commit 75434b8a69164518acc4a5f766ae95ba1a3f376a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 11 15:45:13 2011 +0000

    build: Modify maintainer compiler flags values
    
    We use the micro version for distinguishing released tarballs and Git
    builds; the maintainer compiler flags should be enabled for the latter,
    and not just for unstable cycles, since it makes sense to have extra
    warning flags even on stable cycles.
    
    We also want to allow people to turn on -Werror on demand, so let's add
    a third option to --enable-maintainer-flags.

 README       |    5 +++--
 configure.ac |   38 +++++++++++++++++++++++++++-----------
 2 files changed, 30 insertions(+), 13 deletions(-)

commit 7decee300e40b4e5fc9bba2ea4ff39d3c06610f0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 11 15:44:03 2011 +0000

    docs: Clarify interface_age usage in configure.ac
    
    The clutter_interface_age value should be changed only on stable cycles;
    unstable cycles should reset the value to 0.

 configure.ac |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 5f9022b593a4a4b07a27a818744f79736b8c3ca5
Merge: 2ee7052 cf18836
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 11 15:03:22 2011 +0000

    Merge remote-tracking branch 'elliot/cookbook-animations-path'
    
    * elliot/cookbook-animations-path:
      docs: Add recipe for animating an actor on a curved path

commit 2ee7052d8974051e380b7bbfeecbfc0b18484db1
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 2 15:17:50 2011 +0000

    cogl-framebuffer: Fix flushing the framebuffer on push
    
    When pushing a framebuffer it would previously push
    COGL_INVALID_HANDLE to the top of the framebuffer stack so that when
    it later calls cogl_set_framebuffer it will recognise that the
    framebuffer is different and replace the top with the new
    pointer. This isn't ideal because it breaks the code to flush the
    journal because _cogl_framebuffer_flush_journal is called with the
    value of the old pointer which is NULL. That function was checking for
    a NULL pointer so it wouldn't actually flush. It also would mean that
    if you pushed the same framebuffer twice we would end up dirtying
    state unnecessarily. To fix this cogl_push_framebuffer now pushes a
    reference to the current framebuffer instead.

 clutter/cogl/cogl/cogl-framebuffer.c |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit 3afa732bcece85dabbccee3df225886a0af1a4bf
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 9 19:31:42 2011 +0000

    cogl-framebuffer: Remove all dependencies after a flush
    
    After a dependent framebuffer is added to a framebuffer it was never
    getting removed. Once the journal for a framebuffer is flushed we no
    longer depend on any framebuffers so the list should be cleared. This
    was causing leaks of offscreens and textures.

 clutter/cogl/cogl/cogl-framebuffer.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ced045148fa2b5af892f590f4e0708bfce40fe95
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 10 10:35:35 2011 +0000

    clutter.modules: Fix Wayland's location
    
    The Git repository URL for Wayland has been moved into the main fd.o
    structure.

 build/clutter.modules |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ce3f55292a343d4877558f817d3a02115bf2c453
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 8 17:54:49 2011 +0000

    glx: Make sure to glFlush if blitting to frontbuffer.
    
    Unlike glXSwapBuffers, glXCopySubBuffer and glBlitFramebuffer don't
    issue an implicit glFlush() so we have to flush ourselves if we want the
    request to complete in finite amount of time since otherwise the driver
    can batch the command indefinitely.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2551

 clutter/glx/clutter-stage-glx.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 7b0491427c9162ce2dfa0d2ae6728a2f591ca458
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 1 13:24:13 2011 +0000

    docs: clarify cogl_vertex_buffer_adds docs
    
    This adds a clarification that cogl_vertex_buffer_add can also be
    used to replace a previously added attribute with the same name.

 clutter/cogl/cogl/cogl-vertex-buffer.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d0ca228776a5d057368cea2c743ea17b6c1a0c65
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Feb 1 13:19:49 2011 +0000

    matrix: note that _matrix_multiply can multiply in-place
    
    This adds a note to clarify that cogl_matrix_multiply allows you to
    multiply the @a matrix in-place, so @a can equal @result but @b can't
    equal @result.

 clutter/cogl/cogl/cogl-matrix.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 9adbb2f20ce4e9d6e51380079fec6d635d538d08
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 16:16:57 2011 +0000

    Fix compilation of the EGL backend
    
    Sorry for breaking it.

 clutter/egl/clutter-stage-egl.c |  146 +++++++++++++++++++-------------------
 1 files changed, 73 insertions(+), 73 deletions(-)

commit bb56a26daa817c98d75a81c5656fa087d21e7762
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 16:20:40 2011 +0000

    keymap/x11: Remove unused variables
    
    Silence compiler warnings.

 clutter/x11/clutter-keymap-x11.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 645ca5620815d36c4a49546fd61928bafc3d15dd
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 9 15:24:43 2011 +0000

    cogl: Set the layer matrix on the right layer instead of a random one
    
    When uploading the layer matrix to GL it wasn't first calling
    glActiveTextureMatrix to set the right texture unit for the
    layer. This would end up setting the texture matrix on whatever layer
    happened to be previously active. This happened to work for
    test-cogl-multitexture presumably because it was coincidentally
    setting the layer matrix on the last used layer.

 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c |    2 ++
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c  |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 98a33e03d32efc8b551b80a1a5af065ea9e1f7a8
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 9 15:12:13 2011 +0000

    Add a conformance test for cogl_pipeline_set_layer_matrix
    
    This adds a conformance test which paints using a pipeline that has
    two layers containing textures. Each layer has a different user
    matrix. When the two layers are combined with the right matrices then
    all of the colors end up white. The test then verifies this by reading
    back the pixels.

 tests/conform/Makefile.am                      |    1 +
 tests/conform/test-cogl-pipeline-user-matrix.c |  144 ++++++++++++++++++++++++
 tests/conform/test-conform-main.c              |    1 +
 3 files changed, 146 insertions(+), 0 deletions(-)

commit 95f6359f647a162f361b237d9c38a597c49987a7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 14:53:20 2011 +0000

    Intern clutter_get_actor_by_gid() implementation
    
    As the prelude to deprecation of the function in 1.8, let's move the
    implementation to an internal function, and use that instead of the
    public facing one.

 clutter/clutter-main.c    |   23 ++++++++++++-----------
 clutter/clutter-private.h |    3 ++-
 2 files changed, 14 insertions(+), 12 deletions(-)

commit 03358aca6c27f893330dd6678a22bb7b33070c77
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 13:05:12 2011 +0000

    test-actors: Clear the state on destroy
    
    The venerable test-actors used the default stage, which meant that
    closing the window just stopped the main loop but left the scene intact.
    This does not happen with a normal stage created through
    clutter_stage_new().
    
    The change happened in 6ed6b2a54b5c8f44496399057ad5e58771bfc620, in an
    unhelpfully named commit that was just supposed to switch to static
    colors. My bad.
    
    Anyway, the change led to some assertion failures when closing the stage
    in the middle of an animation.
    
    The correct thing to do when using an actor from another object (a
    Timeline ::new-frame callback in this case) without owning the instance
    is to connect to the ::destroy signal and clean up the pointer to avoid
    calling an invalid actor.

 tests/interactive/test-actors.c |   55 ++++++++++++++++++++++++++++++--------
 1 files changed, 43 insertions(+), 12 deletions(-)

commit 719e3b7e20d432bb43b0e1fd3b2d1e7035fa4863
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 12:55:25 2011 +0000

    Clean up ClutterMainContext and clutter-private.h
    
    Do a better job at documenting the main context structure fields; remove
    unused members; clean up the declarations.

 clutter/clutter-private.h |   86 +++++++++++++++++++++++++--------------------
 1 files changed, 48 insertions(+), 38 deletions(-)

commit ef4688fd0eb1bd915c6f924bbe03399855ae85ef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 12:38:10 2011 +0000

    Avoid direct access to the main context events queue
    
    The GQueue that stores the global events queue is handled all over the
    place:
    
      • the structure is created in _clutter_backend_init_events();
      • the queue is handled in clutter-event.c, clutter-stage.c and
        clutter-backend.c;
      • ClutterStage::dispose cleans up the events associated with
        the stage being destroyed;
      • the queue is destroyed in ClutterBackend::dispose.
    
    Since we need to have access to it in different places we cannot put it
    inside ClutterBackendPrivate, hence it should stay in ClutterMainContext;
    but we should still manage it from just one place - preferably by the
    ClutterEvent API only.

 clutter/clutter-backend.c |   16 +++-------------
 clutter/clutter-event.c   |    8 +++++---
 clutter/clutter-main.c    |   44 ++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-private.h |    4 ++++
 clutter/clutter-stage.c   |   23 ++++-------------------
 5 files changed, 60 insertions(+), 35 deletions(-)

commit 56d133f9080281ad9dbdda2af0f57f3fe3a0775c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 9 12:20:56 2011 +0000

    backend: Move event translators to the base class
    
    In the future, we want event translators to be the way to handle events
    in backends. For this reason, they should be a part of the base abstract
    ClutterBackend class, and not an X11-only concept.

 clutter/clutter-backend-private.h |    7 ++++
 clutter/clutter-backend.c         |   65 +++++++++++++++++++++++++++++++++++++
 clutter/egl/clutter-backend-egl.c |    2 +-
 clutter/glx/clutter-backend-glx.c |    2 +-
 clutter/x11/clutter-backend-x11.c |   62 ++++++++++-------------------------
 clutter/x11/clutter-backend-x11.h |   11 ------
 clutter/x11/clutter-keymap-x11.c  |    7 +---
 clutter/x11/clutter-stage-x11.c   |    5 ++-
 8 files changed, 96 insertions(+), 65 deletions(-)

commit e9fa986ccc0328712e48342c6ba20cffb767f9b7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 8 18:03:43 2011 +0000

    docs: Update the HACKING.backends documentation

 doc/HACKING.backends |   62 +++++++++++++++++++++++++++++++++++++------------
 1 files changed, 47 insertions(+), 15 deletions(-)

commit 224280be22aafe1df9b57fb5d200627552f37c57
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 4 15:09:41 2011 +0000

    backend: Invoke ClutterStageWindow::redraw by default
    
    Instead of asking all backends to do that for us, we can call
    ClutterStageWindow::redraw ourselves by default.
    
    This changeset fixes all backends to actually do the right thing, and
    move the stage implementation redraw inside the ClutterStageWindow
    implementation itself.

 clutter/clutter-backend.c             |   22 +++-
 clutter/egl/clutter-backend-egl.c     |   16 ---
 clutter/egl/clutter-stage-egl.c       |   21 ++--
 clutter/egl/clutter-stage-egl.h       |    4 +-
 clutter/glx/clutter-backend-glx.c     |   23 ----
 clutter/glx/clutter-stage-glx.c       |  186 +++++++++++++++++----------------
 clutter/glx/clutter-stage-glx.h       |    3 -
 clutter/osx/clutter-backend-osx.c     |   25 -----
 clutter/osx/clutter-stage-osx.c       |   14 +++
 clutter/win32/clutter-backend-win32.c |   27 -----
 clutter/win32/clutter-stage-win32.c   |   17 +++
 11 files changed, 158 insertions(+), 200 deletions(-)

commit 734a236a97a06d823ed9387640c390a5081c71ff
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Feb 8 15:55:18 2011 +0000

    wayland: fix shm buffers
    
    We need to *write* to the shared memory, not read from it.
    cogl_texture_from_data() is read-only, it doesn't keep
    the data in sync with the texture.
    
    Instead, we have to call cogl_texture_get_data() ourselves
    to sync manually.

 clutter/wayland/clutter-stage-wayland.c |   44 ++++++++++++++++++++++--------
 clutter/wayland/clutter-stage-wayland.h |    4 ++-
 2 files changed, 35 insertions(+), 13 deletions(-)

commit c1a27d481ba7579a59b720a6b9b7a4be46294110
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Feb 8 15:53:08 2011 +0000

    wayland: set renderable type on dummy surface
    
    Make sure it's compatible with the API that's in use.

 clutter/wayland/clutter-backend-wayland.c |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 20b1350614cab53c2ded828cdffc96db3c083ddd
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Feb 8 15:45:39 2011 +0000

    wayland: check for egl extensions explicitly
    
    eglGetProcAddress() returns non-null function pointers
    whether or not they're actually supported by the driver,
    since it can be used before any driver gets loaded. So
    we have to check if the extensions are advertised first,
    which requires having an initialized display, so we split
    the display creation code into its own function.
    
    The exception to extension-checking is EGL_MESA_drm_display,
    since by definition it's needed before any display is even
    created.

 clutter/wayland/clutter-backend-wayland.c |   89 +++++++++++++++++++++--------
 1 files changed, 65 insertions(+), 24 deletions(-)

commit 7da930fb75b7a653b2d8360267b0060c6c996e67
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Feb 4 15:08:48 2011 +0000

    stage-window: Add ::redraw virtual function
    
    How to redraw a ClutterStage's implementation should be part of the
    ClutterStageWindow interface.

 clutter/clutter-stage-window.c |   12 ++++++++++++
 clutter/clutter-stage-window.h |    4 ++++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit bbf73f58b6e9e6f3554391ff1f2d6fca0682ebeb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 8 15:31:20 2011 +0000

    Skip some x11-specific calls when generating introspection
    
    Some types are just not handled currently.

 clutter/x11/clutter-backend-x11.c |    8 ++++----
 clutter/x11/clutter-event-x11.c   |    2 +-
 clutter/x11/clutter-stage-x11.c   |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 2f8d22ef89e74aa20b199ce540cbe88d588249a7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 8 15:30:48 2011 +0000

    Unify the vfunc parameters names with their callers
    
    Otherwise g-ir-scanner will get fairly angry.

 clutter/clutter-actor.h     |    4 ++--
 clutter/clutter-container.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit cf18836ca0e9db22e745aaba59f647cba672962c
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Tue Feb 8 14:37:59 2011 +0000

    docs: Add recipe for animating an actor on a curved path
    
    Show how to animate an actor using a ClutterPathConstraint.
    
    This demonstrates how to get effects similar to
    ClutterPathBehaviour with the modern animation APIs.
    
    Includes 3 examples:
    
    1) Simple ClutterPathConstraint used with implicit animations
    2) ClutterPathConstraint used to simulate circular animation,
    using ClutterAnimator
    3) Creating simple curved path animations with non-linear
    easing

 doc/cookbook/Makefile.am                       |    1 +
 doc/cookbook/animations.xml                    |  271 ++++++++++++++++++++++++
 doc/cookbook/examples/Makefile.am              |    6 +
 doc/cookbook/examples/animations-path-circle.c |  128 +++++++++++
 doc/cookbook/examples/animations-path-easing.c |  104 +++++++++
 doc/cookbook/examples/animations-path.c        |   61 ++++++
 doc/cookbook/videos/animations-path.ogv        |  Bin 0 -> 39639 bytes
 7 files changed, 571 insertions(+), 0 deletions(-)

commit 9090070a98d7ab8201d29807b18ffad4db89a131
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 8 12:08:18 2011 +0000

    x11: Refresh key mapping when notified by X11
    
    Use both the MappingNotify event and the XKB XkbMapNotify event, if
    we're compiled with XKB support.
    
    This change is also useful for making ClutterKeymapX11 an event
    translator and let it deal with XKB events internally like we do for
    stage and input events.
    
    Based on a patch by: Damien Lespiau <damien.lespiau@intel.com>
    
    Signed-off by: Emmanuele Bassi <ebassi@linux.intel.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2525

 clutter/x11/clutter-backend-x11.h |    2 +-
 clutter/x11/clutter-keymap-x11.c  |  156 ++++++++++++++++++++++++-------------
 clutter/x11/clutter-stage-x11.c   |    7 ++
 3 files changed, 111 insertions(+), 54 deletions(-)

commit 4956152a1157e181b9e8b8179420628aa77a73fb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 15:59:42 2011 +0000

    Post-release version bump to 1.6.3

 configure.ac       |    4 +-
 po/clutter-1.0.pot |   56 ++++++++++++++++++++++++++--------------------------
 po/de.po           |   54 +++++++++++++++++++++++++-------------------------
 po/fr.po           |   54 +++++++++++++++++++++++++-------------------------
 po/id.po           |   54 +++++++++++++++++++++++++-------------------------
 po/it.po           |   54 +++++++++++++++++++++++++-------------------------
 po/pl.po           |   54 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |   54 +++++++++++++++++++++++++-------------------------
 8 files changed, 192 insertions(+), 192 deletions(-)

commit bb5608532eb49d51b2f7d92260403806da5c0d80
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 15:42:45 2011 +0000

    Release Clutter 1.6.2

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3e857802a8a94718f483f14c0567c0a6dbe2338e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 15:42:23 2011 +0000

    Update NEWS

 NEWS |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 615c200707411bad14d6864e679ec8c279ec276b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Feb 7 15:40:09 2011 +0000

    build: Fix the Cally pkg-config file
    
    Do not use ${winsys}: use ${soname_infix} instead.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2549

 clutter/cally/cally.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9fa85ee9bfa1848f5058d3c9e42aecb2e5865712
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 3 16:25:42 2011 +0000

    osx: Add more checks to the redraw function
    
    The redraw function might be called during destruction phase, when the
    Stage state has not entirely been tore down. We need to be slightly more
    resilient to that scenario.

 clutter/osx/clutter-backend-osx.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit d846f5fe6a63ef95d1ce12d573b36521f8defd90
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 3 11:30:10 2011 +0000

    Add some more sanity checks to clutter_do_event()
    
    Silently ignore events on stages during destruction; but print out a
    warning if clutter_do_event() is being called with a stage-less event.

 clutter/clutter-main.c |   18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

commit 63e88d9840743bf131bc6861112c94c5d8905fbc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 3 11:26:09 2011 +0000

    stage: Unconditionally create the devices hash table

 clutter/clutter-stage.c |   14 +++-----------
 1 files changed, 3 insertions(+), 11 deletions(-)

commit f133d84c026a5c7737c348a85c70f49ab1adb90d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 3 11:25:28 2011 +0000

    stage: Do not update when destroying a stage
    
    During the stage destruction we should just skip event processing, since
    we cannot guarantee that the stage is actually valid.

 clutter/clutter-stage.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 901ed3256863118b28bd843e56449b9ee51160da
Author: Viatcheslav Gachkaylo <vgachkaylo@crystalnix.com>
Date:   Thu Feb 3 14:51:20 2011 +0600

    Fixed bugs with mouse events.
    
    Enter/leave events are now being received. Mouse move events
    now work properly.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2545

 clutter/Makefile.am                      |    2 ++
 clutter/osx/clutter-backend-osx.c        |    3 ++-
 clutter/osx/clutter-backend-osx.h        |    7 +++++--
 clutter/osx/clutter-device-manager-osx.h |    2 ++
 clutter/osx/clutter-event-loop-osx.c     |    2 +-
 clutter/osx/clutter-event-osx.c          |   10 ++++++----
 clutter/osx/clutter-stage-osx.c          |    6 ++++++
 7 files changed, 24 insertions(+), 8 deletions(-)

commit cef380040d02a597eae33557a7597cc6029d4291
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 2 14:43:38 2011 +0000

    osx: Use _clutter_event_push()
    
    Do not operate directly on the event queue, but use the wrapper call
    that all backends share.

 clutter/osx/clutter-event-osx.c |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit af22290f0d8822105c11f038723bbb3e4d0c3471
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 2 14:41:57 2011 +0000

    osx: Re-add the event time
    
    Some overzealous diffing led to a missing call to setting the time of a
    ClutterEvent from the corresponding NSEvent.

 clutter/osx/clutter-event-osx.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 55e26e23df68ff8f18bc75eb6b3512edbe852456
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 1 18:43:27 2011 +0000

    cogl-vertex-buffer: Use a ref count on the pipeline private data
    
    The pipeline private data is accessed both from the private data set
    on a CoglPipeline and the destroy notify function of a weak material
    that the vertex buffer creates when it needs to override the wrap
    mode. However when a CoglPipeline is destroyed, the CoglObject code
    first removes all of the private data set on the object and then the
    CoglPipeline code gets invoked to destroy all of the weak children. At
    this point the vertex buffer's weak override destroy notify function
    will get invoked and try to use the private data which has already
    been freed causing a crash.
    
    This patch instead adds a reference count to the pipeline private data
    stuct so that we can avoid freeing it until both the private data on
    the pipeline has been destroyed and all of the weak materials are
    destroyed.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2544

 clutter/cogl/cogl/cogl-vertex-buffer.c |   33 ++++++++++++++++++++++++++-----
 1 files changed, 27 insertions(+), 6 deletions(-)

commit 5740a5a38a4d0a0b22e62ea0035b8e360c7a6cc0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Feb 1 17:38:58 2011 +0000

    cogl-pipeline: Fix comparing the color in set_layer_combine_constant
    
    In cogl_pipeline_set_layer_combine_constant it was comparing whether
    the new color is the same as the old color using a memcmp on the
    constant_color parameter. However the combine constant is stored in
    the layer data as an array of four floats but the passed in color is a
    CoglColor (which is currently an array of four guint8s). This was
    causing valgrind errors and presumably also the check for setting the
    same color twice would always fail.
    
    This patch makes it do the conversion to a float array upfront before
    the comparison.

 clutter/cogl/cogl/cogl-pipeline.c |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit a573ad05c93ee2002882569d09def280ac9f9367
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 14:44:22 2011 +0000

    event: The device setter work on sub-types
    
    Instead of just setting the input device pointer in the private event
    data, it should also set the field in the event sub-types, so that
    direct access to the structures still works.

 clutter/clutter-event.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 8fc462269db02dc076067d9b5262e6a5492215a9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 14:38:08 2011 +0000

    build: Pass --enable-cookbook when distchecking
    
    We should force building the cookbook when releasing a tarball of
    Clutter, so that users of packaged tarballs can actually build the
    cookbook themselves.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 428f64212c2c510f7c4484fda189b8fdb4249bc0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 14:33:29 2011 +0000

    build: Fixes to pass distcheck
    
    Try to make the cookbook pass the distcheck phase, so that we can run
    distcheck with --enable-docs, and make sure that a tarballed clutter
    release can actually build the cookbook.

 doc/cookbook/Makefile.am          |  112 +++++++++++++++++++------------------
 doc/cookbook/examples/Makefile.am |   70 ++++++++++++------------
 2 files changed, 93 insertions(+), 89 deletions(-)

commit 6f1e5010d90ed74dacfaaf8807ffa6704a8d5329
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 14:32:41 2011 +0000

    docs: Switch a 'Since' annotation in CallyActor
    
    Since doesn't like it when it's not the last annotation.

 clutter/cally/cally-actor.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2ded18933e767afa6859d35de3de15850743d798
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 31 18:53:51 2011 +0000

    cogl-matrix: Get rid of the *_packed variants
    
    cogl_matrix_project_points and cogl_matrix_transform_points had an
    optimization for the common case where the stride parameters exactly
    match the size of the corresponding structures. The code for both when
    generated by gcc with -O2 on x86-64 use two registers to hold the
    addresses of the input and output arrays. In the strided version these
    pointers are incremented by adding the value of a register and in the
    packed version they are incremented by adding an immediate value. I
    think the difference in cost here would be negligible and it may even
    be faster to add a register.
    
    Also GCC appears to retain the loop counter in a register for the
    strided version but in the packed version it can optimize it out and
    directly use the input pointer as the counter. I think it would be
    possible to reorder the code a bit to explicitly use the input pointer
    as the counter if this were a problem.
    
    Getting rid of the packed versions tidies up the code a bit and it
    could potentially be faster if the code differences are small and we
    get to avoid an extra conditional in cogl_matrix_transform_points.

 clutter/cogl/cogl/cogl-matrix.c |  246 ++++++++-------------------------------
 1 files changed, 50 insertions(+), 196 deletions(-)

commit c4d4a5469af9ac8e426c5321a4407409cddf93c9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Feb 1 12:45:52 2011 +0000

    build: Dist cb-button.h in the cookbook examples
    
    The header is missing, so we have a build failure if you try to build
    Clutter's cookbook from the tarball.

 doc/cookbook/examples/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e855bc45a266ab72ac1545fadf506d0ae0128c50
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 05:05:28 2011 +0000

    wayland: fall back to shm buffers if drm fails

 clutter/wayland/clutter-backend-wayland.c |   74 ++++++++++++++++++-----------
 clutter/wayland/clutter-backend-wayland.h |    1 +
 clutter/wayland/clutter-stage-wayland.c   |    8 +++-
 3 files changed, 54 insertions(+), 29 deletions(-)

commit d84f31ef3a9ad56463b34af74a4a5f68ef0621a4
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 04:22:50 2011 +0000

    wayland: add shm buffer code
    
    It's not enabled to do anything yet.

 clutter/wayland/clutter-backend-wayland.c |    4 ++
 clutter/wayland/clutter-backend-wayland.h |    1 +
 clutter/wayland/clutter-stage-wayland.c   |   62 +++++++++++++++++++++++++++++
 clutter/wayland/clutter-stage-wayland.h   |    8 ++++
 4 files changed, 75 insertions(+), 0 deletions(-)

commit adeb6119346f46e015cb54b856b2d73543353496
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 15:04:48 2011 +0000

    Post-release version bump to 1.6.1

 configure.ac       |    4 +-
 po/clutter-1.0.pot |   76 ++++++++++++++++++++++++++--------------------------
 po/de.po           |   74 +++++++++++++++++++++++++-------------------------
 po/fr.po           |   74 +++++++++++++++++++++++++-------------------------
 po/id.po           |   74 +++++++++++++++++++++++++-------------------------
 po/it.po           |   74 +++++++++++++++++++++++++-------------------------
 po/pl.po           |   74 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |   74 +++++++++++++++++++++++++-------------------------
 8 files changed, 262 insertions(+), 262 deletions(-)

commit 01cbd47b19a57a70924c4cc4ecad52319a446b29
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 14:47:37 2011 +0000

    Release Clutter 1.6.0

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c060f086c5af655a52d7b2651abd76eb10394534
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:59:14 2011 +0000

    docs: Update the NEWS file

 NEWS |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit bb44d51fc934e2360eb8d529be7cdcec438d32b5
Merge: 5859efa 6680ceb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:58:12 2011 +0000

    Merge remote branch 'elliot/cookbook-actors-composite'
    
    * elliot/cookbook-actors-composite:
      docs: Add reference to useful GObject tutorial
      docs: Explain why destroy() is implemented
      docs: Implement destroy() rather than dispose()
      docs: Don't use clutter_stage_get_default()
      docs: Change text on button
      docs: Add a note about other state variables
      docs: Complete composite actor recipe
      docs: Change order of functions in example to match docs
      docs: Add more comments on how allocate() works
      docs: Include code examples in the recipe
      docs: Explain enums for properties and signals
      docs: Don't set explicit size on button
      docs: Add example of preferred_height() and preferred_width()
      docs: Add recipe for creating a custom ClutterActor with composition
      docs: Add more comments on code example for composite actor
      docs: Improve example code formatting
      docs: Add some gtk-doc annotations to example
      docs: Add custom ClutterActor example which uses composition

commit 5859efa34ff530a9452877a46cc120ca1d36a8e1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:50:37 2011 +0000

    docs: Update NEWS file

 NEWS |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 2c1f8c9ad367035f7fd0d5177c60816440d916b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 28 14:53:08 2011 +0000

    osx: Add devices to event translation code
    
    Use a DeviceManager sub-class similar to the Win32 backend one, which
    creates two InputDevices: a core pointer and a core keyboard.
    
    The event translation code then uses these two devices to fill out the
    .device field of the events.
    
    Throw in enter/leave tracking, given that we need to update the device's
    state.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2490

 clutter/osx/clutter-backend-osx.c        |   45 ++++++--
 clutter/osx/clutter-device-manager-osx.c |  180 ++++++++++++++++++++++++++++++
 clutter/osx/clutter-device-manager-osx.h |   58 ++++++++++
 clutter/osx/clutter-event-osx.c          |   83 +++++++++++---
 clutter/osx/clutter-stage-osx.c          |    7 +-
 clutter/osx/clutter-stage-osx.h          |   12 +-
 6 files changed, 350 insertions(+), 35 deletions(-)

commit 634e4ffd1a93d62c3875e02f5ba69085fa0b4bcf
Author: Viatcheslav Gachkaylo <vgachkaylo@crystalnix.com>
Date:   Fri Jan 28 12:56:57 2011 +0000

    osx: Improve the event loop
    
    Implementation of event loop which works with GLib events, native OS X
    events and Clutter events.
    
    The event loop source code comes from the equivalent code in the Quartz
    GDK backend from GTK+ 2.22.1, which is LGPL v2.1+ and thus compatible
    with Clutter's licensing terms.
    
    The code has been tested with libsoup, which did not work before together
    with Clutter.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2490

 clutter/Makefile.am                  |    6 +-
 clutter/clutter-debug.h              |    3 +-
 clutter/osx/clutter-event-loop-osx.c | 1051 ++++++++++++++++++++++++++++++++++
 clutter/osx/clutter-event-loop-osx.h |   32 +
 clutter/osx/clutter-event-osx.c      |  223 +++-----
 clutter/osx/clutter-stage-osx.h      |    3 +
 6 files changed, 1176 insertions(+), 142 deletions(-)

commit 6680cebfe1f0ef697e16f6db26d1e7fb70d5e459
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 13:40:10 2011 +0000

    docs: Add reference to useful GObject tutorial
    
    Add a reference to a GObject tutorial which
    is a good introduction to the various macros etc.
    and what they're for.

 doc/cookbook/actors.xml |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 885664f725aa3704c46db62e7b1fa951819fc22c
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 13:39:11 2011 +0000

    docs: Explain why destroy() is implemented
    
    As destroy() is Clutter-specific and not generic
    GObject code, explain why we implement it
    (rather than dispose()).

 doc/cookbook/actors.xml |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 1558975bc38c87690f26bc54849459c4db581371
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:37:32 2011 +0000

    docs: Fix documentation for clutter_actor_pop_internal()
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2534

 clutter/clutter-actor.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e69d60e8b64bbe0811479dac96aee6009560be4e
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 13:36:37 2011 +0000

    docs: Implement destroy() rather than dispose()
    
    Remove the dispose() implementation and replace
    with destroy().
    
    This should be promoted as the standard approach
    for implementing a composite actor, as it emits a
    signal when instances of the actor subclass are destroyed.

 doc/cookbook/examples/cb-button.c |   61 +++++++++++++++++++------------------
 1 files changed, 31 insertions(+), 30 deletions(-)

commit 9753cd4a59f3849090bf8cee247fafd806729826
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:04:49 2011 +0000

    docs: Update Cogl release notes for 1.6

 README |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit f954b8e1bb309d4f9487edb558f4280c772cffb5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 13:04:35 2011 +0000

    Update the NEWS file

 NEWS |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit ef36d7cbccbd9225f2a16328522c1cbf3d0befd0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 12:51:14 2011 +0000

    docs: Update the documentation for clutter_actor_unparent()
    
    Make sure that we document the semantics of unparent() and who should
    call it.

 clutter/clutter-actor.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit e32253508de412c3d91c55e73e099ddcc38e1082
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 12:50:25 2011 +0000

    docs: Update documentation for ::destroy
    
    The ::destroy signal is meant to be used to break reference cycles on
    third party code. The documentation should really make it clear.

 clutter/clutter-actor.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit e0580127f8f3510c2a8b4d2906c66835ac7bc5a5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 31 12:28:03 2011 +0000

    docs: Update release notes for 1.6

 README |   90 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 67 insertions(+), 23 deletions(-)

commit f63158c2a2c27e7d4a264caf994f799a38fb6398
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 12:18:58 2011 +0000

    docs: Don't use clutter_stage_get_default()
    
    clutter_stage_get_new() is the recommended way to
    get a stage instance, so use that instead.

 doc/cookbook/examples/actors-composite-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3f64137a7937498ea4982edf9c1fb133fe9321e4
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 11:06:01 2011 +0000

    docs: Change text on button
    
    Modify the text shown on the button to "hello / world"
    rather than "winkle / pickers". Slightly more
    sensible.

 doc/cookbook/examples/actors-composite-main.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 5530c5e2ec9605722e7f65b60b73e8fe396e6c39
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 11:05:27 2011 +0000

    docs: Add a note about other state variables
    
    Explain that the private structure would be the
    place to store other state variables for the instance.

 doc/cookbook/examples/cb-button.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 08f5dc08d0e11e2f03b3a9c8889222a584cbe0e7
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Mon Jan 31 10:53:52 2011 +0000

    docs: Complete composite actor recipe
    
    Add some extra detail to the Discussion section of the
    composite actor recipe, concentrating on the pros and
    cons of this approach.
    
    Also explain more about the Clutter parts of the implementation.
    
    Also general tidy up of language and style.

 doc/cookbook/actors.xml |  228 ++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 174 insertions(+), 54 deletions(-)

commit 238fd52c4b0660ac61b3ae125f3eef8f71b0f6b0
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 17:09:24 2011 +0000

    docs: Change order of functions in example to match docs
    
    Moved the functions around in the C code file, to match
    the order Clutter uses them, and the order they are explained
    in the recipe.

 doc/cookbook/examples/cb-button.c |   99 ++++++++++++++++--------------------
 1 files changed, 44 insertions(+), 55 deletions(-)

commit 6934b3645164b5e2a4d4c3da5ed99fe93bb9a95d
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 16:43:22 2011 +0000

    docs: Add more comments on how allocate() works
    
    Add some extra description to the allocate() function,
    explaining how the allocation has to be adjusted to
    coordinates relative to the actor as a whole, before
    applying to the single child actor it is composed from.

 doc/cookbook/examples/cb-button.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 00deb59a9daa45558753810fcc18c738f61b0a6e
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 11:49:08 2011 +0000

    docs: Include code examples in the recipe
    
    Include all the code examples inline as part of the recipe.
    
    Remove sections around each code example, as these are
    unnecessary; leave full discussion for the Discussion section
    instead of trying to cram it in around the code example.

 doc/cookbook/actors.xml |  103 +++++++++++++++-------------------------------
 1 files changed, 34 insertions(+), 69 deletions(-)

commit 5f676ce3253f4e6f5ac07a1c1099d17e8384d5ee
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 11:39:26 2011 +0000

    docs: Explain enums for properties and signals
    
    Add some more explanatory comments about the PROP_ and
    signals enums.

 doc/cookbook/examples/cb-button.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit 18b90f100c259db2e5ef19874277b3d5d50791f0
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 11:36:20 2011 +0000

    docs: Don't set explicit size on button
    
    Rather than set a size on the CbButton instance, let it
    size itself automatically, based on the size requisition
    functions.

 doc/cookbook/examples/actors-composite-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 951f13bb8dc2ead8fe3fd3a6f2fede2618c57a19
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 11:35:14 2011 +0000

    docs: Add example of preferred_height() and preferred_width()
    
    As most actor subclasses will probably want to implement
    size requisition, give a simple example of how to do this
    on the basis of the composed actor's size, plus some padding.

 doc/cookbook/examples/cb-button.c |   67 +++++++++++++++++++++++++++++++++++--
 1 files changed, 64 insertions(+), 3 deletions(-)

commit 2adc224f0e701648ff0f08ed80317f4b3d4109df
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Wed Jan 26 11:22:07 2011 +0000

    docs: Add recipe for creating a custom ClutterActor with composition

 doc/cookbook/actors.xml |  190 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 189 insertions(+), 1 deletions(-)

commit 7059be499ab8c31bcc9825f823587d05410f186a
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 28 11:13:47 2011 +0000

    docs: Add more comments on code example for composite actor
    
    Add more comments about the specific purpose of functions
    and variables in the composite actor example, particularly
    around GObject implementation.

 doc/cookbook/examples/cb-button.c |   69 ++++++++++++++++++++++++++++++++----
 doc/cookbook/examples/cb-button.h |   11 ++++++
 2 files changed, 72 insertions(+), 8 deletions(-)

commit b3954878c2827e78c0d800a038d6ae5cb515a136
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Wed Jan 26 11:18:23 2011 +0000

    docs: Improve example code formatting
    
    Improve code formatting to adhere to Clutter uncrustify rules.

 doc/cookbook/examples/cb-button.c |   16 +++++++---------
 doc/cookbook/examples/cb-button.h |   29 +++++++++++++++--------------
 2 files changed, 22 insertions(+), 23 deletions(-)

commit 7b9eaeeadbf6ff10b4e467d13a873685a613ba37
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Tue Jan 25 11:36:13 2011 +0000

    docs: Add some gtk-doc annotations to example
    
    As this is a full GObject class implementation, add some
    gtk-doc annotations to demonstrate how how custom actor subclasses
    should be documented.

 doc/cookbook/examples/cb-button.c |   65 +++++++++++++++++++++++++++++++------
 1 files changed, 55 insertions(+), 10 deletions(-)

commit 8a5967f0cc4ca2ce2b4e8869f4a0ec3bdee07912
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Fri Jan 21 16:43:03 2011 +0000

    docs: Add custom ClutterActor example which uses composition

 doc/cookbook/examples/Makefile.am             |    2 +
 doc/cookbook/examples/actors-composite-main.c |   79 +++++++
 doc/cookbook/examples/cb-button.c             |  287 +++++++++++++++++++++++++
 doc/cookbook/examples/cb-button.h             |   72 ++++++
 4 files changed, 440 insertions(+), 0 deletions(-)

commit d4ccef786b4cf5b1885f51c2aa2fca43095f1a75
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 03:07:37 2011 +0000

    wayland: make buffer handling generic
    
    Separate the code specific to DRM buffers into
    its own functions/subclass to prepare for adding SHM buffers.

 clutter/wayland/clutter-stage-wayland.c |   56 ++++++++++++++++++++++---------
 clutter/wayland/clutter-stage-wayland.h |   12 +++++-
 2 files changed, 50 insertions(+), 18 deletions(-)

commit 15cd4705dbd51025e452810a873e2010bee494b9
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 02:45:01 2011 +0000

    wayland: really fix buffer format selection
    
    Wayland visuals refer to a pixel's bytes in order from
    most significant to least significant, while the
    one-byte-per-component Cogl formats refer to the order
    of increasing memory addresses, so converting between
    the two depends on the system's endianness.

 clutter/wayland/clutter-stage-wayland.c |   31 ++++++++++++++++++++++++++++---
 1 files changed, 28 insertions(+), 3 deletions(-)

commit 2ff5cf5aa0178e921203a220e64645ae2f705de2
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 02:27:23 2011 +0000

    wayland: fix pixel format
    
    This matches to the Wayland premultiplied_argb_visual
    the rest of the code is using.
    
    The format needs to differ based on endianness, though...

 clutter/wayland/clutter-stage-wayland.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f6a6a44fe7e7561558a375b780ba17b0dfa1e842
Author: nobled <nobled@dreamwidth.org>
Date:   Mon Jan 31 02:14:17 2011 +0000

    wayland: clean up buffer creation code
    
    The height was being set from the ClutterGeometry in some parts
    and from the stage in others. And since both callers of this
    function pass &stage_wayland->allocation as the geometry anyway,
    the stage argument isn't really even needed.

 clutter/wayland/clutter-stage-wayland.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit b820e3940681e4a08ec4985bb13c7f53faf657d4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sun Jan 30 23:00:00 2011 +0000

    text: Bind BackSpace + Shift as BackSpace
    
    Follow this old GTK+ bug:
    
      https://bugzilla.gnome.org/show_bug.cgi?id=80302
    
    and ignore the Shift mask.

 clutter/clutter-text.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7e4a8fd907d728d4daa7bd0c124a22e86659fc7b
Author: nobled <nobled@dreamwidth.org>
Date:   Sun Jan 30 22:43:50 2011 +0000

    wayland: don't require the surfaceless extensions
    
    Just create a one-pixel dummy surface for eglMakeCurrent().

 clutter/wayland/clutter-backend-wayland.c |   62 ++++++++++++++++++++++------
 clutter/wayland/clutter-backend-wayland.h |    1 +
 2 files changed, 49 insertions(+), 14 deletions(-)

commit ffd7197dd6679e539b2ede0bdd401f57461113d5
Author: nobled <nobled@dreamwidth.org>
Date:   Sun Jan 30 22:22:10 2011 +0000

    wayland: check for API-specific surfaceless extension
    
    It's a whole different extension name for each GL api.

 clutter/wayland/clutter-backend-wayland.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 542717e45b7279e220e033069a6712693eafa49d
Author: nobled <nobled@dreamwidth.org>
Date:   Sun Jan 30 22:18:55 2011 +0000

    wayland: fix GLES context creation
    
    It was unconditionally binding the desktop-GL API and
    requesting the wrong API version in the case of GLES1.

 clutter/wayland/clutter-backend-wayland.c |   19 ++++++++++++++-----
 1 files changed, 14 insertions(+), 5 deletions(-)

commit 9dcb9453ede3ff435ddaf492123a25ad128630e3
Author: nobled <nobled@dreamwidth.org>
Date:   Sun Jan 30 22:06:23 2011 +0000

    wayland: use EGL_NO_SURFACE

 clutter/wayland/clutter-backend-wayland.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9be4cfe8a9eef6a7a15c7100731a199f9348e73b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 28 18:05:06 2011 +0000

    x11/stage: Use a global Window ↔ Stage relationship
    
    Since we need to find the stage from the X11 Window, it's better to use
    a static hashmap that gets updated every time the ClutterStageX11:xwin
    member is changed, instead of iterating over every stage handled by the
    global ClutterStageManager singleton.

 clutter/glx/clutter-backend-glx.c |    7 ++++-
 clutter/x11/clutter-stage-x11.c   |   49 ++++++++++++++++++++++++-------------
 2 files changed, 37 insertions(+), 19 deletions(-)

commit f4508be4ab18f741bea12ea993c635fa9d632de2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 28 17:25:43 2011 +0000

    win32: Small clean ups in the event code
    
    Use clutter_event_set_device() instead of setting the device field.
    
    Also, use G_N_ELEMENTS() to determine the size of the key symbols
    mapping array.

 clutter/win32/clutter-event-win32.c |   31 ++++++++++++++++++++-----------
 1 files changed, 20 insertions(+), 11 deletions(-)

commit 82d1e5a6ee081cf462999ea04fbd51cdb91f70c9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 27 17:26:16 2011 +0000

    Clean up crossing event synthesis code
    
    Clutter should just require that the windowing system used by a backend
    adds a device to the stage when the device enters, and removes it from
    the stage when the device leaves; with this information, we can
    synthesize every crossing event and update the device state without
    other intervention from the backend-specific code.
    
    The generation of additional crossing events for actors that are
    covering the stage at the coordinates of the crossing event should be
    delegated to the event processing code.
    
    The x11 and win32 backends need to be modified to relay the enter and
    leave events from the windowing system.

 clutter/clutter-device-manager-private.h      |    6 +-
 clutter/clutter-device-manager.c              |    2 +-
 clutter/clutter-event.c                       |    1 +
 clutter/clutter-input-device.c                |  152 +++++++++----------------
 clutter/clutter-main.c                        |   90 +++++++++++----
 clutter/clutter-stage-private.h               |    8 ++
 clutter/clutter-stage.c                       |   48 ++++++++-
 clutter/win32/clutter-event-win32.c           |   19 +++-
 clutter/x11/clutter-device-manager-core-x11.c |   45 ++++----
 clutter/x11/clutter-device-manager-xi2.c      |   32 +++---
 10 files changed, 242 insertions(+), 161 deletions(-)

commit b3784bd2b4c9aeac809cca70681bc248123133f8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 27 17:21:08 2011 +0000

    event: Add a setter for the device field
    
    When synthesizing events coming from input devices it should be
    possible to just call a setter function, to avoid a huge switch
    on the type of the event.
    
    Clutter should also store the device pointer inside the private
    data, for faster access of the pointer in allocated events.
    
    Finally, the get_device_id() and get_device_type() accessors should
    just be wrappers around clutter_event_get_device(), to reduce the
    amount of code duplication.

 clutter/clutter-event.c                    |   98 +++++++++++++++++-----------
 clutter/clutter-event.h                    |    3 +
 doc/reference/clutter/clutter-sections.txt |    1 +
 3 files changed, 64 insertions(+), 38 deletions(-)

commit 3502f326b21856ed7720c8541aa4eb3990517a6f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 26 12:44:03 2011 +0000

    x11/stage: Remove redundant line location
    
    The CLUTTER_NOTE() macro already adds the line location; adding another
    will just clutter up the log.

 clutter/x11/clutter-stage-x11.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit acf51259d2057b412d1d32fa8246fd14c9ddb66f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 26 11:58:08 2011 +0000

    x11: Store a back pointer to the backend in the stage
    
    Since we access it in order to get the X11 Display pointer, it makes
    sense to have the ClutterBackendX11 already available inside the
    ClutterStageX11 structure, and avoid the pattern:
    
      ClutterBackend *backend = clutter_get_default_backend ();
      ClutterBackendX11 *backend_x11 = CLUTTER_BACKEND_X11 (backend);
    
    which costs us a function call, a type cast and an unused variable.

 clutter/egl/clutter-backend-egl.c |    1 +
 clutter/glx/clutter-backend-glx.c |    1 +
 clutter/x11/clutter-stage-x11.c   |  129 +++++++++++--------------------------
 clutter/x11/clutter-stage-x11.h   |    5 +-
 4 files changed, 41 insertions(+), 95 deletions(-)

commit 1d7e2233130b3041cc204fed326087c3a2bc9867
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jan 28 18:11:38 2011 +0000

    test-path: Fix the test when running against latest Cairo versions
    
    Cairo has recently changed so that it no longer adds a final move-to
    command when the path ends with a close. This patch makes the test
    check the run-time version number of Cairo to avoid duplicating this
    behaviour when testing the conversion to and from a Cairo path.

 tests/conform/test-path.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit 0886452dc241d18a1c6d4d787b06e61ea75a2b57
Author: nobled <nobled@dreamwidth.org>
Date:   Fri Jan 28 17:29:48 2011 +0000

    wayland: update to new api
    
    Adapt to changes from this Wayland commit:
    "Update surface.attach and change surface.map to surface.map_toplevel"
    (82da52b15b49da3f3c7b4bd85d334ddfaa375ebc)

 clutter/wayland/clutter-backend-wayland.c |    4 +---
 clutter/wayland/clutter-stage-wayland.c   |   10 ++++------
 2 files changed, 5 insertions(+), 9 deletions(-)

commit 2a45ea6839eedc6f914d6192b02d6c0a78bfb212
Author: nobled <nobled@dreamwidth.org>
Date:   Fri Jan 28 16:50:06 2011 +0000

    wayland: fix connecting to default socket
    
    Fixes a mistake in commit "wayland: Update to current api"
    (e7f62bc936995c5d998f7c8dc4b2b1b7254ea97d)

 clutter/wayland/clutter-backend-wayland.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e7519a149beb78b92ab8e5b2d315fbab3102dbc2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Jan 25 15:53:35 2011 +0000

    clutter-stage-x11: Don't ensure the viewport when the window moves
    
    When we receive a ConfigureNotify event that doesn't affect the size
    of the window (only the position) then we were still calling
    clutter_stage_ensure_viewport which ends up queueing a full stage
    redraw. This patch makes it so that it only ensures the viewport when
    the size changes as it already did for avoiding queueing a relayout.
    
    It now also avoids setting the clipped redraws cool off period when
    the window only moves under the assumption that it's only necessary
    for size changes.

 clutter/x11/clutter-stage-x11.c |  134 ++++++++++++++++++++-------------------
 1 files changed, 69 insertions(+), 65 deletions(-)

commit 4197bada4208f08e7a4a3fc684f858aa8ea53b09
Author: nobled <nobled@dreamwidth.org>
Date:   Fri Jan 28 16:49:07 2011 +0000

    fix ClutterContainer docs

 clutter/clutter-container.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit dc6f6d6445a1fb9090ce63947218578b969c8718
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Jan 24 18:41:49 2011 +0000

    animator: Only free the animator key when we've finished with it
    
    Fixes: http://bugzilla.clutter-project.org/show_bug.cgi?id=2530

 clutter/clutter-animator.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5593792a40850b6a8f96afa91745115191a45c67
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 26 10:32:42 2011 +0000

    Include stdint.h when using uint32_t
    
    Since the XI2 device manager code is going to be compiled only on
    POSIX compliant systems, we can safely assume the presence of stdint.h
    and include it unconditionally.

 clutter/x11/clutter-device-manager-xi2.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 5329c986947d08fd724585d8eac61f8e0b0553b5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 25 11:10:29 2011 +0000

    bind-constraint: Add BIND_POSITION and BIND_SIZE
    
    CLUTTER_BIND_POSITION and CLUTTER_BIND_SIZE are two convenience
    enumeration values for binding x and y, and width and height
    respectively, using a single ClutterBindConstraint.

 clutter/clutter-bind-constraint.c    |   12 ++++++++++++
 clutter/clutter-bind-constraint.h    |    8 +++++++-
 tests/interactive/test-constraints.c |    4 +++-
 tests/interactive/test-flow-layout.c |    5 +----
 4 files changed, 23 insertions(+), 6 deletions(-)

commit 4f53653bf9f2d4ea30ee77e686b4799d8e356c99
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 25 11:00:20 2011 +0000

    x11: Remove more private symbols
    
    Some private functions escaped my wrath in commit
    a277b4091a3fa09a39cf001809c3048eb27f3952.
    
    Thanks to: Emilio Pozuelo Monfort on #clutter

 clutter/x11/clutter-backend-x11.c             |    4 ++--
 clutter/x11/clutter-device-manager-core-x11.c |    2 ++
 clutter/x11/clutter-device-manager-core-x11.h |    4 ++--
 3 files changed, 6 insertions(+), 4 deletions(-)

commit 32486fe995911256a76673bf62609312893281be
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Jan 24 18:42:28 2011 +0000

    pipeline: fix for _init_multi_property_sparse_state
    
    When copying COMBINE state in
    _cogl_pipeline_layer_init_multi_property_sparse_state we would read some
    state from the destination layer (invalid data potentially), then
    redundantly set the value back on the destination. This was picked up by
    valgrind, and the code is now more careful about how it references the
    src layer vs the destination layer.

 clutter/cogl/cogl/cogl-pipeline.c |   27 ++++++++++++++-------------
 1 files changed, 14 insertions(+), 13 deletions(-)

commit bca39776d3080c180cdcf6698a54ee2c25bb5383
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jan 21 19:05:23 2011 +0000

    framebuffer: flush journal when switching framebuffers
    
    There is currently a problem with per-framebuffer journals in that it's
    possible to create a framebuffer from a texture which then gets rendered
    too but the framebuffer (and corresponding journal) can be freed before
    the texture gets used to draw with.
    
    Conceptually we want to make sure when freeing a framebuffer that - if
    it is associated with a texture - we flush the journal as the last thing
    before really freeing the framebuffer's meta data. Technically though
    this is awkward to implement since the obvious mechanism for us to be
    notified about the framebuffer's destruction (by setting some user data
    internally with a callback) notifies when the framebuffer has a
    ref-count of 0. This means we'd have to be careful what we do with the
    framebuffer to consider e.g. recursive destruction; anything that would
    set more user data on the framebuffer while it is being destroyed and
    ensuring nothing else gets notified of the framebuffer's destruction
    before the journal has been flushed.
    
    For simplicity, for now, this patch provides another solution which is
    to flush framebuffer journals whenever we switch away from a given
    framebuffer via cogl_set_framebuffer or cogl_push/pop_framebuffer. The
    disadvantage of this approach is that we can't batch all the geometry of
    a scene that involves intermediate renders to offscreen framebufers.
    Clutter is doing this more and more with applications that use the
    ClutterEffect APIs so this is a shame. Hopefully this will only be a
    stop-gap solution while we consider how to reliably support journal
    logging across framebuffer changes.

 clutter/cogl/cogl/cogl-framebuffer.c |   26 ++++++++++++++++++++++----
 1 files changed, 22 insertions(+), 4 deletions(-)

commit 4609770bb9faa4dc74ddd0f25e099ff46b91e258
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 17:32:06 2011 +0000

    cogl-clip-stack: Fix flushing multiple stencil rectangles
    
    When flushing a clip stack that contains more than one rectangle which
    needs to use the stencil buffer the code takes a different path so
    that it can combine the new rectangle with the existing contents of
    the stencil buffer. However it was not correctly flushing the
    modelview and projection matrices so that rectangle would be in the
    wrong place.

 clutter/cogl/cogl/cogl-clip-stack.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 6102f802449d22d543621532b543d6879fdb1925
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 17:17:16 2011 +0000

    test-clip: Replace the ellipse with a rotated rectangle
    
    With test-clip it's possible to draw three different shapes depending
    on what mouse button is used: a rectangle, an ellipse or a path
    containing multiple shapes. However the ellipse is also a path so it
    doesn't really test anything extra from the third option. This
    replaces the ellipse with a rectangle that is first rotated by the
    modelview matrix. The rotated matrix won't be able to use the scissor
    so it can be used to test stencil and clip plane clipping.

 tests/interactive/test-clip.c |   41 ++++++++++++++++++++++++++++++++++-------
 1 files changed, 34 insertions(+), 7 deletions(-)

commit 5137d0a23f19ce461f178596b687479bd62d8522
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 16:36:56 2011 +0000

    cogl-debug: Add a debug option for tracing clipping
    
    This adds a COGL_DEBUG=clipping option that reports how the clip is
    being flushed. This is needed to determine whether the scissor,
    stencil clip planes or software clipping is being used.

 clutter/cogl/cogl/cogl-clip-stack.c    |   12 ++++++++++++
 clutter/cogl/cogl/cogl-debug-options.h |    5 +++++
 clutter/cogl/cogl/cogl-debug.c         |    3 ++-
 clutter/cogl/cogl/cogl-debug.h         |    1 +
 clutter/cogl/cogl/cogl-journal.c       |    2 ++
 5 files changed, 22 insertions(+), 1 deletions(-)

commit 35a2d79e462c2d27e462f0e614c475cce17b883b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 14:28:00 2011 +0000

    cogl-debug: Split the flags to support more than 32
    
    The CoglDebugFlags are now stored in an array of unsigned ints rather
    than a single variable. The flags are accessed using macros instead of
    directly peeking at the cogl_debug_flags variable. The index values
    are stored in the enum rather than the actual mask values so that the
    enum doesn't need to be more than 32 bits wide. The hope is that the
    code to determine the index into the array can be optimized out by the
    compiler so it should have exactly the same performance as the old
    code.

 clutter/cogl/cogl/cogl-atlas-texture.c          |    2 +-
 clutter/cogl/cogl/cogl-attribute.c              |    8 +-
 clutter/cogl/cogl/cogl-blend-string.c           |   14 ++--
 clutter/cogl/cogl/cogl-context.c                |   10 +-
 clutter/cogl/cogl/cogl-debug.c                  |   85 ++++++++++++++----
 clutter/cogl/cogl/cogl-debug.h                  |  105 +++++++++++++++--------
 clutter/cogl/cogl/cogl-framebuffer.c            |    4 +-
 clutter/cogl/cogl/cogl-journal.c                |   38 ++++----
 clutter/cogl/cogl/cogl-matrix-private.h         |    2 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c |    6 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-fixed.c |    6 +-
 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c |    2 +-
 clutter/cogl/cogl/cogl-pipeline.c               |    2 +-
 clutter/cogl/cogl/cogl-profile.c                |   10 +--
 clutter/cogl/cogl/cogl-rectangle-map.c          |    4 +-
 clutter/cogl/cogl/cogl-shader.c                 |    4 +-
 16 files changed, 191 insertions(+), 111 deletions(-)

commit 67fdb5c9f8494117e3d763693041be3ace8168f4
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Jan 14 11:11:44 2011 +0000

    cogl-pipeline: Flush the lighting params in common code not vertend
    
    The lighting parameters such as the diffuse and ambient colors were
    previously only flushed in the fixed vertend. This meant that if a
    vertex shader was used then they would not be set. The lighting
    parameters are uniforms which are just as useful in a fragment shader
    so it doesn't really make sense to set them in the vertend. They are
    now flushed in the common cogl-pipeline-opengl code but the code is
    #ifdef'd for GLES2 because they need to be part of the progend in that
    case.

 clutter/cogl/cogl/cogl-pipeline-opengl.c        |   25 ++++++++++++++++++++++-
 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c |   19 -----------------
 2 files changed, 24 insertions(+), 20 deletions(-)

commit e778018d0d3247a64a7de64f0937a1335a22b56e
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 13 18:24:22 2011 +0000

    cogl-pipeline-progend-glsl: Generalize updating GLES2 uniforms
    
    The uniforms for the alpha test reference value and point size on
    GLES2 are updating using similar code. This generalizes the code so
    that there is a static array of predefined builtin uniforms which
    contains the uniform name, a pointer to a function to get the value
    from the pipeline, a pointer to a function to update the uniform and a
    flag representing which CoglPipelineState change affects the
    uniform. The uniforms are then updated in a loop. This should simplify
    adding more builtin uniforms.

 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c |  134 ++++++++++++++----------
 1 files changed, 77 insertions(+), 57 deletions(-)

commit 9ff04e8a998af90891996fe8c2a4439e5736e4f4
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jan 12 13:47:55 2011 +0000

    cogl-shader-boilerplate: Move the uniforms to the common code
    
    The builtin uniforms are accessible from either the vertex shader or
    the fragment shader so we should define them in the common
    section. This doesn't really matter for the current list of uniforms
    because it's pretty unlikely that you'd want to access the matrices
    from the fragment shader, but for other builtins such as the lighting
    material properties it makes sense.

 clutter/cogl/cogl/cogl-shader-boilerplate.h |   31 ++++++++++++++------------
 1 files changed, 17 insertions(+), 14 deletions(-)

commit e8d5be0ba79eef766fff723012c5d1994da84b4c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 11:49:04 2011 +0000

    ClutterTimeline: Fix the 'msecs' parameter for the new-frame signal
    
    Between Clutter 0.8 and 1.0, the new-frame signal of ClutterTimeline
    changed the second parameter to be an elapsed time in milliseconds
    rather than the frame number. However a few places in clutter were
    still calling the parameter 'frame_num' which is a bit
    misleading. Notably the signature for the signal class closure in the
    header was using the wrong name. This changes them to use 'msecs'.

 clutter/clutter-alpha.c              |    2 +-
 clutter/clutter-timeline.h           |    2 +-
 tests/conform/test-timeline-rewind.c |    4 +---
 3 files changed, 3 insertions(+), 5 deletions(-)

commit 5c0aaf50a7b3d1914d4580d5f853faa9a4b10f73
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 24 11:29:59 2011 +0000

    clutter-timeline: Emit the new-frame signal even on the first frame
    
    ClutterTimeline has special handling for the first time do_tick is
    called which was not emitting a new-frame signal. This meant that an
    application which directly uses the timeline would have to manually
    setup the initial state of an animation after starting a timeline to
    avoid painting a single frame with the wrong state. It seems to make
    more sense to instead emit the new-frame signal so that the
    application always sees a new-frame when the progress changes before a
    paint.

 clutter/clutter-timeline.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b917285e24a355d38678b4a1cdce9e572ac34c14
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 24 10:51:06 2011 +0000

    Post-release version bump to 1.5.15

 configure.ac       |    2 +-
 po/clutter-1.0.pot |  445 ++++++++++++++++++++++++++++-----------------------
 po/de.po           |  445 ++++++++++++++++++++++++++++-----------------------
 po/fr.po           |  449 +++++++++++++++++++++++++++++-----------------------
 po/id.po           |  450 +++++++++++++++++++++++++++++-----------------------
 po/it.po           |  450 +++++++++++++++++++++++++++++-----------------------
 po/pl.po           |  450 +++++++++++++++++++++++++++++-----------------------
 po/zh_CN.po        |  449 +++++++++++++++++++++++++++++-----------------------
 8 files changed, 1731 insertions(+), 1409 deletions(-)

commit 3e05d2df8de5ded545393994aff29ef9a8f7a0c5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 24 10:23:36 2011 +0000

    Release Clutter 1.5.14 (1.6.0rc1)

 NEWS         |   42 ++++++++++++++++++++++++++++++++++--------
 configure.ac |    2 +-
 2 files changed, 35 insertions(+), 9 deletions(-)

commit 79b936aa4a829ffd5b5677da228425c4e0c46623
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 20:46:09 2011 +0000

    Update the NEWS file

 NEWS |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 6bffd407fd4f4d4d5b5c5f5ef6d9b43c44b7fe03
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri Jan 21 14:50:44 2011 +0100

    model: Add support to define rows in ClutterScript
    
    This adds a custom "rows" property, that allows to define the rows of a
    ClutterModel. A single row can either an array of all columns or an
    object with column-name : column-value pairs.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2528

 clutter/clutter-model.c           |  210 ++++++++++++++++++++++++++++++------
 tests/conform/test-model.c        |   35 ++++++
 tests/data/test-script-model.json |    8 ++
 3 files changed, 218 insertions(+), 35 deletions(-)

commit 95b3a718ef5c08f058e2bf0e3e56df390408821f
Author: Bastian Winkler <buz@netbuz.org>
Date:   Wed Jan 12 13:09:52 2011 +0100

    script-parser: Allow initialized GValue arg in clutter_script_parse_node
    
    Allow to 'abuse' the clutter_script_parse_node function by calling it
    with an initialized GValue instead of a valid GParamSpec argument to
    obtain the correct typed value from the json node.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2528

 clutter/clutter-script-parser.c |   23 +++++++++++++++--------
 1 files changed, 15 insertions(+), 8 deletions(-)

commit 8e1c1909f80b4513154a3dfd8980160f94ec036f
Author: Bastian Winkler <buz@netbuz.org>
Date:   Wed Jan 12 12:54:43 2011 +0100

    model: Change the column argument type to gint for clutter_model_set_sort
    
    Like in clutter_model_set_sorting_column this function should take a
    gint column, otherwise GObject-Introspection won't allow to pass a NULL
    sorting function.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2527

 clutter/clutter-model.c |    2 +-
 clutter/clutter-model.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8a6986089b79f9d6cbb7012d12087d2d2e42526c
Author: Bastian Winkler <buz@netbuz.org>
Date:   Sat Jan 22 12:51:31 2011 +0100

    model: Fix some GObject-Introspection annotations
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2526

 clutter/clutter-model.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 86c786aaad28e439146af4a93f787163e96bab6d
Merge: 8a58677 b7d26b2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 20:22:32 2011 +0000

    Merge branch 'xi2'
    
    * xi2: (41 commits)
      test-devices: Actually print the axis data
      device-manager/xi2: Sync the stage of source devices
      event: Clean up clutter_event_copy()
      device: unset the axes array pointer when resetting
      device-manager/xi2: Fix device hotplugging
      glx: Clean up GLX implementation
      device/x11: Store min/max keycode in the XI device class
      x11: Hide all private symbols
      docs: More documentation fixes for InputDevice
      */event: Never manipulate the event queue directly
      win32: Update DeviceManager device creation
      device: Allow enabling/disabling non-master devices
      backend/eglx: Add newly created stages to the translators
      device: Add more doc annotations
      device: Use a double for translate_axis() argument
      test-devices: Clean up and show axes data
      event: Fix up clutter_event_copy()
      device/xi2: Translate the axis data after setting devices
      device: Add more accessors for properties
      docs: Update API reference
      ...

commit 8a5867799c5809854dfac9c2b7e704bcc6e9455b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jan 21 18:43:35 2011 +0000

    cogl: call _cogl_texture_init for x11 tfp
    
    When we added the texture->framebuffers member a _cogl_texture_init
    funciton was added to initialize the list of framebuffers associated
    with a texture to NULL. All the backends were updated except the
    x11 tfp backend. This was causing crashes in test-pixmap.

 clutter/cogl/cogl/winsys/cogl-texture-pixmap-x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1973168bbaa133215df73eaeeef25c6dcc0d6a07
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jan 21 17:38:14 2011 +0000

    journal: start uprof flush timer after flushing fb deps
    
    This avoids us recursively starting the _cogl_journal_flush uprof timer
    by only starting it after flushing the journals of dependency
    framebuffers.

 clutter/cogl/cogl/cogl-journal.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit f9d4846d6acc493b9fd52d627a82a0302d507a17
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Jan 21 17:28:34 2011 +0000

    cogl: make sure to init ctx->framebuffers
    
    This makes sure to initialize ctx->framebuffers to NULL otherwise we can
    get apps crashing when they create their first framebuffer.

 clutter/cogl/cogl/cogl-context.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 326c51630492ab13a2e584f9efb0dc5673966c0e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 20 19:31:53 2011 +0000

    cogl: rename CoglVertexAttribute CoglAttribute
    
    This is part of a broader cleanup of some of the experimental Cogl API.
    One of the reasons for this particular rename is to reduce the verbosity
    of using the API. Another reason is that CoglVertexArray is going to be
    renamed CoglAttributeBuffer and we want to help emphasize the
    relationship between CoglAttributes and CoglAttributeBuffers.

 clutter/cogl/cogl/Makefile.am                      |    6 +-
 clutter/cogl/cogl/cogl-attribute-private.h         |  103 ++
 clutter/cogl/cogl/cogl-attribute.c                 | 1272 ++++++++++++++++++++
 clutter/cogl/cogl/cogl-attribute.h                 |  182 +++
 clutter/cogl/cogl/cogl-context.c                   |    2 +-
 clutter/cogl/cogl/cogl-index-array.c               |    4 +-
 clutter/cogl/cogl/cogl-journal.c                   |  117 +-
 clutter/cogl/cogl/cogl-path-private.h              |    4 +-
 .../cogl/cogl/cogl-pipeline-progend-glsl-private.h |    2 +-
 clutter/cogl/cogl/cogl-primitive.c                 |  309 +++---
 clutter/cogl/cogl/cogl-primitive.h                 |   26 +-
 clutter/cogl/cogl/cogl-primitives.c                |   84 +-
 clutter/cogl/cogl/cogl-types.h                     |   22 +
 clutter/cogl/cogl/cogl-vertex-attribute-private.h  |  103 --
 clutter/cogl/cogl/cogl-vertex-attribute.c          | 1272 --------------------
 clutter/cogl/cogl/cogl-vertex-attribute.h          |  205 ----
 clutter/cogl/cogl/cogl-vertex-buffer-private.h     |    4 +-
 clutter/cogl/cogl/cogl-vertex-buffer.c             |   18 +-
 clutter/cogl/cogl/cogl-vertex-buffer.h             |   22 -
 clutter/cogl/cogl/cogl.c                           |    4 +-
 clutter/cogl/cogl/cogl.h                           |    2 +-
 clutter/cogl/cogl/cogl2-path.c                     |   28 +-
 doc/reference/cogl-2.0/cogl-docs.xml.in            |    2 +-
 23 files changed, 1873 insertions(+), 1920 deletions(-)

commit c4bafb48b6e4a3b35a13252e5ade500c01c4a392
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 20 18:51:24 2011 +0000

    docs: Adds bitmap section to cogl reference manual
    
    This adds an include for the cogl-bitmap section to cogl-docs.xml.in

 doc/reference/cogl/cogl-docs.xml.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b3775a75640ae2be0cef489c69d7e4213f170cb9
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 20 12:29:49 2011 +0000

    cogl: s/Cogl*Vertex/CoglVertex*/
    
    We have a bunch of experimental convenience functions like
    cogl_primitive_p2/p2t2 that have corresponding vertex structures but it
    seemed a bit odd to have the vertex annotation e.g. "P2T2" be an infix
    of the type like CoglP2T2Vertex instead of be a postfix like
    CoglVertexP2T2. This switches them all to follow the postfix naming
    style.

 clutter/cogl/cogl/cogl-primitive.c        |   96 ++++++++++++++--------------
 clutter/cogl/cogl/cogl-primitive.h        |   80 ++++++++++++------------
 clutter/cogl/cogl/cogl-vertex-attribute.c |   20 +++---
 tests/conform/test-cogl-primitive.c       |   16 +++---
 4 files changed, 106 insertions(+), 106 deletions(-)

commit 3f9e8591671d0c81d5d4034f0895bca3f98cb4c0
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 20 18:30:55 2011 +0000

    test-picking: Don't manually paint the stage
    
    Instead of using an idle handler that synchonously paints the stage
    by manually calling clutter_actor_paint (stage) the test now uses an
    idle handler that repeatedly queues a redraw on the stage.
    
    do_events is now called from a "paint" signal handler for the stage, and
    instead of manually determining the fps the test now uses
    CLUTTER_SHOW_FPS=1 instead.

 tests/micro-bench/test-picking.c |   38 +++++++++++++++-----------------------
 1 files changed, 15 insertions(+), 23 deletions(-)

commit 9a663d8e4106e43f8f214b7fdded555ee408cf28
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 20 14:41:51 2011 +0000

    debug: Adds a COGL_DEBUG=disable-fast-read-pixel option
    
    COGL_DEBUG=disable-fast-read-pixel can be used to disable the
    optimization for reading a single pixel colour back by looking at the
    geometry in the journal and not involving the GPU. With this disabled we
    will always flush the journal, rendering to the framebuffer and then use
    glReadPixels to get the result.

 clutter/cogl/cogl/cogl-debug-options.h |    7 +++-
 clutter/cogl/cogl/cogl-debug.c         |    3 +-
 clutter/cogl/cogl/cogl-debug.h         |   61 ++++++++++++++++---------------
 clutter/cogl/cogl/cogl-framebuffer.c   |    3 ++
 clutter/cogl/cogl/cogl-journal.c       |    3 ++
 5 files changed, 45 insertions(+), 32 deletions(-)

commit 1bdb0e6e98db719c8652c85fc234c21437ad071a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 22:12:41 2011 +0000

    cogl: Implements a software only read-pixel fast-path
    
    This adds a transparent optimization to cogl_read_pixels for when a
    single pixel is being read back and it happens that all the geometry of
    the current frame is still available in the framebuffer's associated
    journal.
    
    The intention is to indirectly optimize Clutter's render based picking
    mechanism in such a way that the 99% of cases where scenes are comprised
    of trivial quad primitives that can easily be intersected we can avoid
    the latency of kicking a GPU render and blocking for the result when we
    know we can calculate the result manually on the CPU probably faster
    than we could even kick a render.
    
    A nice property of this solution is that it maintains all the
    flexibility of the render based picking provided by Clutter and it can
    gracefully fall back to GPU rendering if actors are drawn using anything
    more complex than a quad for their geometry.
    
    It seems worth noting that there is a limitation to the extensibility of
    this approach in that it can only optimize picking a against geometry
    that passes through Cogl's journal which isn't something Clutter
    directly controls.  For now though this really doesn't matter since
    basically all apps should end up hitting this fast-path. The current
    idea to address this longer term would be a pick2 vfunc for ClutterActor
    that can support geometry and render based input regions of actors and
    move this optimization up into Clutter instead.
    
    Note: currently we don't have a primitive count threshold to consider
    that there could be scenes with enough geometry for us to compensate for
    the cost of kicking a render and determine a result more efficiently by
    utilizing the GPU. We don't currently expect this to be common though.
    
    Note: in the future it could still be interesting to revive something
    like the wip/async-pbo-picking branch to provide an asynchronous
    read-pixels based optimization for Clutter picking in cases where more
    complex input regions that necessitate rendering are in use or if we do
    add a threshold for rendering as mentioned above.

 clutter/clutter-main.c                       |    3 -
 clutter/cogl/cogl/cogl-framebuffer-private.h |   27 +
 clutter/cogl/cogl/cogl-framebuffer.c         |  196 +++++++-
 clutter/cogl/cogl/cogl-journal-private.h     |   20 +
 clutter/cogl/cogl/cogl-journal.c             |  710 +++++++++++++++++++-------
 clutter/cogl/cogl/cogl-vertex-attribute.c    |    7 +
 clutter/cogl/cogl/cogl.c                     |   20 +-
 7 files changed, 800 insertions(+), 183 deletions(-)

commit e289e85397cb52f421e64e253e1af2628909f424
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jan 18 16:37:01 2011 +0000

    matrix: fix transform/project_points() APIs
    
    Both cogl_matrix_transform_points and _project_points take points_in and
    points_out arguments and explicitly allow pointing to the same array
    (i.e. to transform in-place) The implementation of the various internal
    transform functions though were not handling this possability and so it
    was possible the reference partially transformed vertex values as if
    they were original input values leading to incorrect results. This patch
    ensures we take a temporary copy of the current input point when
    transforming.

 clutter/cogl/cogl/cogl-matrix.c |  136 +++++++++++++++++++-------------------
 1 files changed, 68 insertions(+), 68 deletions(-)

commit 23ed01d4e933da803bb7bbe4d0439de0824532c1
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 13 14:29:46 2011 +0000

    cogl: Adds _cogl_util_point_in_polygon API
    
    This adds a utility function that can determine if a given point
    intersects an arbitrary polygon, by counting how many edges a
    "semi-infinite" horizontal ray crosses from that point. The plan is to
    use this for a software based read-pixel fast path that avoids using the
    GPU to rasterize journaled primitives and can instead intersect a point
    being read with quads in the journal to determine the correct color.

 clutter/cogl/cogl/Makefile.am                  |    2 +
 clutter/cogl/cogl/cogl-point-in-poly-private.h |   40 ++++++++++++++
 clutter/cogl/cogl/cogl-point-in-poly.c         |   69 ++++++++++++++++++++++++
 3 files changed, 111 insertions(+), 0 deletions(-)

commit 142b229c5c2684f94af32358d1401b61aa3019aa
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 22:06:58 2011 +0000

    cogl: Adds _cogl_swap_buffers_notify for clutter backends
    
    This adds a stop-gap mechanism for Cogl to know when the window system
    is requested to present the current backbuffer to the frontbuffer by
    adding a _cogl_swap_buffers_notify function that backends are now
    expected to call right after issuing the equivalent request to OpenGL
    vie the platforms OpenGL binding layer. This (blindly) updates all the
    backends to call this new function.
    
    For now Cogl doesn't do anything with the notification but the intention
    is to use it as part of a planned read-pixel optimization which will
    need to reset some state at the start of each new frame.

 clutter/cogl/cogl/cogl-framebuffer-private.h |    3 +++
 clutter/cogl/cogl/cogl-framebuffer.c         |    5 +++++
 clutter/cogl/cogl/cogl.c                     |   10 ++++++++++
 clutter/cogl/cogl/cogl.h                     |    3 +++
 clutter/egl/clutter-stage-egl.c              |    1 +
 clutter/fruity/clutter-backend-fruity.c      |    1 +
 clutter/glx/clutter-stage-glx.c              |    1 +
 clutter/osx/clutter-stage-osx.c              |    1 +
 clutter/wayland/clutter-stage-wayland.c      |    2 ++
 clutter/win32/clutter-backend-win32.c        |    5 ++++-
 10 files changed, 31 insertions(+), 1 deletions(-)

commit e150f474b3e9e58565dc894b4ae9234406d90675
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 19:30:30 2011 +0000

    clip: rename get_clip_stack + add framebuffer_get_stack
    
    Instead of having _cogl_get/set_clip stack which reference the global
    CoglContext this instead makes those into CoglClipState method functions
    named _cogl_clip_state_get/set_stack that take an explicit pointer to a
    CoglClipState.
    
    This also adds _cogl_framebuffer_get/set_clip_stack convenience
    functions that avoid having to first get the ClipState from a
    framebuffer then the stack from that - so we can maintain the
    convenience of _cogl_get_clip_stack.

 clutter/cogl/cogl/cogl-clip-state.c          |   21 +++------------------
 clutter/cogl/cogl/cogl-clip-state.h          |   21 +++------------------
 clutter/cogl/cogl/cogl-framebuffer-private.h |   26 ++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-framebuffer.c         |   17 +++++++++++++++++
 clutter/cogl/cogl/cogl-journal.c             |    5 ++++-
 5 files changed, 53 insertions(+), 37 deletions(-)

commit 179dc9b7d1d9d14227c7f4eef241faf2d1affda0
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 19:13:45 2011 +0000

    clip-stack: Adds _cogl_clip_stack_get_bounds API
    
    This adds an internal function to be able to query the screen space
    bounding box of the current clip entries contained in a given
    CoglClipStack.
    
    This bounding box which is cheap to determine can be useful to know the
    largest extents that might be updated while drawing with this clip
    stack.
    
    For example the plan is to use this as part of an optimized read-pixel
    path handled on the CPU which will need to track the currently valid
    extents of the last call to cogl_clear()

 clutter/cogl/cogl/cogl-clip-stack.c |   45 ++++++++++++++++++++++++----------
 clutter/cogl/cogl/cogl-clip-stack.h |    7 +++++
 2 files changed, 39 insertions(+), 13 deletions(-)

commit f834596fd42b26d471a80cfec08c0d6e8c53f39a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Jan 6 13:25:45 2011 +0000

    journal: Support per-framebuffer journals
    
    Instead of having a single journal per context, we now have a
    CoglJournal object for each CoglFramebuffer. This means we now don't
    have to flush the journal when switching/pushing/popping between
    different framebuffers so for example a Clutter scene that involves some
    ClutterEffect actors that transiently redirect to an FBO can still be
    batched.
    
    This also allows us to track state in the journal that relates to the
    current frame of its associated framebuffer which we'll need for our
    optimization for using the CPU to handle reading a single pixel back
    from a framebuffer when we know the whole scene is currently comprised
    of simple rectangles in a journal.

 clutter/cogl/cogl/cogl-atlas-texture.c       |   22 ++--
 clutter/cogl/cogl/cogl-clip-state.c          |    5 +-
 clutter/cogl/cogl/cogl-context.c             |    6 -
 clutter/cogl/cogl/cogl-context.h             |   12 +--
 clutter/cogl/cogl/cogl-framebuffer-private.h |   23 ++++
 clutter/cogl/cogl/cogl-framebuffer.c         |  111 ++++++++++++++++++---
 clutter/cogl/cogl/cogl-journal-private.h     |   19 +++-
 clutter/cogl/cogl/cogl-journal.c             |  140 +++++++++++++++++--------
 clutter/cogl/cogl/cogl-pipeline-private.h    |    3 +
 clutter/cogl/cogl/cogl-pipeline.c            |    7 +-
 clutter/cogl/cogl/cogl-primitives.c          |    9 ++-
 clutter/cogl/cogl/cogl-sub-texture.c         |    3 +-
 clutter/cogl/cogl/cogl-texture-2d-sliced.c   |    2 +-
 clutter/cogl/cogl/cogl-texture-2d.c          |    2 +-
 clutter/cogl/cogl/cogl-texture-3d.c          |    2 +-
 clutter/cogl/cogl/cogl-texture-private.h     |   15 +++
 clutter/cogl/cogl/cogl-texture-rectangle.c   |    2 +-
 clutter/cogl/cogl/cogl-texture.c             |   58 +++++++++++
 clutter/cogl/cogl/cogl-vertex-attribute.c    |    7 +-
 clutter/cogl/cogl/cogl.c                     |   20 +++-
 clutter/cogl/cogl/cogl2-path.c               |    8 +-
 21 files changed, 375 insertions(+), 101 deletions(-)

commit 385e0f84c6179a30f9031aba974131e1cf3e6a4e
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 20:37:53 2011 +0000

    cogl-object: Adds an internal _cogl_object_set_user_data
    
    This adds an internal alternative to cogl_object_set_user_data that also
    passes an instance pointer to destroy notify callbacks.
    
    When setting private data on a CoglObject it's often desirable to know
    the instance being destroyed when we are being notified to free the
    private data due to the object being freed. The typical solution to this
    is to track a pointer to the instance in the private data itself so it
    can be identified but that usually requires an extra micro allocation
    for the private data that could have been avoided if only the callback
    were given an instance pointer.
    
    The new internal _cogl_object_set_user_data passes the instance pointer
    as a second argument which means it is ABI compatible for us to layer
    the public version on top of this internal function.

 clutter/cogl/cogl/cogl-object-private.h |   21 ++++++++++++++++++++-
 clutter/cogl/cogl/cogl-object.c         |   24 +++++++++++++++++-------
 2 files changed, 37 insertions(+), 8 deletions(-)

commit 131578c13aeeb53d99d7c63a0b2ddaded23524fc
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 5 15:30:04 2011 +0000

    framebuffer: Move clear code to cogl-framebuffer.c
    
    This moves the implementation of cogl_clear into cogl-framebuffer.c as
    two new internal functions _cogl_framebuffer_clear and
    _cogl_framebuffer_clear4f. It's not clear if this is what the API will
    look like as we make more of the CoglFramebuffer API public due to the
    limitations of using flags to identify buffers when framebuffers may
    contain any number of ancillary buffers but conceptually it makes some
    sense to tie the operation of clearing a color buffer to a framebuffer.
    
    The short term intention is to enable tracking the current clear color
    as a property of the framebuffer as part of an optimization for reading
    back single pixels when the geometry is simple enough that we can
    compute the result quickly on the CPU. (If the point doesn't intersect
    any geometry we'll need to return the last clear color.)

 clutter/cogl/cogl/cogl-framebuffer-private.h |   20 +++++
 clutter/cogl/cogl/cogl-framebuffer.c         |  103 ++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl.c                     |   66 +---------------
 clutter/cogl/cogl/cogl2-path.c               |    4 +-
 4 files changed, 129 insertions(+), 64 deletions(-)

commit b7d26b2d02729b2d5eeb1650ca4e89a723afc1c7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 15:27:56 2011 +0000

    test-devices: Actually print the axis data
    
    Returning in an if() block whose condition we assume to be true doesn't
    play nicely with having statements after the block. Let's fix that.

 tests/interactive/test-devices.c |   33 +++++++++++++++++----------------
 1 files changed, 17 insertions(+), 16 deletions(-)

commit e46571d63911df23cb25fb0b3fcfe5e86f50d81b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 15:26:52 2011 +0000

    device-manager/xi2: Sync the stage of source devices
    
    Keep the slave devices in sync with their master, so that we don't
    ignore their events because they lack the stage pointer.

 clutter/x11/clutter-device-manager-xi2.c |   51 ++++++++++++++++++++----------
 1 files changed, 34 insertions(+), 17 deletions(-)

commit 516366d7691128e9f2138781bcc144cd628b110f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 15:14:11 2011 +0000

    event: Clean up clutter_event_copy()
    
    Try to avoid duplication of variables and blocks.

 clutter/clutter-event.c |   46 +++++++++++++++++++++-------------------------
 1 files changed, 21 insertions(+), 25 deletions(-)

commit 7a339d1663b94e4cbc07ffa8a8c3bf0a47d84cae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 14:12:19 2011 +0000

    device: unset the axes array pointer when resetting
    
    Otherwise we'll get a nice realloc() error from glibc.

 clutter/clutter-input-device.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4ab8a3f0c16b82d4f223de869e1b87279dcff272
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 11:43:00 2011 +0000

    stage: Do not create the default stage on stage.is_default()
    
    Use the stage manager to see if a default stage was effectively set,
    otherwise we end up creating a default stage when destroying a
    non-default one.

 clutter/clutter-stage.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 0e993469155516dde673292bafe72d1c8308e27f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 11:41:36 2011 +0000

    device-manager/xi2: Fix device hotplugging
    
    Hierarchy and Device changed events come through with the X window set
    to be the root window, not the stage window. We need to whitelist them
    so that we can actually support hotplugging and device changes.

 clutter/x11/clutter-device-manager-xi2.c |   32 ++++++++----
 tests/interactive/test-devices.c         |   83 ++++++++++++++++++++++++++---
 2 files changed, 95 insertions(+), 20 deletions(-)

commit 7514f5fe92844a57d33a4811fd20687bbb391c8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 10:49:12 2011 +0000

    glx: Clean up GLX implementation
    
    Like commit a277b4091a3fa09a39cf001809c3048eb27f3952, but targeted at
    the GLX backend.

 clutter/glx/clutter-backend-glx.c |   22 +++++++-------
 clutter/glx/clutter-stage-glx.c   |   57 +++++++++++++++++--------------------
 clutter/glx/clutter-stage-glx.h   |    2 +-
 3 files changed, 38 insertions(+), 43 deletions(-)

commit 6da51f6ed379f531bee72b688366dc734082a573
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Jan 21 10:24:34 2011 +0000

    device/x11: Store min/max keycode in the XI device class
    
    The generic device class shouldn't have the minimum and maximum keycode,
    since no other input backend provides those.

 clutter/clutter-device-manager-private.h      |    8 ++------
 clutter/clutter-input-device.c                |   18 +++---------------
 clutter/x11/clutter-device-manager-core-x11.c |   10 +++++++---
 clutter/x11/clutter-device-manager-xi2.c      |    6 ++----
 clutter/x11/clutter-input-device-core-x11.c   |    9 ++++++---
 5 files changed, 20 insertions(+), 31 deletions(-)

commit a277b4091a3fa09a39cf001809c3048eb27f3952
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 15:39:28 2011 +0000

    x11: Hide all private symbols
    
    The x11 backend exposes a lot of symbols that are meant to only be used
    when implementing a subclassed backend, like the glx and eglx ones.
    
    The uninstalled headers are also filled with cruft declarations of
    functions long since removed.
    
    Let's try to clean up this mess.

 clutter/egl/clutter-backend-egl.c |   13 +++++++++----
 clutter/glx/clutter-backend-glx.c |   19 ++++++++++++++-----
 clutter/x11/clutter-backend-x11.c |   28 ++++++++++------------------
 clutter/x11/clutter-backend-x11.h |   31 +++----------------------------
 clutter/x11/clutter-keymap-x11.c  |    4 ++--
 clutter/x11/clutter-keymap-x11.h  |    4 ++--
 clutter/x11/clutter-stage-x11.c   |   12 +++++++-----
 clutter/x11/clutter-stage-x11.h   |   13 ++-----------
 8 files changed, 49 insertions(+), 75 deletions(-)

commit 89467abae591fb07afed507323f086264d73e68d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 17:03:27 2011 +0000

    docs: More documentation fixes for InputDevice

 clutter/clutter-input-device.c             |  107 +++++++++++++++++++++++-----
 doc/reference/clutter/clutter-sections.txt |   10 ++-
 2 files changed, 95 insertions(+), 22 deletions(-)

commit 0f56abf569d524bd42d4a3cdc6a5321a3de2b7f9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 16:34:49 2011 +0000

    */event: Never manipulate the event queue directly
    
    Always use _clutter_event_push() instead.

 clutter/egl/clutter-event-tslib.c              |    2 +-
 clutter/evdev/clutter-device-manager-evdev.c   |    5 +---
 clutter/wayland/clutter-input-device-wayland.c |   26 ++++++-----------------
 clutter/win32/clutter-event-win32.c            |    6 +----
 4 files changed, 10 insertions(+), 29 deletions(-)

commit 400ecdfc81d19ab27cbc7a4f416b6fc109556ebf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 16:34:37 2011 +0000

    win32: Update DeviceManager device creation

 clutter/win32/clutter-device-manager-win32.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 73cf6bd52c282acc1cdb67724d2b55d3f822f7ef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 16:23:45 2011 +0000

    device: Allow enabling/disabling non-master devices
    
    Slave and floating devices should always be disabled, and not deliver
    events to the scene. It is up to the user to enable non-master devices
    and handle events coming from them.
    
    ClutterInputDevice gets a new :enabled property, defaulting to FALSE;
    when a device manager creates a new device it has to set it to TRUE if
    the :device-mode property is set to CLUTTER_INPUT_MODE_MASTER.
    
    The main event queue entry point, _clutter_event_push(), will
    automatically discard events coming from disabled devices.

 clutter/clutter-device-manager-private.h      |    3 +-
 clutter/clutter-event.c                       |    9 +++
 clutter/clutter-input-device.c                |   66 +++++++++++++++++++++++++
 clutter/clutter-input-device.h                |    3 +
 clutter/x11/clutter-device-manager-core-x11.c |    3 +
 clutter/x11/clutter-device-manager-xi2.c      |   10 +++-
 tests/interactive/test-devices.c              |   10 +++-
 7 files changed, 100 insertions(+), 4 deletions(-)

commit 137f7d42a8db40a85ae95b10d9ed0fa895f48b0a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 15:17:34 2011 +0000

    backend/eglx: Add newly created stages to the translators
    
    The events directed to the stage should be translated by the stage.

 clutter/egl/clutter-backend-egl.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d3ed3d3a7b3950160a3351d54e766628fd916ad8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 13:54:27 2011 +0000

    device: Add more doc annotations
    
    Even for internal API.

 clutter/clutter-input-device.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 50e52f550a14e86a689673ce898970337cc46e8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 13:53:20 2011 +0000

    device: Use a double for translate_axis() argument
    
    While XI1 has axis data in events exposed as integers, XI2 uses double
    precision floating point values.

 clutter/clutter-device-manager-private.h |    2 +-
 clutter/clutter-input-device.c           |   17 ++++++++++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

commit f54044f7e45fe37538187ca06f7d378ae8d64800
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 13:52:33 2011 +0000

    test-devices: Clean up and show axes data

 tests/interactive/test-devices.c |  106 +++++++++++++++++++++++++++++++++-----
 1 files changed, 92 insertions(+), 14 deletions(-)

commit d078fe09301db384b7a465b86ad83dab860576b4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 22:31:14 2011 +0000

    event: Fix up clutter_event_copy()
    
    We need to copy the scroll axis data, and we need to copy the private
    Event data from the source event to the target event structure.

 clutter/clutter-event.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 405e611279321ebe293e02b4507899355f49cc64
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 22:30:21 2011 +0000

    device/xi2: Translate the axis data after setting devices
    
    We need the devices (source and virtual) to be set before translating
    the axis data from XI2 to the Clutter event.

 clutter/x11/clutter-device-manager-xi2.c |   30 +++++++++++++++++++-----------
 1 files changed, 19 insertions(+), 11 deletions(-)

commit dd5f6ca7e1b5042beca6363109424565a7d8223b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 17:33:22 2011 +0000

    device: Add more accessors for properties
    
    Allow using real accessor methods for getting the ClutterInputDevice
    properties set on construction.

 clutter/clutter-input-device.c             |   38 ++++++++++++++++++++++++++++
 clutter/clutter-input-device.h             |    2 +
 doc/reference/clutter/clutter-sections.txt |    2 +
 3 files changed, 42 insertions(+), 0 deletions(-)

commit ad06f1b20fcac9167f456ba21674d8f7a2c0cd3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 16:57:14 2011 +0000

    docs: Update API reference

 doc/reference/clutter/clutter-sections.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 333ca35ceca739388be36cf48514fcb68f3b7aef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 16:55:14 2011 +0000

    device: Add get_axis_value()
    
    We need a convenience function for extracting the value of a specific
    axis type out of the array of axis values attached to events.

 clutter/clutter-input-device.c |   47 ++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-input-device.h |    4 +++
 2 files changed, 51 insertions(+), 0 deletions(-)

commit d805237c313f5e2ce85b93fd167569c25b702163
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 16:54:12 2011 +0000

    event: Add accessor for the axes field
    
    CLUTTER_BUTTON_* and CLUTTER_MOTION event types have axes data attached
    to them, so we want to expose a common ClutterEvent method for
    extracting that data.

 clutter/clutter-event.c |   57 +++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h |    2 +
 2 files changed, 59 insertions(+), 0 deletions(-)

commit 431200f40dad93bcaeff76ad34f3fdd431d5a8f2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 16:13:26 2011 +0000

    device: Add keys and axes accessors
    
    Allow retrieving the number of keys and axes, since we provide the API
    to iterate over them both.

 clutter/clutter-device-manager-private.h    |    2 -
 clutter/clutter-input-device.c              |   30 +++++++++++++++++++++-----
 clutter/clutter-input-device.h              |    3 ++
 clutter/x11/clutter-device-manager-xi2.c    |    2 +-
 clutter/x11/clutter-input-device-core-x11.c |    3 +-
 doc/reference/clutter/clutter-sections.txt  |   10 +++++++-
 6 files changed, 37 insertions(+), 13 deletions(-)

commit b662a070f2c5ebe2af479fd0290745ad923b3c42
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 15:42:02 2011 +0000

    docs: Update dependencies in README

 README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a869e0718331737a1126da861222f7b0162fcce
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 14:16:11 2011 +0000

    egl/x11: Defer X11-specific code to the X11 backend
    
    The ClutterStageX11 implementation does most of the heavy lifting, so
    subclasses like ClutterStageGLX and ClutterStageEGL do not need to
    handle things like creating the stage Window and selecting events; just
    chaining up and using the internal API will suffice.

 clutter/egl/clutter-stage-egl.c |  108 +++------------------------------------
 1 files changed, 8 insertions(+), 100 deletions(-)

commit a3102a777ead15f7ba4b671bd25fd642762fec57
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 14:09:04 2011 +0000

    docs: Fill out documentation for new symbols

 clutter/clutter-event.c                    |   82 ++++++++++++++++++++++++++++
 clutter/clutter-event.h                    |    1 +
 clutter/clutter-input-device.c             |   37 +++++++++++++
 clutter/clutter-input-device.h             |   29 ++++++++++
 clutter/clutter-private.h                  |    4 ++
 clutter/x11/clutter-device-manager-xi2.c   |   39 ++++++++++----
 doc/reference/clutter/Makefile.am          |    1 +
 doc/reference/clutter/clutter-sections.txt |   12 ++++-
 8 files changed, 194 insertions(+), 11 deletions(-)

commit fa3c5a28a7b82d817ae7b83a058158a101e1e4b0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:15:20 2011 +0000

    backend/x11: Allow querying xinput support
    
    Undeprecate the XInput-related X11 API: since we don't enable XI support
    by default we still need to ask for it, and see if we have it after the
    backend initialization sequence.

 clutter/x11/clutter-backend-x11.c |   14 ++++++++------
 clutter/x11/clutter-backend-x11.h |    5 +----
 2 files changed, 9 insertions(+), 10 deletions(-)

commit c8cc03f8a7b13db01a71c4a597c05a7b94ba664c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:08:09 2011 +0000

    event/x11: Epic clean up
    
    Event translation is now done where it belongs: we don't need a massive
    switch in a file with direct access to private structure members.
    
    So long, event_translate(); and thanks for all the fish.

 clutter/x11/clutter-event-x11.c |  869 ---------------------------------------
 1 files changed, 0 insertions(+), 869 deletions(-)

commit c044e44dc798a4afede519abe430ff6a20bd745d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:07:36 2011 +0000

    device/x11: Use similar core for axis translation as XI2

 clutter/x11/clutter-input-device-core-x11.c |   39 +++++++++++++--------------
 1 files changed, 19 insertions(+), 20 deletions(-)

commit c9c6236d3786ed3f69f170b02523e08a91b7f644
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:05:46 2011 +0000

    stage/x11: Do not check a boolean for equality
    
    Booleans should only be used like direct conditions, never as
    comparisons with TRUE or FALSE.

 clutter/x11/clutter-stage-x11.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit ee15d0d2d01a02e426cbb8c340738e4f8411fc4f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:05:17 2011 +0000

    Add copyright and licensing blurbs

 clutter/x11/clutter-input-device-core-x11.h |   23 +++++++++++++++++++++++
 clutter/x11/clutter-input-device-xi2.c      |   23 +++++++++++++++++++++++
 clutter/x11/clutter-input-device-xi2.h      |   23 +++++++++++++++++++++++
 3 files changed, 69 insertions(+), 0 deletions(-)

commit 2cb0077f7d7260109f0974d260cb4ed63ade6e9e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:03:07 2011 +0000

    device/xi2: Implement get_core_device()
    
    We ask XI2 to get the client pointer for CLUTTER_POINTER_DEVICE, and
    we use the attached keyboard device for CLUTTER_KEYBOARD_DEVICE. For
    everything else, we return NULL.

 clutter/x11/clutter-device-manager-xi2.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 9c48486d7ac73aa55b69a70cf1ef7009a0af2a09
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:02:15 2011 +0000

    device/xi2: Remove the ::remove implementation
    
    Removing a device is only internal API, and we already have a function
    for that: we don't need to implement the DeviceManager virtual as well.

 clutter/x11/clutter-device-manager-xi2.c |   18 ++----------------
 1 files changed, 2 insertions(+), 16 deletions(-)

commit 0075c45ca49569988fb6b8f1b4a60cd4e77be287
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 13:01:27 2011 +0000

    device/xi2: Blow the cached devices list
    
    Every time we add or remove a device we should clear the cached list
    that we return in get_devices(), so that it gets repopulated.

 clutter/x11/clutter-device-manager-xi2.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit de93f721c1314321bf78acec2f50d5a481210ec9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 12:59:49 2011 +0000

    Clean up the copyright and licensing blurbs

 clutter/glx/clutter-stage-glx.c               |    9 +++++----
 clutter/x11/clutter-device-manager-core-x11.c |    2 +-
 clutter/x11/clutter-device-manager-core-x11.h |    2 +-
 clutter/x11/clutter-device-manager-xi2.c      |    2 +-
 clutter/x11/clutter-device-manager-xi2.h      |    2 +-
 clutter/x11/clutter-input-device-core-x11.c   |   23 +++++++++++++++++++++++
 6 files changed, 32 insertions(+), 8 deletions(-)

commit 7c25b063aafc21527413106dca6db3fcb50bd5ad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 12:57:50 2011 +0000

    x11: Use XI2 API only if we support it
    
    XIQueryVersion() is XI2 API.

 clutter/x11/clutter-backend-x11.c |   43 +++++++++++++++++++++++++++---------
 1 files changed, 32 insertions(+), 11 deletions(-)

commit caf359d8c9a110797e9ad64a7cb3600b7b964275
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 12:57:12 2011 +0000

    input-device: Add documentation

 clutter/clutter-input-device.c |   48 +++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-input-device.h |    2 +-
 2 files changed, 48 insertions(+), 2 deletions(-)

commit 342cdd25756b37745bfd1725d78f6f670f77bee0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 17 17:01:58 2011 +0000

    input-device: Move select_stage_events() to a vfunc
    
    Don't use a signal, use a virtual function.

 clutter/clutter-device-manager-private.h    |    4 +++
 clutter/clutter-input-device.c              |   28 ++++----------------------
 clutter/x11/clutter-input-device-core-x11.c |    5 +--
 clutter/x11/clutter-input-device-xi2.c      |    5 +--
 4 files changed, 13 insertions(+), 29 deletions(-)

commit 2777c52f2759513c8e4b66e474ed2da587bd5de5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 17 16:56:07 2011 +0000

    input-device: Make ClutterInputDeviceClass private
    
    We keep the symbol in the public header, but the definition is now
    private. You could not sub-class InputDevice anyway, without the
    instance structure, and the lack of padding in the class made actually
    implementing devices in backends really hard.

 clutter/clutter-device-manager-private.h |    5 +++++
 clutter/clutter-input-device.h           |   14 --------------
 2 files changed, 5 insertions(+), 14 deletions(-)

commit 001f84875aa5a0f0871b0f86a73d4c1972c12430
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 17 16:42:18 2011 +0000

    Enable XInput support by default
    
    Since we have a decent XI1 and XI2 implementation, now, we should turn
    the support for XInput on by default.
    
    The actual implementation to be used at run-time is still left to be
    decided by the user.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1b1e77b46989ba97bfff8abdfa61df0f514a7eae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 4 12:32:04 2011 +0000

    event/x11: Rework the way we translate X11 events
    
    This is a lump commit that is fairly difficult to break down without
    either breaking bisecting or breaking the test cases.
    
    The new design for handling X11 event translation works this way:
    
      - ClutterBackend::translate_event() has been added as the central
        point used by a ClutterBackend implementation to translate a
        native event into a ClutterEvent;
    
      - ClutterEventTranslator is a private interface that should be
        implemented by backend-specific objects, like stage
        implementations and ClutterDeviceManager sub-classes, and
        allows dealing with class-specific event translation;
    
      - ClutterStageX11 implements EventTranslator, and deals with the
        stage-relative X11 events coming from the X11 event source;
    
      - ClutterStageGLX overrides EventTranslator, in order to
        deal with the INTEL_GLX_swap_event extension, and it chains up
        to the X11 default implementation;
    
      - ClutterDeviceManagerX11 has been split into two separate classes,
        one that deals with core and (optionally) XI1 events, and the
        other that deals with XI2 events; the selection is done at run-time,
        since the core+XI1 and XI2 mechanisms are mutually exclusive.
    
    All the other backends we officially support still use their own
    custom event source and translation function, but the end goal is to
    migrate them to the translate_event() virtual function, and have the
    event source be a shared part of Clutter core.

 clutter/Makefile.am                           |   24 +-
 clutter/clutter-backend-private.h             |    8 +
 clutter/clutter-backend.c                     |   12 +
 clutter/clutter-device-manager-private.h      |  105 ++-
 clutter/clutter-device-manager.c              |   29 +
 clutter/clutter-device-manager.h              |    1 +
 clutter/clutter-event-translator.c            |   38 +
 clutter/clutter-event-translator.h            |   40 +
 clutter/clutter-event.c                       |   77 ++-
 clutter/clutter-event.h                       |   51 --
 clutter/clutter-input-device.c                |  476 ++++++++++-
 clutter/clutter-input-device.h                |   57 +-
 clutter/clutter-marshal.list                  |    1 +
 clutter/clutter-private.h                     |    3 +
 clutter/clutter-types.h                       |   51 ++
 clutter/glx/clutter-backend-glx.c             |   11 +-
 clutter/glx/clutter-event-glx.c               |  105 ---
 clutter/glx/clutter-event-glx.h               |   38 -
 clutter/glx/clutter-stage-glx.c               |  186 ++---
 clutter/x11/clutter-backend-x11.c             |  358 +++++++--
 clutter/x11/clutter-backend-x11.h             |   55 +-
 clutter/x11/clutter-device-manager-core-x11.c |  745 +++++++++++++++++
 clutter/x11/clutter-device-manager-core-x11.h |   70 ++
 clutter/x11/clutter-device-manager-x11.c      |  354 ---------
 clutter/x11/clutter-device-manager-x11.h      |   68 --
 clutter/x11/clutter-device-manager-xi2.c      | 1058 +++++++++++++++++++++++++
 clutter/x11/clutter-device-manager-xi2.h      |   66 ++
 clutter/x11/clutter-event-x11.c               |  116 +--
 clutter/x11/clutter-input-device-core-x11.c   |  414 ++++++++++
 clutter/x11/clutter-input-device-core-x11.h   |   26 +
 clutter/x11/clutter-input-device-x11.c        |  228 ------
 clutter/x11/clutter-input-device-x11.h        |   25 -
 clutter/x11/clutter-input-device-xi2.c        |  161 ++++
 clutter/x11/clutter-input-device-xi2.h        |   22 +
 clutter/x11/clutter-stage-x11.c               |  552 +++++++++++++-
 clutter/x11/clutter-stage-x11.h               |    9 +
 configure.ac                                  |   50 +-
 tests/interactive/test-devices.c              |   13 +
 38 files changed, 4436 insertions(+), 1267 deletions(-)

commit ca092477c2d3fcc74384c3f46216802db32ba0d9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 16:18:16 2011 +0000

    Appease the gods in introspection
    
    Reduce the amount of bogus warnings g-ir-scanner prints out.

 clutter/clutter-align-constraint.c         |    2 --
 clutter/clutter-align-constraint.h         |    3 ++-
 clutter/clutter-backend-private.h          |    1 -
 clutter/clutter-backend.h                  |    9 +++++++++
 clutter/clutter-bind-constraint.c          |    2 --
 clutter/clutter-bind-constraint.h          |    3 ++-
 clutter/clutter-binding-pool.c             |    1 -
 clutter/clutter-binding-pool.h             |    1 +
 clutter/clutter-blur-effect.c              |    2 --
 clutter/clutter-blur-effect.h              |    1 +
 clutter/clutter-colorize-effect.c          |    2 --
 clutter/clutter-colorize-effect.h          |    3 ++-
 clutter/clutter-desaturate-effect.c        |    2 --
 clutter/clutter-desaturate-effect.h        |    1 +
 clutter/clutter-page-turn-effect.c         |    2 --
 clutter/clutter-page-turn-effect.h         |    1 +
 clutter/clutter-path-constraint.c          |    2 --
 clutter/clutter-path-constraint.h          |    3 ++-
 clutter/clutter-settings.c                 |    2 --
 clutter/clutter-settings.h                 |    1 +
 clutter/clutter-snap-constraint.c          |    2 --
 clutter/clutter-snap-constraint.h          |    3 ++-
 doc/reference/clutter/clutter-sections.txt |   17 ++++++++++++++---
 23 files changed, 38 insertions(+), 28 deletions(-)

commit 439553a1b7e7d6a1731df7124b74545881ce4fbf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 13:44:16 2011 +0000

    Update the NEWS file

 NEWS |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit ef7810422764f7297f295a7c8189204de1eb4c3f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 13:29:37 2011 +0000

    Expose deprecated symbols whilst building Clutter
    
    Don't use ugly "#undef CLUTTER_DISABLE_DEPRECATED" inside source code
    using deprecated symbols; we have the handy CLUTTER_COMPILATION define
    that we can use as part of the "disable deprecated" conditional.

 clutter/clutter-actor.c             |    4 +---
 clutter/clutter-behaviour-depth.c   |    1 -
 clutter/clutter-behaviour-depth.h   |    2 +-
 clutter/clutter-behaviour-ellipse.c |    1 -
 clutter/clutter-behaviour-ellipse.h |    2 +-
 clutter/clutter-behaviour-opacity.c |    1 -
 clutter/clutter-behaviour-opacity.h |    2 +-
 clutter/clutter-behaviour-path.c    |    1 -
 clutter/clutter-behaviour-path.h    |    2 +-
 clutter/clutter-behaviour-rotate.c  |    1 -
 clutter/clutter-behaviour-rotate.h  |    2 +-
 clutter/clutter-behaviour-scale.c   |    1 -
 clutter/clutter-behaviour-scale.h   |    2 +-
 clutter/clutter-behaviour.c         |    1 -
 clutter/clutter-behaviour.h         |    4 ++--
 clutter/clutter-frame-source.h      |    2 +-
 clutter/clutter-timeout-pool.c      |    1 -
 clutter/clutter-timeout-pool.h      |    2 +-
 18 files changed, 11 insertions(+), 21 deletions(-)

commit cd96e631f15ee623116cf3d330cc046e7855ee56
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 13:19:03 2011 +0000

    glx: Deprecate ClutterGLXTexturePixmap
    
    Since 1.4 the ClutterGLXTexturePixmap is just a wrapper around
    ClutterX11TexturePixmap, so we can safely deprecate it. All the
    functionality it provided is now effectively available from the
    superclass or directly from Cogl.

 clutter/glx/clutter-glx-texture-pixmap.c |   23 +++++++++++++++--------
 clutter/glx/clutter-glx-texture-pixmap.h |   12 ++++++++----
 2 files changed, 23 insertions(+), 12 deletions(-)

commit 770bcd5b4042818008e3fbbfab8e11722681a5fa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Jan 20 12:59:56 2011 +0000

    test-pixmap: Remove the GLX code
    
    The ClutterGLXTexturePixmap actor is just a wrapper around
    ClutterX11TexturePixmap, since the relevant texture-from-pixmap code has
    been moved down to Cogl.

 tests/interactive/test-pixmap.c |   41 ---------------------------------------
 1 files changed, 0 insertions(+), 41 deletions(-)

commit a2d6edd4223fc18a9b3902e388ddd105db468f32
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 18:51:01 2011 +0000

    test-pixmap: Fix up compilation on EGLX
    
    We need to check for the GLX windowing system if we are to include
    clutter-glx.h.

 tests/interactive/test-pixmap.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 62a0584f115f4a1cc6138c2915d90e24c69c4002
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 17:54:28 2011 +0000

    docs: Ignore clutter-config.h when scanning headers

 doc/reference/clutter/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a43c5f10bb5f3273378fedecd618260b96499cff
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 14:36:30 2011 +0000

    tests: Try to drop including config.h
    
    The config.h header should be considered a Clutter internal header, and
    the test cases (especially the interactive test cases) should strive to
    never rely on internal headers.

 tests/interactive/test-cogl-offscreen.c     |    1 -
 tests/interactive/test-cogl-primitives.c    |    6 ++--
 tests/interactive/test-cogl-tex-convert.c   |    1 -
 tests/interactive/test-cogl-tex-foreign.c   |    1 -
 tests/interactive/test-cogl-tex-getset.c    |    1 -
 tests/interactive/test-cogl-tex-polygon.c   |    1 -
 tests/interactive/test-cogl-tex-tile.c      |    1 -
 tests/interactive/test-cogl-vertex-buffer.c |    1 -
 tests/interactive/test-paint-wrapper.c      |    8 +----
 tests/interactive/test-pixmap.c             |   34 ++++++++++++++++----------
 tests/interactive/test-textures.c           |    4 ---
 11 files changed, 26 insertions(+), 33 deletions(-)

commit 94b905b9e110c671698a0cd59fa827f6ddb0a84d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Jan 19 14:33:27 2011 +0000

    build: Generate an instealled config header
    
    Clutter has some platform-specific API that is accessible only if the
    right backend has been compiled in. Third party applications that wish
    to be portable across backends might want to use defines and other
    pre-processor tricks to determine header inclusion and API usage.
    
    While Clutter has an internal set of symbols it can use, third party
    applications don't have the luxury of being able to access the config.h
    generated by Clutter's configure script.
    
    For this reason, Clutter should install a configuration header with a
    series of namespaced defines that can be picked up by applications and
    other third party code.

 .gitignore                  |    1 +
 clutter/Makefile.am         |    5 +++++
 clutter/clutter-config.h.in |   16 ++++++++++++++++
 clutter/clutter.h           |    2 ++
 configure.ac                |   30 ++++++++++++++++++++++++++++++
 5 files changed, 54 insertions(+), 0 deletions(-)

commit 90a01b479c432310f9fcfb5fcd04e23d8fc1a92a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 15:14:58 2011 +0000

    Update the NEWS file

 NEWS |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit bb41cb54cbdbb21f3be26ac14c07fd1c804b4d31
Author: Chris Lord <chris@linux.intel.com>
Date:   Tue Jan 18 15:48:29 2011 +0000

    timeline: Check if the timeline is playing in do_tick
    
    Check that the timeline is still playing before executing in
    _clutter_timeline_do_tick. This fixes the possibility of receiving a
    new-frame signal when stopping a timeline in response to a different
    timeline's signal emission.

 clutter/clutter-timeline.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit c61e22d06787effcd4c260a817ba4845d5eedfdb
Author: Lucas Rocha <lucasr@litl.com>
Date:   Mon Jan 17 18:28:49 2011 +0000

    drag-action: fix case where motion events are indefinitely disabled
    
    When drag threshold is not reached, emit_drag_begin() is not called
    causing default value of priv->motion_events_enabled (false) to used to
    restore motion events enabled state in Clutter. This causes drag action
    to indefinitely disable motion events. The current value of motion
    events enabled state is now queried on button press which guarantees
    that the state will be restored with the correct value in
    emit_drag_end()
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2522

 clutter/clutter-drag-action.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cecc7a4bfbae6dc4891f3cd1888e85fc1148dc1a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 18 14:46:02 2011 +0000

    stage: Fix gtk-doc annotation for set_accept_focus()

 clutter/clutter-stage.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d8b6aa6fa2c51b72079d52766e5013ff612af19
Author: Bastian Winkler <buz@netbuz.org>
Date:   Fri Jan 14 14:53:05 2011 +0100

    introspection: Add missing (out) annotations for get_color()
    
    Some actors are missing the (out) annotations for the get_color()
    methods.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2518

 clutter/clutter-rectangle.c |    4 ++--
 clutter/clutter-stage.c     |    2 +-
 clutter/clutter-text.c      |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 54d00ebaf0a0084c7b0580a7b234e214ce95dd16
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 17 17:30:47 2011 +0000

    docs: Add ClutterClickAction.get_state()

 doc/reference/clutter/clutter-sections.txt |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6af7b76cb5959616ea828678e1fb0258a7a04d2d
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon Jan 17 00:38:04 2011 +0000

    click-action: add API to get modifier type
    
    This is to allow implementing modified click such as ctrl+click,
    shift+click, and so on.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2520

 clutter/clutter-click-action.c |   37 +++++++++++++++++++++++++++++++++++++
 clutter/clutter-click-action.h |    6 ++++--
 2 files changed, 41 insertions(+), 2 deletions(-)

commit 6100aee5bd8d1c11fcaf6f7b3ac9a9317fbe39af
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Jan 17 15:22:48 2011 +0000

    color: Mark the new static color API as being new from 1.6
    
    The patch was written a while ago but only merged in the 1.5.x cycle.

 clutter/clutter-color.c |    2 +-
 clutter/clutter-color.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ae9781e5266464314fda19ab8495e9824edbcdfb
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 17 12:21:33 2011 +0000

    cogl-program: Don't use separate definitions on GLES 1.1
    
    Previously most of the code for cogl-program and cogl-shader was
    ifdef'd out for GLES 1.1 and alternate stub definitions were
    defined. This patch removes those and instead puts #ifdef's directly
    in the functions that need it. This should make it a little bit easier
    to maintain.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2516

 clutter/cogl/cogl/cogl-program.c |  105 +++++---------------------------------
 clutter/cogl/cogl/cogl-shader.c  |   91 +++++++++++---------------------
 2 files changed, 44 insertions(+), 152 deletions(-)

commit b7677d047df6b8c96605454717873bbcb1722763
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 17 12:20:06 2011 +0000

    cogl-pipeline-opengl: #ifdef out set_glsl_program for GLES 1.1
    
    glUseProgram is not available under GLES 1.1 so it was breaking the
    build.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2516

 clutter/cogl/cogl/cogl-pipeline-opengl.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 568d32acf3604a9c68556224844a839f0e014bcf
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 17 12:06:13 2011 +0000

    cogl-pipeline: Fix the enum names for the constant combine source
    
    When determining whether to hash the combine constant Cogl checks the
    arguments to the combine funcs to determine whether the combine
    constant is used. However is was using the GLenums GL_CONSTANT_COLOR
    and GL_CONSTANT_ALPHA but these are not valid values for the
    CoglPipelineCombineSource enum so presumably the constant would never
    get hashed. This patch makes it use Cogl's enum of
    COGL_PIPELINE_COMBINE_SOURCE_CONSTANT instead.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2516

 clutter/cogl/cogl/cogl-pipeline.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 0c070cdf91c2956ba057364eb63cc422a79b6c88
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Jan 16 23:19:28 2011 +0100

    ClutterX11TexturePixmap: Fix doc comment
    
    The wrong signal name was used probably a copy & paste
    mistake, fix that.

 clutter/x11/clutter-x11-texture-pixmap.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 88fe56d1752ad64f404da2baa1bc74f2ebbae64c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 13 15:54:50 2011 +0000

    cogl-buffer: Support mapping buffers for write on GLES
    
    GLES has an extension called GL_OES_mapbuffer to support mapping
    buffer objects but only for writing. Cogl now has two new feature
    flags to advertise whether mapping for reading and writing is
    supported. Under OpenGL, these features are always set if the VBO
    extension is advertised and under GLES only the write flag is set if
    the GL_OES_mapbuffer extension is advertised.

 clutter/cogl/cogl/cogl-buffer.c                    |   44 +++++++++-----------
 clutter/cogl/cogl/cogl-types.h                     |    8 +++-
 .../cogl/driver/gl/cogl-feature-functions-gl.h     |    4 +-
 .../cogl/driver/gles/cogl-feature-functions-gles.h |   12 +++++
 4 files changed, 42 insertions(+), 26 deletions(-)

commit 7e73f0d4232338741e2dc811cdb2039287f384bb
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 13 15:36:08 2011 +0000

    cogl: Enable the VBOs feature for GLES2
    
    The GLES2 wrapper code has been removed so there are no longer any
    problems with enabling VBOs.

 clutter/cogl/cogl/driver/gles/cogl-gles.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 9bb74988d5b7c7df3678185ed4488c9957f00a9d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 13 15:35:30 2011 +0000

    cogl: Fallback to set_data when mapping a buffer to fill it
    
    In the journal code and when generating the stroke path the vertices
    are generated on the fly and stored in a CoglBuffer using
    cogl_buffer_map. However cogl_buffer_map is allowed to fail but it
    wasn't checking for a NULL return value. In particular on GLES it will
    always fail because glMapBuffer is only provided by an extension. This
    adds a new pair of internal functions called
    _cogl_buffer_{un,}map_for_fill_or_fallback which wrap
    cogl_buffer_map. If the map fails then it will instead return a
    pointer into a GByteArray attached to the context. When the buffer is
    unmapped the array is copied into the buffer using
    cogl_buffer_set_data.

 clutter/cogl/cogl/cogl-buffer-private.h |   19 ++++++++++--
 clutter/cogl/cogl/cogl-buffer.c         |   51 +++++++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-context.c        |    5 +++
 clutter/cogl/cogl/cogl-context.h        |    6 ++++
 clutter/cogl/cogl/cogl-journal.c        |    5 +--
 clutter/cogl/cogl/cogl2-path.c          |    7 ++--
 6 files changed, 83 insertions(+), 10 deletions(-)

commit 77a486caf2c130341624ab56e588ab116c7e8e26
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Jan 13 14:12:10 2011 +0000

    cogl-context: Don't enable point sprites on GLES2
    
    On GLES2 there's no builtin mechanism to replace texture coordinates
    with point sprite coordinates so calling glEnable(GL_POINT_SPRITE)
    isn't valid. Instead the point sprite coords are implemented by using
    a special builtin varying variable in GLSL.

 clutter/cogl/cogl/cogl-context.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 88a085fdd86e3f1f285833f2f4df19af339c339c
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jan 11 16:02:06 2011 +0000

    pipeline: differentiate texture target and data state
    
    There are several places where we need to compare the texture state of a
    pipeline and sometimes we need to take into consideration if the
    underlying texture has changed but other times we may only care to know
    if the texture target has changed.
    
    For example the fragends typically generate programs that they want to
    share with all pipelines with equivalent fragment processing state, and
    in this case when comparing pipelines we only care about the texture
    targets since changes to the underlying texture won't affect the
    programs generated.
    
    Prior to this we had tried to handle this by passing around some special
    flags to various functions that evaluate pipeline state to say when we
    do/don't care about the texture data, but this wasn't working in all
    cases and was more awkward to manage than the new approach.
    
    Now we simply have two state bits:
    COGL_PIPELINE_LAYER_STATE_TEXTURE_TARGET and
    COGL_PIPELINE_LAYER_STATE_TEXTURE_DATA and CoglPipelineLayer has an
    additional target member. Since all the appropriate code takes masks of
    these state bits to determine what to evaluate we don't need any extra
    magic flags.

 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c |    9 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-fixed.c |   25 +--
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c  |    3 +-
 clutter/cogl/cogl/cogl-pipeline-opengl.c        |    9 +-
 clutter/cogl/cogl/cogl-pipeline-private.h       |   28 +--
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c  |    3 +-
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c  |    3 +-
 clutter/cogl/cogl/cogl-pipeline.c               |  273 ++++++++++++++++-------
 8 files changed, 223 insertions(+), 130 deletions(-)

commit 8ab68d26a5c2e026bc422da13ab290ba3d432aa4
Author: Robert Bragg <robert@linux.intel.com>
Date:   Wed Jan 12 17:11:48 2011 +0000

    pipeline: optimize state init if changing property
    
    When notifying that a pipeline property is going to change, then at
    times a pipeline will take over being the authority of the corresponding
    state group. Some state groups can contain multiple properties and so to
    maintain the integrity of all of the properties we have to initialize
    all the property values in the new authority. For state groups with only
    one property we don't have to initialize anything during the
    pre_change_notify() because we can assume the value will be initialized
    as part of the change being notified.
    
    This patch optimizes how we handle this initialization of state groups
    in a couple of ways; firstly we no longer do anything to initialize
    state-groups with only one property, secondly we no longer use
    _cogl_pipeline_copy_differences - (we have a new
    _cogl_pipeline_init_multi_property_sparse_state() func) so we can avoid
    lots calls to handle_automatic_blend_enable() which is sometimes seen
    high in sysprof profiles.

 clutter/cogl/cogl/cogl-pipeline-private.h |  161 ++++++++++++-------
 clutter/cogl/cogl/cogl-pipeline.c         |  255 ++++++++++++++++++-----------
 2 files changed, 266 insertions(+), 150 deletions(-)

commit 5fc3122dadf948c5594478a3eae7deef391c62fe
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jan 12 16:59:37 2011 +0000

    test-cogl-shader-glsl: Disable the atlas for the hand texture
    
    Atlasing needs to be disabled for the hand texture so that it can work
    out the step value needed to fetch a neighbouring pixel in the blur
    shader. If the texture ends up in the atlas then the test can't know
    the actual size of the texture so it looks wrong.

 tests/interactive/test-cogl-shader-glsl.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 3c9f72abbfcc7967aa399506adba0bfee4952bbc
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Jan 12 16:56:52 2011 +0000

    cogl-atlas-texture: Don't disable atlas if can't read texture data
    
    Previously atlasing would be disabled if the GL driver does not
    support reading back texture data. This meant that atlasing would not
    happen on GLES. However we also require that the driver support FBOs
    and the texture data is only read back as a fallback if the FBO
    fails. Therefore the atlas should be ok on GLES 2 which has FBO
    support in core.

 clutter/cogl/cogl/cogl-atlas-texture.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 12ceae548d441f0611542645a62f6c0cbf7a0c5f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 11 21:34:37 2011 +0000

    Post-release version bump to 1.5.13

 configure.ac       |    2 +-
 po/clutter-1.0.pot |  200 +++++++++++++++++++++++++++-------------------------
 po/de.po           |  198 +++++++++++++++++++++++++++-------------------------
 po/fr.po           |  199 +++++++++++++++++++++++++++-------------------------
 po/id.po           |  199 +++++++++++++++++++++++++++-------------------------
 po/it.po           |  200 +++++++++++++++++++++++++++-------------------------
 po/pl.po           |  200 +++++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |  199 +++++++++++++++++++++++++++-------------------------
 8 files changed, 730 insertions(+), 667 deletions(-)

commit 09d5c309ca95f68425919fdd1a41a14f41e4053b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 11 20:29:30 2011 +0000

    Release 1.5.12

 configure.ac |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit 676df42c6fefd28a6da2c1cefd885d6fa4d59da1
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Jan 11 14:10:11 2011 +0000

    pipeline: don't skip flush if skip_gl_color flag differs
    
    We try and bail out of flushing pipeline state asap if we can see the
    pipeline has already been flushed and hasn't changed but we weren't
    checking to see if the skip_gl_color flag is the same as when it was
    last flush too and so we'd sometimes bail out without updating the
    glColor correctly.

 clutter/cogl/cogl/cogl-pipeline-opengl.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b922ac605962df6b1cf86a0e710294be114f62c4
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jan 11 14:15:46 2011 +0000

    test-shader: Fix the edge-detect shader
    
    cogl_text_coord_in in a array to access the texture units. In this case
    we want to sample texture unit 0, where the texture is.

 tests/interactive/test-shader.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 38e527a3cf2527a46461eb76c6598071daf95053
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Jan 10 20:13:41 2011 +0000

    cogl-vertex-attribute: Optionally avoid applying the legacy state
    
    When an item is added to the journal the current pipeline immediately
    gets the legacy state applied to it and the modified pipeline is
    logged instead of the original. However the actual drawing from the
    journal is done using the vertex attribute API which was also applying
    the legacy state. This meant that the legacy state used would be a
    combination of the state set when the journal entry was added as well
    as the state set when the journal is flushed. To fix this there is now
    an extra CoglDrawFlag to avoid applying the legacy state when setting
    up the GL state for the vertex attributes. The journal uses this flag
    when flushing.

 clutter/cogl/cogl/cogl-journal.c                  |    3 ++-
 clutter/cogl/cogl/cogl-vertex-attribute-private.h |    6 +++++-
 clutter/cogl/cogl/cogl-vertex-attribute.c         |    6 ++++--
 3 files changed, 11 insertions(+), 4 deletions(-)

commit cb49197d0101aa32fa3bb0f8948c1952f5ccae33
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 11 12:38:52 2011 +0000

    Update the NEWS file

 NEWS |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f4fc7284ebeaedfb60d9903b41177f59a4907b85
Author: Bastian Winkler <buz@netbuz.org>
Date:   Mon Jan 3 16:15:17 2011 +0100

    script-parser: Also honor properties of type GType
    
    The script parser should also handle GType properties.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2513

 clutter/clutter-script-parser.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 8e3d9c21c643091bd537a2674eeaa86255167cc9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Jan 11 11:49:11 2011 +0000

    Update NEWS file

 NEWS |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)

commit f2080f099e2a05b05cd0adb2f204c1917adae0f2
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Jan 11 10:23:59 2011 +0000

    shader: Don't notify properties when finalizing shaders
    
    clutter_shader_finalize() was calling clutter_shader_release() which in
    turn notifies "compiled". GObject was complaining that we were trying to
    _ref() an object that was in _finalize().
    
     #0  g_log (log_domain=0x3e15c4 "GLib-GObject", log_level=G_LOG_LEVEL_CRITICAL,
         format=0x76c938 "%s: assertion `%s' failed") at gmessages.h:97
     #1  0x0070777d in g_return_if_fail_warning (
         log_domain=0x3e15c4 "GLib-GObject",
         pretty_function=0x3e37a4 "g_object_ref",
         expression=0x3e2a00 "object->ref_count > 0") at gmessages.c:586
     #2  0x003b862b in g_object_ref (_object=0x8567af0) at gobject.c:2615
     #3  0x003bd238 in g_object_notify_by_pspec (object=0x8567af0, pspec=0x87ea2f0)
         at gobject.c:1075
     #4  0x00b6500b in clutter_shader_release (shader=0x8567af0)
         at ./clutter-shader.c:612
     #5  0x00b659b9 in clutter_shader_finalize (object=0x8567af0)
         at ./clutter-shader.c:107
    
    Then, let's split release in two, with an _internal() version that does
    not notify "compiled" and use it from dispose (as the object is still
    usable after a call to release_internal().
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2512

 clutter/clutter-shader.c |   61 ++++++++++++++++++++++++++++------------------
 1 files changed, 37 insertions(+), 24 deletions(-)

commit 3625adb9d8188464b27ddf3e1203214ea2952092
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Jan 10 19:13:03 2011 +0100

    ClutterListModel: Implement get_n_rows for improved performance
    
    The default implementation in ClutterModel iterates through all
    the elements.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2511

 clutter/clutter-list-model.c |   13 +++++++++
 clutter/clutter-model.c      |   56 +++++++++++++++++++++---------------------
 2 files changed, 41 insertions(+), 28 deletions(-)

commit 850f956d4e2a811eb663575dcd6ae41f09b992de
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Jan 5 10:24:26 2011 +0100

    ClutterAlignConstraint: Keep pixel aligment
    
    We have to round the values here otherwise we might end up with
    misaligned actors.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2508

 clutter/clutter-align-constraint.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d648de7d1492b9ae69aac6702a99fccb8f92b165
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 14 14:44:45 2010 +0000

    cogl-journal: Avoid enabling blending if possible
    
    The vertex attribute API assumes that if there is a color array
    enabled then we can't determine if the colors are opaque so we have to
    enable blending. The journal always uses a color array to avoid
    switching color state between rectangles. Since the journal switched
    to using vertex attributes this means we effectively always enable
    blending from the journal. To fix this there is now a new flag for
    _cogl_draw_vertex_attributes to specify that the color array is known
    to only contain opaque colors which causes the draw function not to
    copy the pipeline. If the pipeline has blending disabled then the
    journal passes this flag.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2481

 clutter/cogl/cogl/cogl-journal.c                  |    9 ++++++---
 clutter/cogl/cogl/cogl-vertex-attribute-private.h |    9 ++++++++-
 clutter/cogl/cogl/cogl-vertex-attribute.c         |   10 ++++++----
 3 files changed, 20 insertions(+), 8 deletions(-)

commit 159cd6ddc02b4a9a37fe7e0a61a104d3abab91a6
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 14 14:24:17 2010 +0000

    cogl-vertex-attribute: Add flags to _cogl_draw_vertex_attributes_array
    
    There is an internal version of cogl_draw_vertex_attributes_array
    which previously just bypassed the framebuffer flushing, journal
    flushing and pipeline validation so that it could be used to draw the
    journal. This patch generalises the function so that it takes a set of
    flags to specify which parts to flush. The public version of the
    function now just calls the internal version with the flags set to
    0. The '_real' version of the function has now been merged into the
    internal version of the function because it was only called in one
    place. This simplifies the code somewhat. The common code which
    flushed the various state has been moved to a separate function. The
    indexed versions of the functions have had a similar treatment.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2481

 clutter/cogl/cogl/cogl-journal.c                  |   17 ++-
 clutter/cogl/cogl/cogl-primitives.c               |    6 +-
 clutter/cogl/cogl/cogl-vertex-attribute-private.h |   13 ++-
 clutter/cogl/cogl/cogl-vertex-attribute.c         |  167 ++++++++-------------
 clutter/cogl/cogl/cogl2-path.c                    |   14 +-
 5 files changed, 100 insertions(+), 117 deletions(-)

commit 0201e5fa97549ffb2d20a1180e63e5a7a73fa7e2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 17 16:30:23 2010 +0000

    cogl: Don't assume that CoglBitmaps are allocated to height*rowstride
    
    Cogl no longer has any code that assumes the buffer in a CoglBitmap is
    allocated to the full size of height*rowstride. We should comment that
    this is the case so that we remember to keep it that way. This is
    important for cogl_texture_new_from_data because the application may
    have created the data from a sub-region of a larger image and in that
    case it's not safe to read the full rowstride of the last row when the
    sub region contains the last row of the larger image.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2491

 clutter/cogl/cogl/cogl-bitmap-pixbuf.c  |   60 +++++--------------------------
 clutter/cogl/cogl/cogl-bitmap-private.h |    8 ++++
 2 files changed, 17 insertions(+), 51 deletions(-)

commit e1cbef23f5118c748eb38c16ebb00de3f51686b7
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 17 16:09:26 2010 +0000

    cogl-texture-driver-gles: Don't copy the bitmap if alignment matches
    
    When uploading data for GLES we need to deal with cases where the
    rowstride is too large to be described only by GL_UNPACK_ALIGNMENT
    because there is no GL_UNPACK_ROW_LENGTH. Previously for the
    sub-region uploading code it would always copy the bitmap and for the
    code to upload the whole image it would copy the bitmap unless the
    rowstride == bpp*width. Neither paths took into account that we don't
    need to copy if the rowstride is just an alignment of bpp*width. This
    moves the bitmap copying code to a separate function that is used by
    both upload methods. It only copies the bitmap if the rowstride is not
    just an alignment of bpp*width.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2491

 .../cogl/driver/gles/cogl-texture-driver-gles.c    |  103 +++++++++++---------
 1 files changed, 55 insertions(+), 48 deletions(-)

commit b3058c097dfb834018ab3598d002a7be595e78ff
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 17 16:06:10 2010 +0000

    cogl-util: Add an internal wrapper for the ffs function
    
    The ffs function is defined in C99 so if we want to use it in Cogl we
    need to provide a fallback for MSVC. This adds a configure check for
    the function and then a fallback using a while loop if it is not
    available.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2491

 clutter/cogl/cogl/cogl-util.c |   21 +++++++++++++++++++++
 clutter/cogl/cogl/cogl-util.h |    8 ++++++++
 configure.ac                  |    4 ++++
 3 files changed, 33 insertions(+), 0 deletions(-)

commit 91c16023066b3d71ed569e0dcb97bdd0fe8b4667
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 17 14:52:25 2010 +0000

    cogl-texture: Don't use the source rowstride if we have to copy bitmap
    
    If we have to copy the bitmap to do the premultiplication then we were
    previously using the rowstride of the source image as the rowstride
    for the new image. This is wasteful if the source image is a subregion
    of a larger image which would make it use a large rowstride. If we
    have to copy the data anyway we might as well compact it to the
    smallest rowstride. This also prevents the copy from reading past the
    end of the last row of pixels.
    
    An internal function called _cogl_bitmap_copy has been added to do the
    copy. It creates a new bitmap with the smallest possible rowstride
    rounded up the nearest multiple of 4 bytes. There may be other places
    in Cogl that are currently assuming we can read height*rowstride of
    the source buffer so they may want to take advantage of this function
    too.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2491

 clutter/cogl/cogl/cogl-bitmap-private.h |    4 ++++
 clutter/cogl/cogl/cogl-bitmap.c         |   29 +++++++++++++++++++++++++++++
 clutter/cogl/cogl/cogl-texture.c        |   22 +---------------------
 3 files changed, 34 insertions(+), 21 deletions(-)

commit c6fbc8c567ebe7eb538e53c0a5964db4ff6aebf2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Dec 22 01:45:09 2010 +0000

    cogl-vertex-attribute: Fix the name of the cogl_normal_in attribute
    
    The builtin vertex attribute for the normals was incorrectly checked
    for as 'cogl_normal' however it is defined as cogl_normal_in in the
    shader boilerplate and for the name generated by CoglVertexBuffer.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2499

 clutter/cogl/cogl/cogl-vertex-attribute.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2c36b81996565f6128a55d5c12fee75a53c0a027
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Jan 10 14:03:35 2011 +0000

    container: Do not use Actor as prerequisite
    
    The prerequisite for ClutterContainer in 1.x is GObject, and we cannot
    restrict the prerequisites without an ABI break.

 clutter/clutter-container.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6bb81a542fd2876c472c0287d368b1ba404324bf
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Jan 4 13:56:05 2011 +0000

    egl: Fix build for --with-flavour=opengl-egl-xlib
    
    Make sure the EGL backend doesn't forget to include desktop OpenGL headers.

 clutter/egl/clutter-egl-headers.h |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit 530bc2aa70ca83c56f46342d337ce873614353a4
Author: nobled <nobled@dreamwidth.org>
Date:   Tue Jan 4 13:59:48 2011 +0000

    egl: Don't use obsolete API
    
    Fixes a GCC "implicit declaration of function" warning when compiling.

 clutter/egl/clutter-stage-egl.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8c23766da809701bc171fcb9b3650475b1d03a73
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Thu Jan 6 07:57:26 2011 -0500

    x11: Create the list of all devices correctly
    
    Linked lists are tricky.

 clutter/x11/clutter-device-manager-x11.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bf0dd2cbcc83d91ef46301aa18bd5f0158b88d22
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Dec 30 12:49:41 2010 +0000

    test-text-field: Grab key focus on the first entry
    
    So that you can start typing right away.

 tests/interactive/test-text-field.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 2fe20ff3c505d3c1249b03ba7eaa1515f13a3c0a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 28 22:21:09 2010 +0000

    osx: Implement the set_accept_focus() vfunc
    
    Like the x11 and win32 backends, the quartz backend should allow setting
    the key focus when showing the stage window.

 clutter/osx/clutter-stage-osx.c |   29 +++++++++++++++++++++++------
 clutter/osx/clutter-stage-osx.h |    2 ++
 2 files changed, 25 insertions(+), 6 deletions(-)

commit 9d6a33d0c835e8a91e42303886123e34e60576f5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 28 18:04:00 2010 +0000

    win32: Implement the set_accept_focus() vfunc
    
    Implement the ClutterStageWindow::set_accept_focus() virtual function in
    the win32 backend.
    
    If accept_focus is set to be TRUE then we call SetforegroundWindow()
    after calling ShowWindow(). This is similar to what GDK does when
    dealing with the same situation.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2500

 clutter/win32/clutter-stage-win32.c |   21 +++++++++++++++++++--
 clutter/win32/clutter-stage-win32.h |    8 +++++---
 2 files changed, 24 insertions(+), 5 deletions(-)

commit 497f39e2f40e816c1e7ceaa3bf2fb4e609436b35
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 28 17:38:39 2010 +0000

    x11: Implement the set_accept_focus() vfunc
    
    Actually set the InputHint flag and set the input field of the WM_SPEC
    hints depending on the value of the accept-focus bitfield.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2500

 clutter/x11/clutter-stage-x11.c |   20 ++++++++++++++++----
 clutter/x11/clutter-stage-x11.h |    1 +
 2 files changed, 17 insertions(+), 4 deletions(-)

commit bbede9fef579000a48309bec017303bd8c46ccae
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 28 17:37:18 2010 +0000

    stage: Add :accept-focus property and accessors
    
    Allow the developer to set whether the Stage should receive key focus
    when mapped. The implementation is fully backend-dependent. The default
    value is TRUE because that's what we've been expecting so far.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2500

 clutter/clutter-stage.c                    |   67 +++++++++++++++++++++++++++-
 clutter/clutter-stage.h                    |    4 ++
 doc/reference/clutter/clutter-sections.txt |    2 +
 3 files changed, 72 insertions(+), 1 deletions(-)

commit e1cd6f49b2afcb1738ee2e95f03aa77b8c696e7b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 28 17:36:27 2010 +0000

    stage-window: Add set_accept_focus() vfunc
    
    Allow Stage implementations to set whether or not they want to accept
    key focus when being shown.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2500

 clutter/clutter-stage-window.c |   12 ++++++++++++
 clutter/clutter-stage-window.h |    6 ++++++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit 601b958ab1b162176c7dde318a96f279be995e64
Author: Johan Bilien <jobi@via.ecp.fr>
Date:   Wed Dec 29 16:49:13 2010 -0500

    Fixed a crash when destroying the actor of a LEAVE event
    
    When processing a LEAVE event, one might destroy the actor, so the weak
    reference device->actor would be NULL.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2502
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-input-device.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 2911d3db535db98f7c0352e3ea40f2a7e65d82ea
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Thu Dec 30 08:16:10 2010 +0700

    autogen.sh: make autoreconf use automake-1.11 when available
    
    This patch exports $ACLOCAL and $AUTOMAKE, otherwise autoreconf
    may use an older version instead.
    
    Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2504

 autogen.sh |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c95cc8d477ab26fd6231becdd062a81fa7ee6115
Author: Johan Bilien <jobi@via.ecp.fr>
Date:   Wed Dec 29 16:57:02 2010 -0500

    Only reset the relayout_pending flag when actually doing a relayout
    
    If an actor is (unfortunately) queuing a relayout in relayout, you would
    end up with (ClutterActor*)stage->needs_allocation set to TRUE and
    stage->relayout_pending set to TRUE. But if then in the same cycle, an
    actor calls clutter_actor_get_allocation_box, that will trigger another
    (recursive) _clutter_stage_maybe_relayout, which will wrongly reset the
    relayout pending to FALSE, while not actually performing a new relayout
    because of the re-entrancy protection.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2503

 clutter/clutter-stage.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b6558c5a1848b306c26813bc5f5015eb95c541d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Dec 22 09:42:41 2010 +0000

    docs: Fixes for the Cogl API reference

 clutter/cogl/cogl/cogl-bitmap.h          |    4 +-
 clutter/cogl/cogl/cogl-buffer.h          |    8 +++---
 clutter/cogl/cogl/cogl-index-array.h     |    2 +-
 clutter/cogl/cogl/cogl-material-compat.h |   11 ++++----
 clutter/cogl/cogl/cogl-object.h          |   19 +++++++-------
 clutter/cogl/cogl/cogl-path.h            |    8 +++---
 clutter/cogl/cogl/cogl-pipeline.h        |    2 +-
 clutter/cogl/cogl/cogl-types.h           |    4 +-
 clutter/cogl/cogl/cogl-vertex-array.h    |    2 +-
 clutter/cogl/cogl/cogl-vertex-buffer.h   |    2 +-
 doc/reference/cogl/cogl-sections.txt     |   39 ++++++++++++++++++++++++++---
 11 files changed, 67 insertions(+), 34 deletions(-)

commit 533880a1a5140d507db0f1a11d211c74ee0260f6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 21 12:03:38 2010 +0000

    build: Ignore private headers when building the Cogl reference
    
    Otherwise gtk-doc will try to look up private symbols.

 doc/reference/cogl/Makefile.am |   22 +++++++++++++++++-----
 1 files changed, 17 insertions(+), 5 deletions(-)

commit 91cc8edba12c0e43ba69b055e5b46394b9d51917
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 21 10:51:39 2010 +0000

    test-text-field: Do not expand the labels

 tests/interactive/test-text-field.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 605e8d6fb50624b44b45f012b24cea7c302f78ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Dec 21 10:50:24 2010 +0000

    text: Only paint cursor if we have key focus
    
    If a Text actor does not have key focus then there's no point in showing
    the cursor at all.

 clutter/clutter-text.c |   26 +++++++++++++++++++++++++-
 1 files changed, 25 insertions(+), 1 deletions(-)

commit ec5e910cd376050bdd184cf970fa565e10764525
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Dec 20 17:59:35 2010 +0000

    test-text-field: Clean up
    
    Use a Table layout manager, and clean up a bit this test case.

 tests/interactive/test-text-field.c |   96 ++++++++++++++++++++--------------
 1 files changed, 56 insertions(+), 40 deletions(-)

commit 21a12b966dbf72d2e83265399ac8d380b281df7f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Dec 20 12:41:07 2010 +0000

    interactive: Remove test-bind
    
    The BindConstraint is already exercised in the test-constraints and in
    other interactive tests.

 tests/interactive/Makefile.am |    1 -
 tests/interactive/test-bind.c |  112 -----------------------------------------
 2 files changed, 0 insertions(+), 113 deletions(-)

commit b9f7ef11100f250767fd726b0ae9727a7e9a3f89
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Dec 18 21:33:37 2010 +0000

    build: Remove Cogl2 reference from the build scripts
    
    Keeping the Cogl 2.0 API reference in the build is getting far more
    troublesome than it's worth.
    
    It's breaking distcheck far too often, and it makes it impossible to
    rebuild the build environment from tarballs - which is something that
    some distributions (namely: the Debian-based ones, but not limited to
    them) do in order to change build scripts using their own rules.

 configure.ac              |   16 ----------------
 doc/reference/Makefile.am |    6 ------
 2 files changed, 0 insertions(+), 22 deletions(-)

commit 491bbc226ee52546507406714030a9647dde4280
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Dec 18 13:24:54 2010 +0000

    constraints: Remove signal handlers on dispose
    
    Same as commit 2fa8b3a3abc7bb8e96a85d927edc0594f44f55df but done for
    AlignConstraint and SnapConstraint as well.

 clutter/clutter-align-constraint.c |   24 +++++++++++++++++++++---
 clutter/clutter-bind-constraint.c  |    4 ++--
 clutter/clutter-snap-constraint.c  |   29 +++++++++++++++++++++++------
 3 files changed, 46 insertions(+), 11 deletions(-)

commit 2fa8b3a3abc7bb8e96a85d927edc0594f44f55df
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Sat Dec 18 13:16:23 2010 +0000

    bind-constraint: Remove handlers in dispose
    
    We should remove the signal handlers on the source actor when a
    BindConstraint is disposed, to avoid dangling pointers and wrong
    invocations.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2493

 clutter/clutter-bind-constraint.c |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 45c884307e5946e316c839c03d94c5f5c92147d8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 16:04:25 2010 +0000

    Post-release version bump to 1.5.11

 configure.ac       |    2 +-
 po/clutter-1.0.pot |  104 ++++++++++++++++++++++++++--------------------------
 po/de.po           |  102 +++++++++++++++++++++++++-------------------------
 po/fr.po           |  102 +++++++++++++++++++++++++-------------------------
 po/id.po           |  102 +++++++++++++++++++++++++-------------------------
 po/it.po           |  102 +++++++++++++++++++++++++-------------------------
 po/pl.po           |  102 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po        |  102 +++++++++++++++++++++++++-------------------------
 8 files changed, 359 insertions(+), 359 deletions(-)

commit 339a6805521c04fd9e0d43689b6f380a45404078
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 14:40:17 2010 +0000

    Release Clutter 1.5.10 (snapshot)

 NEWS         |   11 +++++++++--
 configure.ac |    2 +-
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 987a50be91f67a64cca32e7403b98c69b5aedb4c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 15:43:24 2010 +0000

    build: Fix release-check for cogl2 reference

 configure.ac              |   10 ++++++++--
 doc/reference/Makefile.am |    7 ++-----
 2 files changed, 10 insertions(+), 7 deletions(-)

commit cab4a5b4846d2e6e1800ac545020bce930a9132e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 14:41:33 2010 +0000

    build: Remove stringify.sh from Makefile.am

 build/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 894c0527dffc4d0c01ef87880d33b02fcfab923e
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Wed Dec 15 13:31:12 2010 +0000

    cookbook: Proofing for "box layout" recipe
    
    General improvements to readability, formatting, fixing
    typos etc.

 doc/cookbook/layouts.xml |   67 ++++++++++++++++++++++++---------------------
 1 files changed, 36 insertions(+), 31 deletions(-)

commit accdd92110baffe886ab9bcc9dc263058d159ecc
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Wed Dec 15 13:13:28 2010 +0000

    cookbook: Add examples and more text for "box layout" recipe
    
    Added 3 examples for the box layout recipe:
    1) Simple box layout demonstrating how to set actor properties
    2) Trivial menu implementation using box layout
    3) Demonstration app which enables tweaking and testing
       of layout property interactions
    
    Also inlined example 1 in the solution section and added
    more explanatory text in the discussion.

 doc/cookbook/examples/Makefile.am                  |    6 +
 doc/cookbook/examples/layouts-box-menu.c           |  151 +++++++
 .../examples/layouts-box-property-effects.c        |  465 ++++++++++++++++++++
 doc/cookbook/examples/layouts-box.c                |   95 ++++
 doc/cookbook/images/layouts-box.png                |  Bin 0 -> 1515 bytes
 doc/cookbook/layouts.xml                           |  134 ++++++-
 6 files changed, 841 insertions(+), 10 deletions(-)

commit 77aacd185dcdd1673e1c3fb058d93a5803febe6a
Author: Elliot Smith <elliot.smith@intel.com>
Date:   Tue Dec 14 18:08:28 2010 +0000

    cookbook: Add initial skeleton for box layout recipe
    
    Created recipe and first draft content for recipe
    about ClutterBoxLayout.

 doc/cookbook/layouts.xml |  264 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 264 insertions(+), 0 deletions(-)

commit 6c244c05497237ee2640d3d4cf7cd3d00baf469f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 13:53:28 2010 +0000

    geometry: Avoid sign issues when interpolating
    
    Width and height in ClutterGeometry are unsigned, and this might lead to
    overflow and wrap around issues.

 clutter/clutter-actor.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit c3313726f0c6911eee8709a15fe51ec0421d7422
Author: Alexandre Quessy <alexandre@quessy.net>
Date:   Tue Dec 14 17:45:45 2010 -0500

    Fixed a typo in a doc string
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2485

 clutter/clutter-deform-effect.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 140f818fb14181135891b06bde54649564f0bc07
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 12:07:06 2010 +0000

    Update NEWS

 NEWS |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c444447cd3712153127f4fdd2ac03262ec7689d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 17 12:04:11 2010 +0000

    timeline: Rename the reverse property to auto-reverse
    
    Other frameworks expose the same functionality as "auto-reverse",
    probably to match the cassette tape player. It actually makes sense
    for Clutter to follow suit.

 clutter/clutter-timeline.c                         |   57 ++++++++++----------
 clutter/clutter-timeline.h                         |    4 +-
 doc/cookbook/animations.xml                        |    4 +-
 .../examples/animations-looping-implicit.c         |    2 +-
 doc/reference/clutter/clutter-sections.txt         |    4 +-
 .../clutter/migrating-ClutterBehaviour.xml         |    2 +-
 tests/interactive/test-behave.c                    |    2 +-
 tests/interactive/test-layout.c                    |    2 +-
 tests/interactive/test-threads.c                   |    1 +
 9 files changed, 39 insertions(+), 39 deletions(-)

commit 397e0ddb166097ae9a281c70bbff49196e513c5b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Dec 16 15:30:53 2010 +0000

    interactive: Rename test-rotate
    
    The rotation test is now really testing the shader-based effects we ship
    with Clutter. The name should be changed to reflect that.

 tests/interactive/Makefile.am           |    2 +-
 tests/interactive/test-rotate.c         |   82 -------------------------------
 tests/interactive/test-shader-effects.c |   82 +++++++++++++++++++++++++++++++
 3 files changed, 83 insertions(+), 83 deletions(-)

commit c2365c63cfd2d9e0c6116a39c7a50defc193c482
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Dec 16 15:25:29 2010 +0000

    interactive: Remove test-viewport
    
    The test-viewport interactive test is exercising the clip code - a job
    better done by the conformance test suite and by the test-clip
    interactive test.

 tests/interactive/Makefile.am     |    1 -
 tests/interactive/test-viewport.c |   69 -------------------------------------
 2 files changed, 0 insertions(+), 70 deletions(-)

commit 1515a9f98971c813d50a4c0004eb49c597fc3144
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Dec 16 15:10:27 2010 +0000

    interactive: Remove test-project
    
    The test-project test case was an old test that was barely working after
    landing the size allocation API in Clutter 0.8. It has never been fixed,
    and it's been of relative use ever since.

 tests/interactive/Makefile.am    |    1 -
 tests/interactive/test-project.c |  229 --------------------------------------
 2 files changed, 0 insertions(+), 230 deletions(-)

commit 8ae47eb79c0c67faaf8c594aa7e8e2560abc358e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Dec 16 15:08:11 2010 +0000

    interactive: Remove test-offscreen
    
    The test-offscreen interactive test was a dummy test for the
    ClutterStage:offscreen property, which has been deprecated and
    not implemented since Clutter 1.0, and never really worked except
    briefly in Clutter 0.2 or something.

 tests/interactive/Makefile.am      |    1 -
 tests/interactive/test-offscreen.c |   32 --------------------------------
 2 files changed, 0 insertions(+), 33 deletions(-)

commit faaff037306be31b69fa255b8d3dae91b341256b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Dec 13 17:21:58 2010 +0000

    clutter-stage: Don't always set the projection and viewport matrix
    
    The stage has a dirty flag to record whenever the viewport and
    projection matrices need to be flushed. However after flushing these
    the flags were never cleared so it would always redundantly update the
    state.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2480

 clutter/clutter-stage.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f5954339427f19e3c7332ec10d8cfd43c073d724
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 14 13:02:47 2010 +0000

    cogl-pipeline-fragend-arbfp: Generate ARBfp if user vertex shader
    
    The ARBfp fragend was bypassing generating a shader if the pipeline
    contains a user program. However it shouldn't do this if the pipeline
    only contains a vertex shader. This was breaking
    test-cogl-just-vertex-shader.

 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit 52442414d953e90930d3928e81216e0f3ac194fe
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Dec 10 17:46:58 2010 +0000

    cally: Allow memory management for actions
    
    Adding an action should allow passing a user data pointer, and have a
    notification action that gets called when removing the action. This
    allows introspection and language bindings to attach custom data to the
    action - for instance, the real callable object that should be invoked.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2479

 clutter/cally/cally-actor.c |   94 +++++++++++++++++++++++++++++--------------
 clutter/cally/cally-actor.h |   47 +++++++++++++++------
 2 files changed, 97 insertions(+), 44 deletions(-)

commit def14e80cbb898c6c198a5caf3a2a3ad15d5e8e1
Author: Mike Owens <mike@filespanker.com>
Date:   Thu Dec 9 09:39:23 2010 -0500

    ClutterText: Only grab keyboard focus if keyboard-interactive.
    
    Previously, ClutterText took keyboard focus on mouse-down, regardless
    if it were editable or selectable.  Now it checks these properties,
    and behaves like other actors if it can't do anything useful with
    the focus.
    
    http://bugzilla.clutter-project.org/show_bug.cgi?id=2462

 clutter/clutter-text.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 7b985f034fae95862f0c080a6311ccf0ac4f3966
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sat Nov 27 13:15:02 2010 +0000

    Allow multiple CoglAtlases for textures
    
    Previously Cogl would only ever use one atlas for textures and if it
    reached the maximum texture size then all other new textures would get
    their own GL texture. This patch makes it so that we create as many
    atlases as needed. This should avoid breaking up some batches and it
    will be particularly good if we switch to always using multi-texturing
    with a default shader that selects between multiple atlases using a
    vertex attribute.
    
    Whenever a new atlas is created it is stored in a GSList on the
    context. A weak weference is taken on the atlas using
    cogl_object_set_user_data so that it can be removed from the list when
    the atlas is destroyed. The atlas textures themselves take a reference
    to the atlas and this is the only thing that keeps the atlas
    alive. This means that once the atlas becomes empty it will
    automatically be destroyed.
    
    All of the COGL_NOTEs pertaining to atlases are now prefixed with the
    atlas pointer to make it clearer which atlas is changing.

 clutter/cogl/cogl/cogl-atlas-texture-private.h |   10 +--
 clutter/cogl/cogl/cogl-atlas-texture.c         |  105 ++++++++++++++++-------
 clutter/cogl/cogl/cogl-atlas.c                 |   19 +++--
 clutter/cogl/cogl/cogl-atlas.h                 |    3 -
 clutter/cogl/cogl/cogl-context.c               |    5 +-
 clutter/cogl/cogl/cogl-context.h               |    2 +-
 clutter/cogl/pango/cogl-pango-glyph-cache.c    |    1 +
 7 files changed, 93 insertions(+), 52 deletions(-)

commit d01a70762395d7ff353df1fb77397b4dfab284cf
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sat Nov 27 13:06:38 2010 +0000

    cogl-atlas: Convert to be a CoglObject subclass
    
    To implement multiple atlases it will be useful to have ref-counting
    on the CoglAtlas so it makes sense to convert it to be a CoglObject.

 clutter/cogl/cogl/cogl-atlas.c              |   10 ++++++++--
 clutter/cogl/cogl/cogl-atlas.h              |    8 +++++---
 clutter/cogl/cogl/cogl-context.c            |    2 +-
 clutter/cogl/pango/cogl-pango-glyph-cache.c |    4 ++--
 4 files changed, 16 insertions(+), 8 deletions(-)

commit d03c3a646ae4d26358ad5a48fe320845f7f099ed
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 13:58:46 2010 +0000

    test-cogl-just-vertex-shader: Update to use the portable cogl_* names
    
    The vertex shader in this test now uses the cogl_* names for the GL
    builtin so that it will work on GLES2 as well.

 tests/conform/test-cogl-just-vertex-shader.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit d1ddca4eeecf26df9c5a707ef5f88175d90feb34
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 13:44:45 2010 +0000

    cogl-shader-boilerplate: Add the 3D texture extension on GLES2
    
    To use the 3D texture extension on GLES2 it has to be enabled with the
    following line in GLSL:
    
    #extension GL_OES_texture_3D : enable

 clutter/cogl/cogl/cogl-shader.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit e0a02b2b5bc4ef88e8829d271380148a966e8494
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 12:49:00 2010 +0000

    test-cogl-multitexture: Don't test the alpha component
    
    On EGL we don't request a context with any alpha bits so testing alpha
    component of cogl_read_pixels isn't reliable.

 tests/conform/test-cogl-multitexture.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit afe39296180e3839c42c5327f55ff8a773ba7000
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 11:39:37 2010 +0000

    test-cogl-materials: Use GL_MAX_VERTEX_ATTRIBS on GLES2
    
    When determining the maximum number of layers we also need to take
    into account GL_MAX_VERTEX_ATTRIBS on GLES2. Cogl needs one vertex
    attrib for each texture unit plus two for the position and color.

 tests/conform/test-cogl-materials.c |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit bdeb555ae1e440de0453cd8fd4a024ba8381016f
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 10:38:51 2010 +0000

    cogl2-path: Don't flush the enable flags
    
    All of the drawing needed in _cogl_add_path_to_stencil_buffer is done
    with the vertex attribute API so there should be no need to flush the
    enable flags to enable the vertex array. This was causing problems on
    GLES2 where the vertex array isn't available.

 clutter/cogl/cogl/cogl2-path.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 7dc4b3c8947de12ca111edba52a9387287f97a82
Author: Neil Roberts <neil@linux.intel.com>
Date:   Sun Dec 5 18:02:05 2010 +0000

    Remove the GLES2 wrapper
    
    The GLES2 wrapper is no longer needed because the shader generation is
    done within the GLSL fragend and vertend and any functions that are
    different for GLES2 are now guarded by #ifdefs.

 build/stringify.sh                                 |   94 --
 clutter/cogl/cogl/Makefile.am                      |   20 -
 clutter/cogl/cogl/cogl-atlas.c                     |    6 +-
 clutter/cogl/cogl/cogl-buffer.c                    |    4 -
 clutter/cogl/cogl/cogl-clip-stack.c                |   13 +-
 clutter/cogl/cogl/cogl-context.c                   |    6 +-
 clutter/cogl/cogl/cogl-framebuffer.c               |    6 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c    |    4 -
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c     |    4 -
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |   16 +-
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |   34 +-
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c     |   24 +
 clutter/cogl/cogl/cogl-pixel-array.c               |    4 -
 clutter/cogl/cogl/cogl-texture-2d.c                |    2 +
 clutter/cogl/cogl/cogl-texture-3d.c                |    2 +
 clutter/cogl/cogl/cogl-vertex-attribute.c          |    1 -
 clutter/cogl/cogl/cogl.c                           |   16 +-
 .../cogl/driver/gles/cogl-context-driver-gles.c    |    6 -
 .../cogl/driver/gles/cogl-context-driver-gles.h    |    4 -
 .../cogl/driver/gles/cogl-fixed-vertex-shader.glsl |   73 --
 clutter/cogl/cogl/driver/gles/cogl-gles.c          |    4 +
 clutter/cogl/cogl/driver/gles/cogl-gles2-wrapper.c |  993 --------------------
 clutter/cogl/cogl/driver/gles/cogl-gles2-wrapper.h |  388 --------
 .../cogl/driver/gles/cogl-texture-driver-gles.c    |    6 +-
 24 files changed, 81 insertions(+), 1649 deletions(-)

commit 1999bee5d2d5d14a97eacb84edb6ce364202b082
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Dec 6 21:29:56 2010 +0000

    cogl-pipeline: Use enums for the layer combine values
    
    Once the GLES2 wrapper is removed then we won't have the GLenums
    needed for setting up the layer combine state. This adds Cogl enums
    instead which have the same values as the corresponding GLenums. The
    enums are:
    
    CoglPipelineCombineFunc
    CoglPipelineCombineSource
     and
    CoglPipelineCombineOp

 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c |   41 +++++----
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c  |   48 ++++++-----
 clutter/cogl/cogl/cogl-pipeline-private.h       |   46 ++++++++--
 clutter/cogl/cogl/cogl-pipeline.c               |  107 +++++++++++++----------
 4 files changed, 148 insertions(+), 94 deletions(-)

commit 271acaaae5d9e698ed1eefb201b2fa49b7bb3d2d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Dec 6 12:31:51 2010 +0000

    cogl: upload matrices with uniforms on GLES2
    
    Once the GLES2 wrapper is removed we won't be able to upload the
    matrices with the fixed function API any more. The fixed function API
    gives a global state for setting the matrix but if a custom shader
    uniform is used for the matrices then the state is per
    program. _cogl_matrix_stack_flush_to_gl is called in a few places and
    it is assumed the current pipeline doesn't need to be flushed before
    it is called. To allow these semantics to continue to work, on GLES2
    the matrix flush now just stores a reference to the matrix stack in
    the CoglContext. A pre_paint virtual is added to the progend which is
    called whenever a pipeline is flushed, even if the same pipeline was
    flushed already. This gives the GLSL progend a chance to upload the
    matrices to the uniforms. The combined modelview/projection matrix is
    only calculated if it is used. The generated programs end up never
    using the modelview or projection matrix so it usually only has to
    upload the combined matrix. When a matrix stack is flushed a reference
    is taked to it by the pipeline progend and the age is stored so that
    if the same state is used with the same program again then we don't
    need to reupload the uniform.

 clutter/cogl/cogl/cogl-context.c                   |   12 +
 clutter/cogl/cogl/cogl-context.h                   |   10 +
 clutter/cogl/cogl/cogl-matrix-stack.c              |  127 ++++++++---
 clutter/cogl/cogl/cogl-matrix-stack.h              |   10 +
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |    7 +
 clutter/cogl/cogl/cogl-pipeline-private.h          |    4 +
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |  250 +++++++++++++++++++-
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c     |    4 +
 clutter/cogl/cogl/driver/gles/cogl-gles2-wrapper.c |    2 +
 9 files changed, 396 insertions(+), 30 deletions(-)

commit 67847260bca8ef313650497050e284a1971918aa
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 10 17:42:39 2010 +0000

    cogl-matrix-stack: Add _cogl_matrix_stack_has_identity_flag
    
    This adds an internal function to quickly determine whether the top of
    the matrix stack is known to be the identity matrix.

 clutter/cogl/cogl/cogl-matrix-stack.c |    6 ++++++
 clutter/cogl/cogl/cogl-matrix-stack.h |    7 +++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 016005591dfa765255b05d96f701497ed7a59d23
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 10 16:06:16 2010 +0000

    cogl-matrix-stack: Convert to be a CoglObject
    
    We will want to use ref-counting on the CoglMatrixStack so it might as
    well be a CoglObject.

 clutter/cogl/cogl/cogl-framebuffer.c     |    4 ++--
 clutter/cogl/cogl/cogl-matrix-stack.c    |   13 ++++++++++---
 clutter/cogl/cogl/cogl-matrix-stack.h    |    3 ---
 clutter/cogl/cogl/cogl-pipeline-opengl.c |    2 +-
 4 files changed, 13 insertions(+), 9 deletions(-)

commit 58a22613877fc041549eddeafbc364d369c5e445
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Dec 10 11:34:02 2010 +0000

    matrix-stack: Make header style consistent
    
    Cogl doesn't follow the Clutter/GTK+ columnized function prototype style
    so this updates cogl-matrix-stack.h to match the other Cogl headers.

 clutter/cogl/cogl/cogl-matrix-stack.c |    2 +-
 clutter/cogl/cogl/cogl-matrix-stack.h |  126 +++++++++++++++++++-------------
 2 files changed, 76 insertions(+), 52 deletions(-)

commit 4976d229405c7010a6ef1e621bcfb581b7eff99a
Author: Robert Bragg <robert@linux.intel.com>
Date:   Fri Dec 10 11:13:09 2010 +0000

    matrix-stack: Adds a stack age counter
    
    Sometimes it would be useful if we could efficiently track when a matrix
    stack has been modified. For example on GLES2 we have to upload the
    modelview as a uniform to our glsl programs but because the modelview
    state is part of the framebuffer state it becomes a bit more tricky to
    know when to re-sync the value of the uniform with the framebuffer
    state. This adds an "age" counter to CoglMatrixStack which is
    incremented for any operation that effectively modifies the top of the
    stack so now we can save the age of the stack inside the pipeline
    whenever we update modelview uniform and later compare that with the
    stack to determine if it has changed.

 clutter/cogl/cogl/cogl-matrix-stack.c |   18 ++++++++++++++++++
 clutter/cogl/cogl/cogl-matrix-stack.h |    2 ++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit 856d43a27cd4090467de08cd5738f10ec7e06ebd
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Dec 6 12:31:16 2010 +0000

    cogl-pipeline: Add internal API to get the layer matrix
    
    This returns the layer matrix given a pipeline and a layer index. The
    API is kept as internal because it directly returns a pointer into the
    layer private data to avoid a copy into an out-param. We might also
    want to add a public function which does the copy.

 clutter/cogl/cogl/cogl-pipeline-private.h |    4 ++++
 clutter/cogl/cogl/cogl-pipeline.c         |   19 +++++++++++++++++++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 4514d49dda70b9b5a1833c7809dc4d22b1bcd3cd
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 3 17:46:16 2010 +0000

    cogl-vertex-attribute: Use glVertexAttribPointer on GLES2
    
    When the GLES2 wrapper is removed we can't use the fixed function API
    such as glColorPointer to set the builtin attributes. Instead the GLSL
    progend now maintains a cache of attribute locations that are queried
    with glGetAttribLocation. The code that previously maintained a cache
    of the enabled texture coord arrays has been modified to also cache
    the enabled vertex attributes under GLES2. The vertex attribute API is
    now the only place that is using this cache so it has been moved into
    cogl-vertex-attribute.c

 clutter/cogl/cogl/cogl-bitmask.c                   |   16 +-
 clutter/cogl/cogl/cogl-bitmask.h                   |   10 +-
 clutter/cogl/cogl/cogl-context.c                   |    8 +-
 clutter/cogl/cogl/cogl-context.h                   |    8 +-
 clutter/cogl/cogl/cogl-internal.h                  |    6 -
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |   30 ++-
 .../cogl/cogl/cogl-pipeline-progend-glsl-private.h |   18 ++
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |  139 +++++++++
 clutter/cogl/cogl/cogl-vertex-attribute-private.h  |    3 +
 clutter/cogl/cogl/cogl-vertex-attribute.c          |  311 +++++++++++++++-----
 clutter/cogl/cogl/cogl.c                           |   36 +--
 11 files changed, 451 insertions(+), 134 deletions(-)

commit 1515a8d73a0ea3ad6f6f8719e833bc17bb7c0001
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Dec 3 11:31:09 2010 +0000

    cogl-path: Stroke using the vertex attribute API
    
    Previously when stroking a path it was flushing a pipeline and then
    directly calling glDrawArrays to draw the line strip from the path
    nodes array. This patch changes it to build a CoglVertexArray and a
    series of attributes to paint with instead. The vertex array and
    attributes are attached to the CoglPath so it can be reused later. The
    old vertex array for filling has been renamed to fill_vbo.

 clutter/cogl/cogl/cogl-path-private.h |   12 ++-
 clutter/cogl/cogl/cogl2-path.c        |  201 ++++++++++++++++++++++-----------
 2 files changed, 143 insertions(+), 70 deletions(-)

commit 3c5fa0cf9042827d205f90ac98c2eac9494707e9
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 22:19:44 2010 +0000

    cogl: Move COGL_DEBUG=show-source into cogl-shader.c
    
    The code to display the source when the show-source debug option is
    given has been moved to _cogl_shader_set_source_with_boilerplate so
    that it will show both user shaders and generated shaders. It also
    shows the code with the full boilerplate. To make it the same for
    ARBfp, cogl_shader_compile_real now also dumps user ARBfp shaders.

 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c |    5 -----
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c |    5 -----
 clutter/cogl/cogl/cogl-shader.c                |   23 +++++++++++++++++++++++
 3 files changed, 23 insertions(+), 10 deletions(-)

commit 8764a0d4874949c12d6c0e6af863d81a39bc4991
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 20:48:45 2010 +0000

    cogl: Add a vertend to generate GLSL
    
    The GLSL vertend is mostly only useful for GLES2. The fixed function
    vertend is kept at higher priority than the GLSL vertend so it is
    unlikely to be used in any other circumstances.

 clutter/cogl/cogl/Makefile.am                      |    2 +
 clutter/cogl/cogl/cogl-context.c                   |    3 +-
 clutter/cogl/cogl/cogl-context.h                   |    3 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c    |    3 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-fixed.c    |   10 +-
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c     |   13 +-
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |  130 +++++--
 clutter/cogl/cogl/cogl-pipeline-private.h          |   30 ++-
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |   83 +++--
 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c    |   28 ++
 .../cogl/cogl/cogl-pipeline-vertend-glsl-private.h |   39 ++
 clutter/cogl/cogl/cogl-pipeline-vertend-glsl.c     |  396 ++++++++++++++++++++
 clutter/cogl/cogl/cogl-pipeline.c                  |    7 +
 clutter/cogl/cogl/driver/gles/cogl-gles2-wrapper.c |   19 +-
 14 files changed, 679 insertions(+), 87 deletions(-)

commit 6c34fb7232f3d82a6f5720fc9e07a41d997e643b
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Dec 7 12:33:39 2010 +0000

    cogl-shader-boilerplate: Don't put the color attrib in location 0
    
    Due to Mesa bug 28585 calling glVertexAttrib with attrib location 0
    doesn't appear to work. This patch just reorders the vertex and color
    attributes in the shader in the hope that Mesa will assign the color
    attribute to a different location.

 clutter/cogl/cogl/cogl-shader-boilerplate.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf0ded1361bd639f7143aef02f37f17f01bdcf04
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 22:08:51 2010 +0000

    cogl-shader-boilerplate: Add more builtins for GLES2
    
    Some builtin attributes such as the matrix uniforms and some varyings
    were missing from the boilerplate for GLES2. This also moves the
    texture matrix and texture coord attribute declarations to
    cogl-shader.c so that they can be dynamically defined depending on the
    number of texture coord arrays enabled.

 clutter/cogl/cogl/cogl-shader-boilerplate.h |   23 ++++++++++++++++++--
 clutter/cogl/cogl/cogl-shader.c             |   30 +++++++++++++++++++++-----
 2 files changed, 44 insertions(+), 9 deletions(-)

commit 17d689f79480f9d08c1ef8e62b990db0cdb6a36d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 18:05:22 2010 +0000

    cogl-pipeline: Rename the fragment_{source,header}_buffer to codegen
    
    We want to reuse the same buffers for vertends so calling them
    fragment_* doesn't make sense.

 clutter/cogl/cogl/cogl-context.c                |    4 ++--
 clutter/cogl/cogl/cogl-context.h                |    4 ++--
 clutter/cogl/cogl/cogl-pipeline-fragend-arbfp.c |    4 ++--
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c  |    8 ++++----
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c  |   12 ++++++------
 5 files changed, 16 insertions(+), 16 deletions(-)

commit a3e53dd029632166a51333249baa49b5e97644c9
Author: Neil Roberts <neil@linux.intel.com>
Date:   Mon Nov 29 18:32:21 2010 +0000

    cogl: Add a fixed function vertend
    
    The vertends are intended to flush state that would be represented in
    a vertex program. Code to handle the layer matrix, lighting and
    point size has now been moved from the common cogl-pipeline-opengl
    backend to the fixed vertend.

 clutter/cogl/cogl/Makefile.am                      |    2 +
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |  109 ++++++++++++++-----
 clutter/cogl/cogl/cogl-pipeline-private.h          |   34 ++++++-
 .../cogl/cogl-pipeline-vertend-fixed-private.h     |   36 ++++++
 clutter/cogl/cogl/cogl-pipeline-vertend-fixed.c    |  114 ++++++++++++++++++++
 clutter/cogl/cogl/cogl-pipeline.c                  |   80 +++++++++++++-
 6 files changed, 342 insertions(+), 33 deletions(-)

commit 313adc7bdf9c8a0d61cedf7e34d1cd3e961a7ea2
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 14:00:46 2010 +0000

    cogl: Add a GLSL 'progend'
    
    'progend' is short for 'program backend'. The progend is intended to
    operate on combined state from a fragment backend and a vertex
    backend. The progend has an 'end' function which is run whenever the
    pipeline is flushed and the two pipeline change notification
    functions. All of the progends are run whenever the pipeline is
    flushed instead of selecting a single one because it is possible that
    multiple progends may be in use for example if the vertends and
    fragends are different. The GLSL progend will take the shaders
    generated by the fragend and vertend and link them into a single
    program. The fragend code has been changed to only generate the shader
    and not the program. The idea is that pipelines can share fragment
    shader objects even if their vertex state is different. The authority
    for the progend needs to be the combined authority on the vertend and
    fragend state.

 clutter/cogl/cogl/Makefile.am                      |    2 +
 .../cogl/cogl/cogl-pipeline-fragend-glsl-private.h |    3 +
 clutter/cogl/cogl/cogl-pipeline-fragend-glsl.c     |  725 +++++---------------
 clutter/cogl/cogl/cogl-pipeline-opengl.c           |    5 +
 clutter/cogl/cogl/cogl-pipeline-private.h          |   29 +
 .../cogl/cogl/cogl-pipeline-progend-glsl-private.h |   36 +
 clutter/cogl/cogl/cogl-pipeline-progend-glsl.c     |  542 +++++++++++++++
 clutter/cogl/cogl/cogl-pipeline.c                  |   39 +-
 8 files changed, 839 insertions(+), 542 deletions(-)

commit 1e3cdb60d6a6ad67c4e693687c5c9c64a25d7cec
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Dec 2 13:54:15 2010 +0000

    cogl-program: Add private functions to check if have each shader type
    
